sysvinit (2.88dsf-53.2ubuntu7) vivid; urgency=medium

  * Fix another syntax error from 2.88dsf-53.2ubuntu4 due to an unintended
    line break.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 12 Jan 2015 11:19:02 +0100

sysvinit (2.88dsf-53.2ubuntu6) vivid; urgency=medium

  * debian/src/sysv-rc/sbin/invoke-rc.d:
    Handle disabled systemd services in a similar way than for sysvinit
    scripts. We never start disabled ones and only restart them in that
    case if they were manually started.
    This is particularly useful on package installation or upgrade when
    it contains some sysvinit scripts or upstart jobs.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 09 Jan 2015 09:07:12 +0100

sysvinit (2.88dsf-53.2ubuntu5.1) vivid; urgency=medium

  * Fix syntax error introduced in previous upload.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 07 Jan 2015 14:21:44 +0000

sysvinit (2.88dsf-53.2ubuntu4) vivid; urgency=medium

  * debian/src/sysv-rc/sbin/invoke-rc.d:
    Support upgrading upstart-only job when the machine is already running
    systemd as pid 1. This prevents the older prerm to fail due to no
    .service or init script installed available for stopping.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 07 Jan 2015 13:49:28 +0100

sysvinit (2.88dsf-53.2ubuntu3) vivid; urgency=medium

  * debian/initscripts.postinst: Create /dev/shm directory with 1777
    permissions, so that chroots stay compatible to what you'd find on a real
    system. (LP: #1399772)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 18 Dec 2014 19:56:07 +0100

sysvinit (2.88dsf-53.2ubuntu2) vivid; urgency=medium

  * debian/sysvinit-utils.maintscript: Clean up obsolete
    /etc/init/startpar-bridge.conf conffile on upgrades. (LP: #1390726)
  * debian/initscripts.postinst: In chroots without any bind mounts one often
    ends up with a /dev/shm → /run/shm → /dev/shm circular symlink. Break this
    and re-create /run/shm/ as a proper directory (note that the canonical
    location is in /dev, but https://wiki.debian.org/ReleaseGoals/RunDirectory
    is still the official policy). (LP: #1389891)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 11 Nov 2014 09:07:40 +0100

sysvinit (2.88dsf-53.2ubuntu1) vivid; urgency=medium

  * Drop debian/initscripts.maintscript and other conffile cleanups which were
    only necessary for P → T upgrades.
  * Drop our change to keep /etc/mtab a a file instead of a symlink to
    /proc/mounts. /run/mount/utab has worked well for a long time now.
  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Remove some initscripts (bootlogs, motd, rmnologin) and
      /etc/network/if-up.d/mountnfs as they have been replaced by upstart jobs
      shipped in other packages.
    - init.d/umountroot: If /var/run/init.upgraded exists, call telinit u
      before unmounting the root filesystem.
    - debian/patches/91_sulogin_lockedpw.dpatch: Disable "root account is
      locked" warning, since this is the default in Ubuntu. Document this in
      sulogin.8.
    - debian/patches/92_sulogin_support_static_sh.patch: add support for
      /bin/static-sh as fallback if the regular shell fails to execute
    - debian/control: Drop Essential: yes from sysvinit-utils since we use
      Upstart.
    - debian/control: Do not build the sysvinit and sysvinit-core binary
      packages. We don't want to support sysvinit as such, nor a dynamic
      selection between multiple init systems.
    - Mark all binary packages as Multi-Arch: foreign to allow for upstart
      to be installable with multi-arch (needed for armhf containers on x86)
    - Drop /etc/default/tmpfs, and drop mention of it from
      debian/src/initscripts/man/rcS.5.
    - Include /lib/lsb/init-functions in various init.d scripts, or move it
      further to the top, so that they get skipped as there are equivalent
      upstart jobs.
    - Drop /lib/init/{tmpfs.sh,mount-functions.sh} and their usage in init.d
      scripts; we do not need those scripts due to the previous change.
    - Add debian/src/initscripts/etc/init.d/ondemand: Sleep for 60 seconds,
      then set CPU Frequency Scaling governor to "ondemand" (or to
      "interactive" on systems that support it).
    - Remove mention of RAMLOCK, RAMSHM, and RAMTMP from the rcS(5) manual
      page.
    - Fix documentation for other things handled by mountall instead of
      initscripts: tmpfs, /sys (mountall lets you specify options in
      /etc/fstab), and ASYNCMOUNTNFS.
    - debian/src/initscripts/etc/init.d/sendsigs:
      + sendsigs: OMITPIDS needs to be reinitalized for every loop iteration
        before concatenating pids of upstart jobs to it.
      + only omit jobs that are in the 'start' goal or that are in state
        'stop/killed'. Those that are destined for 'stop' are waited on and
        killed like all other processes.
      + make report_unkillable use apport instead of echoing to console; but
        disable this reporting by default.
      + wait up to 300 extra seconds for upstart jobs that have been killed.
    - debian/src/sysv-rc/sbin/invoke-rc.d: clean eatmydata from environment
      unless INVOKE_RCD_ALLOW_EATMYDATA is set to value other than '0'.
      (LP #1257036)
    - debian/src/sysv-rc/sbin/invoke-rc.d: Call 'initctl reload-configuration'
      to work reliably on systems with broken inotify.
    - invoke-rc.d, service: Cherrypick fixes from Debian git repository:
      + In upstart interfacing code, check that the job is actually known to
        upstart. This is because during upgrades, pid 1 might still be an
        older upstart which may not yet support syntax of the newly unpacked
        jobs, thus sysv-init script should be continued to be used instead.
        (Closes: #745503)
      + unset UPSTART_SESSION environment variable to make sure all upstart
        initctl commands are executed against system init and not the session
        one. (Closes: #745505)
      + in upstart interfacing code, map "force-reload" to restart as per
        Debian policy 9.3.2, since there is no way to know for-sure if a
        reload is supported.
    - Revert migration of UTC setting from /etc/default/rcS to /etc/adjtime.
    - init.d/rc: Disable startpar. It wreaks havoc with "task" upstart jobs as
      init.d scripts depending on them rely on them to be "running". Drop
      startpar dependencies.
    - debian/sysv-rc.postinst, update-rc.d: Adjust for our insserv being in
      /usr/lib/insserv instead of $PATH.
  * Cleans up /run/shm/ compat symlink handling. (LP: #1320534)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 25 Jul 2014 11:30:36 +0200

sysvinit (2.88dsf-53.2) unstable; urgency=medium

  * Fix a formatting error in mountnfs which turned a tab character into
    U+21A6.

 -- Michael Biebl <biebl@debian.org>  Sun, 08 Jun 2014 01:13:48 +0200

sysvinit (2.88dsf-53.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Skip the mountnfs hook when being triggered by the networking SysV init
    script and instead use the systemd built-in mechanisms to mount remote
    file systems.
    This avoids a deadlock caused by the rpcbind SysV init script depending
    on $network and the $network LSB facility being provided by the networking
    SysV init script. (Closes: #746587)

 -- Michael Biebl <biebl@debian.org>  Fri, 06 Jun 2014 12:56:54 +0200

sysvinit (2.88dsf-53) unstable; urgency=medium

  [ Gabriele Giacone ]
  * Make Vcs-Git field canonical.

  [ Petter Reinholdtsen ]
  * Upload startpar split to unstable.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 07 Apr 2014 11:24:52 +0200

sysvinit (2.88dsf-52) experimental; urgency=low

  * Upload to experimental to test the startpar migration.
  * Replace debian/watch with file available from
    http://qa.debian.org/cgi-bin/watchfile.cgi?package=sysvinit .
  * Make sure init-d-script exit at the end, to make sure init.d script
    is only sourced once.
  * kFreeBSD can not use a script as an interpreter.  Rewrite
    init.d/skeletop to source /lib/init/init-d-script instead
    (Closes: #739604).
  * Adjust /lib/init/init-d-script to specify --exec when starting and
    stopping using start-stop-daemon, and add $START_ARGS and $STOP_ARGS
    to allow init.d scripts to add arguments to the start-stop-daemon calls.
  * Split startpar out from sysvinit-utils and into its own separate
    package.
  * Make sure sysvinit-utils depend on startpar, to make sure some startpar
    implementation is available before sysvinit-utils is upgraded to a version
    without it.
  * Make sure sysv-rc depend on startpar.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 28 Mar 2014 14:19:58 +0100

sysvinit (2.88dsf-51) unstable; urgency=low

  * Corrected tmpfs(5) manual page to correctly state when /tmp is not
    mounted as tmpfs (Closes: #703833).  Patch from Charles Plessy.
  * Add SEE ALSO fsck(8) to rcS(5) manual page (Closes: #686701). 
    Patch from Regid Ichira.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 13 Feb 2014 11:51:12 +0100

sysvinit (2.88dsf-50) experimental; urgency=low

  [ Thomas Goirand ]
  * Added maintenance of /run/openrc/started symlinks in the "service" shell
    tool.

  [ Petter Reinholdtsen ]
  * Added code to install startpar-upstart-inject.8 manual page in
    sysvinit-utils.
  * Transform init.d/skeleton into an init.d script interpreter
    /lib/init/init-d-script in sysvinit-utils that can be reused by other
    init.d scripts to avoid duplicate code (Closes: #464854).  See
    init-d-script(5) for how to use it.
  * Rewrite service to detect status support by running scripts with
    'status' as the argument, and look for usage description.
  * Make sure initscripts depend on sysvinit-utils (>= 2.88dsf-50) to
    have the new /lib/init/init-d-script interpreter available.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 10 Feb 2014 00:25:10 +0100

sysvinit (2.88dsf-49) unstable; urgency=low

  * Document the meaning of +, - and ? for service --status-all in
    service(8) (Closes: #699529).
  * Make the service command better at finding scripts with status
    support (Closes: #619582).  Patch from Hamish Downer.
  * New patch 95_kfreebsd_bootlogd.patch improving bootlogd behaviour
    on kFreeBSD (Closes: #576443).  Patch from Mats Erik Andersson.
  * Update debian/watch file to use the new upstream location linked to
    from http://savannah.nongnu.org/projects/sysvinit .
  * Update meta information about patches applied upstream.
  * Adjust the sysvinit/hurd-fix-inittab debconf template text to
    avoid asking a question in the extended description.  Thanks
    Lintian.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 08 Feb 2014 00:49:41 +0100

sysvinit (2.88dsf-48) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Tell init.d/umountfs to not umount /dev/vcs, as it break the console
    on Hurd.  Patch from Samuel Thibault.

  [ Samuel Thibault ]
  * Add Hurd -s boot flag parsing.
  * Make Hurd's boot runsystem use shell wait loop instead of sleep, which seems
    to also suffer from the race.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 06 Feb 2014 18:34:50 +0100

sysvinit (2.88dsf-47) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Make fastboot detection more robust (Closes: #734901).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 04 Feb 2014 12:55:45 +0100

sysvinit (2.88dsf-46) experimental; urgency=medium

  [ Thomas Goirand ]
  * Uploading to Experimental.
  * Added myself as uploader (after Petter advised for it).
  * Refreshed patches.

  [ James McCoy ]
  * sysv-rc:
    - Update invoke-rc.d and service to trim .sh from service names when
      calling systemctl.  (Closes: #726483)

  [ Roger Leigh ]
  * sysv-rc:
    - Remove obsolete/broken update-rc.d usage information from
      update-rc.d(8) and update-rc.d itself (Closes: #736060).  Thanks
      to Julian Gilbey for finding these bugs.
  * initscripts:
    - mountkernfs mounts configfs on /sys/kernel/config when available.

  [ Justus Winter ]
  * Fixes for Debian/Hurd (Closes: #737073, #721917).
    - mount-functions.sh: Hurd has a tmpfs translator now, remove
      workaround.
    - mount-functions.sh: Add -ocompatible to procfs mounts on Hurd.
    - mountall.sh: Use pidof -s /sbin/init for robustness.
    - checkroot.sh: Only run rootcheck on Linux. Neither kFreeBSD nor
      Hurd have /dev/root and the device ids used here are specific to
      Linux.
    - killall5.c: Use sysconf(_SC_SYMLOOP_MAX) instead of MAXSYMLINKS.
      Fixes build on Hurd.
    - sysvinit.postinst: Fix file name of gettys in /etc/inittab on
      Hurd.
    - Break hurd << 0.5.git20131101~. Older versions of the hurd
      package lack the necessary functionality to boot Debian/Hurd
      using sysvinit.
    - Add runsystem.sysv that uses sysvinit to boot Debian/Hurd.

  [ Petter Reinholdtsen ]
  * Updated Japanese debconf translations from Hideki Yamane
    (Closes: #705132).
  * Added getty on the Mach console in the Hurd inittab.  Patch from
    Samuel Thibault.
  * Completed Norwegian Bokmål debconf translation.

  [ Gabriele Giacone ]
  * Bump Standards-Version to 3.9.5 (no changes).
  * sysv-rc:
    - Remove leftover from .legacy-bootordering flagfile removal (#668312)
      (Closes: #691210)

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 31 Jan 2014 20:48:39 +0100

sysvinit (2.88dsf-45) unstable; urgency=medium

  * Add upstart support to update-rc.d enable/disable.  Closes: #733289.

 -- Steve Langasek <vorlon@debian.org>  Sun, 29 Dec 2013 09:37:40 +0000

sysvinit (2.88dsf-44) unstable; urgency=low

  [ Roger Leigh ]
  * initscripts:
    - Mount pstore on /sys/fs/pstore (Closes: #722179).

  [ Andrew Shadura ]
  * initscripts:
    - Use ifquery --state instead of parsing ifstate manually.
    - Update Breaks for ifupdown.

  [ Steve Langasek ]
  * Move sysvinit functionality into a new binary package, sysvinit-core,
    and have sysvinit depend on an ORed list of the available
    implementations of /sbin/init.  Since sysvinit is an Essential: yes
    package, this is the only away to allow users to cleanly switch between
    init systems without having to go through a multi-release-cycle
    transition.  Closes: #728566.

 -- Steve Langasek <vorlon@debian.org>  Thu, 26 Dec 2013 11:09:49 -0800

sysvinit (2.88dsf-43) unstable; urgency=low

  [ Roger Leigh ]
  * sysv-rc: update-rc.d only depends upon modules from perl-base.
    Closes: #716923.  Thanks to Michael Stapelberg for this patch.

 -- Roger Leigh <rleigh@debian.org>  Sun, 14 Jul 2013 22:02:11 +0100

sysvinit (2.88dsf-42) unstable; urgency=low

  [ Roger Leigh ]
  * Introduce jessie changes from 2.88dsf-41+jessie1 to unstable.
  * Correct the Breaks on bootchart to ensure that all broken
    versions are removed on upgrade (Closes: #694252).  Break
    bootchart << 0.10~svn407-4 to ensure that 0.10~svn407-3.3
    and earlier are removed.
  * Clean up legacy migration logic in maintainer scripts and init
    scripts for /run, /lib/init/rw, /etc/mtab, /etc/motd.
  * Don't generate debian/copyright; include missing bits of
    COPYRIGHT directly.
  * Upgrade to Standards-Version 3.9.4 (no changes).
  * Add lintian overrides for init script dependency warnings;
    these don't apply to our scripts since they have special
    dependency requirements.
  * bootlogd: Ensure boot logs are flushed (Closes: #423528).  Save
    logs in /run/bootlog and copy to /var/log/boot at the end of the
    boot sequence.
  * sysv-rc:
    - update-rc.d no longer supports non-dependency-based boot.
      + Remove non-insserv codepaths.
      + Warn if the start or stop actions are used.
      + Skip runlevel mismatch warnings if default action is used
        (no arguments to validate).
      + Update manual page to remove start and stop actions, plus
        manual setting of boot sequence ordering; note that start
        and stop are no longer supported.  Closes: #606505.
  * initscripts:
    - Remove static runlevels from update-rc.d calls in postinst.
    - checkroot.sh skips fsck of btrfs filesystems.  Thanks to Ben
      Klein for this patch.  Closes: #701956.  Note that this is
      intended to be a workaround until such time btrfs provides a
      non-broken fsck.btrfs.
    - Remove use of absolute program paths in postinst.
  * bootlogd:
    - Remove static runlevels from update-rc.d calls in postinst.

  [ Pino Toscano ]
  * Update inittab.gnu to the new path of Hurd's getty.
  * mount-functions.sh: do not add "nodev" to the mount options also on Hurd,
    as this option does not exist there.

  [ Steve Langasek ]
  * Kill pointless script-not-executable overrides for things that are not
    scripts.
  * /etc/default/rcS is a conffile; remove postinst code that attempts to
    create it from a non-existent template.
  * Relax the Breaks: on upstart for compatibility with Ubuntu.
  * Don't duplicate the /etc/default/rcS conffile with a template in the
    preinst; unmodified files should just be removed, and created
    automatically by dpkg.
  * Fix 'service $foo restart' implementation for upstart jobs.
  * Update service(8) manpage to document the support for upstart jobs.
  * debian/sysv-rc/sbin/invoke-rc.d: replace RUNLEVEL with RUNLEVELHELPER.
    Using RUNLEVEL causes spurious failures when invoke-rc.d is invoked
    with RUNLEVEL already defined in the environment (as it is e.g. during
    bootup) since invoke-rc.d's RUNLEVEL will become an exported variable
    at that point and cause /sbin/runlevel to return bad data. (LP: #619246)
    Thanks to James Troup for the patch.
  * Properly clean up bootlogd conffiles on upgrade using dpkg-maintscript,
    instead of leaving them orphaned on the filesystem when the bootlogd
    package is not installed.
  * Drop maintainer script migration code for versions older than squeeze. 
  * Mark sysv-rc Multi-Arch: foreign, now that debhelper is generating
    versioned dependencies on it, this is important for cross-installability
    of packages providing services.  Closes: #710304.
  * Also mark initscripts Multi-Arch: foreign, for similar reasons.  This is
    probably less important, given that the number of packages affected is
    small and the /run transition is already past, but it is still correct
    in its own right so might as well be added.  Closes: #677369.

  [ Michael Biebl ]
  * Redirect error output from 'initctl version', suppressing warnings when
    upstart is installed but not running.  Closes: #685779.

 -- Roger Leigh <rleigh@debian.org>  Sat, 13 Jul 2013 21:24:31 +0100

sysvinit (2.88dsf-41+jessie1) experimental; urgency=low

  [ Roger Leigh ]
  * initscripts:
    - Move /etc/nologin and /var/lib/initscripts/nologin to
      /run/nologin.  This means that nologin is always created on
      a writable, available filesystem.  Closes: #660862.
    - Remove code to generate /etc/mtab.  /etc/mtab is now always a
      symbolic link to /proc/mounts.  Closes: #630723.
    - Remove incorrect use of break in case blocks in vars.sh.  Thanks
      to Raphaël Hertzog for this patch.  Closes: #701031.
    - /etc/network/if-up.d/mountnfs: Skip lo if already configured.
      Closes: #705052.  Thanks to Timo Weingärtner.
  * sysvinit:
    - Document length limit of 127 in inittab process field.  Thanks
      to Johannes Truschnigg.  Closes: #693960.
  * sysv-rc:
    - Fix typo in invoke-rc.d(8).  Closes: #683804.  Thanks to
      Martin-Éric Racine.

  [ Michael Stapelberg ]
  * systemd: update check to look for /run/systemd/system.
    Closes: #703571
  * sysv-rc:
    - Add systemd support to update-rc.d(8) and invoke-rc.d(8).
      Closes: #683084.
    - service(8): use systemctl on machines that run systemd.
      Closes: #704923

 -- Roger Leigh <rleigh@debian.org>  Sat, 28 Jul 2012 20:09:11 +0100

sysvinit (2.88dsf-41ubuntu18) utopic; urgency=medium

  Some cleanups and cherry-picks from current sysvinit, as uploading the full
  merge has been stalled for review for a long time.

  * Drop Cell support/SPU mountpoint handling, this platform hasn't been
    supported for some time.
  * Revert to most of Debian's initscripts Breaks: (except console-setup,
    ifupdown, and initramfs-tools) to avoid diff noise, they are harmless
    now.
  * Drop compat symlink from /usr/bin/service to /usr/sbin/service. According
    to codesearch, nothing is using the former any more.
  * Update to current syvinit update-rc.d. This handles "defaults" calls
    correctly wrt. LSB header information, drops the confusing warnings
    (LP: #1334596), and handles init.d scripts for systemd correctly.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 26 Aug 2014 07:22:55 +0200

sysvinit (2.88dsf-41ubuntu17) utopic; urgency=medium

  * Drop initscript dependencies to upstart and mountall. Debian's SysV init
    boot scripts are back, and both upstart and systemd now provide jobs/units
    which "shadow" the SysV init.d scripts. This allows installing
    systemd-sysv instead of upstart. (LP: #1351306)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 07 Aug 2014 10:39:25 +0200

sysvinit (2.88dsf-41ubuntu16) utopic; urgency=medium

  * Move sourcing of lsb/init-functions above the sourcing of helpers which we
    don't ship in Ubuntu, to avoid some harmless, but confusing noise during
    boot.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 30 May 2014 11:44:23 +0200

sysvinit (2.88dsf-41ubuntu15) utopic; urgency=medium

  * Disable startpar. It wreaks havoc with "task" upstart jobs as init.d
    scripts depending on them rely on them to be "running".

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 29 May 2014 10:15:57 +0200

sysvinit (2.88dsf-41ubuntu14) utopic; urgency=medium

  * Revert the dependency changes from the previous upload to avoid loops.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 27 May 2014 08:45:53 -0600

sysvinit (2.88dsf-41ubuntu13) utopic; urgency=medium

  * Revert previous upload, which caused regression due to UPSTARTDIR
    variable removal that was still in-use.
  * Reintroduce 11 rcS initd scripts:
    - all of them source /lib/lsb/init-functions and thus do nothing under
    upstart, and symlinked to /dev/null under systemd.
    - adjust initscripts conffiles, postinst and postrm to setup symlinks
    and clean up appropriately.
  * Enable insserv (LP: #1312836):
     - adjust path variable in postinst to find insserv under
    /usr/lib/insserv due to 200_hide_insserv_on_ubuntu.patch in insserv on
    ubuntu.
    - adjust legacy_boot check to examine both rc0.d and rc6.d and the
    stamp file.
    - perform conversion and remove flag file
    - cherrypick patch for update-rc.d to lookup insserv in
    /usr/lib/insserv and /sbin.
    - drop touching legacy boot ordering stamp in sysv-rc preinst.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 27 May 2014 13:52:14 +0200

sysvinit (2.88dsf-41ubuntu12) utopic; urgency=medium

  * Revert the invoke-rc.d check for "does this upstart job exist" from
    calling "initctl status" back to checking for the file existence. The
    former fails in a chroot if it installs a package/job which is not present
    on the host: then "initctl status" will check the hosts's job (which
    doesn't exist, and thus fails) instead of the one in the chroot.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 May 2014 10:27:06 +0200

sysvinit (2.88dsf-41ubuntu11) utopic; urgency=medium

  * Cherrypick fixes from Debian git repository:
  * service & invoke-rc.d: in upstart interfacing code, check that the job
    is actually known to upstart. This is because during upgrades, pid 1
    might still be an older upstart which may not yet support syntax of
    the newly unpacked jobs, thus sysv-init script should be continued to
    be used instead. (Closes: #745503)
  * service & invoke-rc.d: unset UPSTART_SESSION environment variable to
    make sure all upstart initctl commands are executed against system
    init and not the session one. (Closes: #745505)
  * service: in upstart interfacing code, map "force-reload" to restart as
    per Debian policy 9.3.2, since there is no way to know for-sure if a
    reload is supported.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 15 May 2014 12:37:54 +0100

sysvinit (2.88dsf-41ubuntu10) utopic; urgency=medium

  * invoke-rc.d: Don't fail on masked services. (LP: #1312975)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 12 May 2014 11:20:50 +0200

sysvinit (2.88dsf-41ubuntu9) utopic; urgency=medium

  * invoke-rc.d: Fix actions to run under systemd if there is no init.d
    script.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 12 May 2014 10:04:32 +0200

sysvinit (2.88dsf-41ubuntu8) utopic; urgency=medium

  * Backport systemd support for service and invoke-rc.d from current Debian
    version, to fix package install/upgrade failures when running with
    systemd.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 12 May 2014 08:55:08 +0200

sysvinit (2.88dsf-41ubuntu7) utopic; urgency=low

  [ Colin King]

  * default cpufreq governor to powersave for intel-pstate driver
    -LP: #1314653

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 30 Apr 2014 08:59:51 -0600

sysvinit (2.88dsf-41ubuntu6) trusty; urgency=medium

  * debian/sysvinit-utils.startpar-bridge.upstart: Silence " *
    Starting/Stopping startpar bridge..." messages from boot.log, by
    commenting out description stanza.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 13 Mar 2014 01:37:30 +0000

sysvinit (2.88dsf-41ubuntu5) trusty; urgency=low

  * debian/src/sysv-rc/sbin/invoke-rc.d: clean eatmydata from environment
    unless INVOKE_RCD_ALLOW_EATMYDATA is set to value other than '0'.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 02 Dec 2013 17:12:03 -0500

sysvinit (2.88dsf-41ubuntu4) trusty; urgency=low

  [ James Hunt ]
  * debian/src/sysv-rc/sbin/invoke-rc.d: Call 'initctl reload-configuration'
    to work reliably on systems with broken inotify.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 28 Nov 2013 21:34:03 -0600

sysvinit (2.88dsf-41ubuntu3) saucy; urgency=low

  * Exit the ondemand script silently if we are on a system that has
    the Android LXC container upstart job installed, assuming Android
    will deal with CPU frequency scaling itself, so we don't have to.
  * Remove old N7 device-specific tweaks for the interactive governor.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 04 Jun 2013 08:53:47 -0600

sysvinit (2.88dsf-41ubuntu2) saucy; urgency=low

  * debian/src/sysv-rc/sbin/invoke-rc.d: tweak behavior of invoke-rc.d when
    a package has an upstart job without a corresponding init script, and
    we're running on a non-upstart system, *but* policy-rc.d says to not
    take the action.  In this case, we want to exit zero instead of
    non-zero, as this is an important use case when setting up Ubuntu in a
    chroot.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 28 May 2013 12:23:43 -0700

sysvinit (2.88dsf-41ubuntu1) saucy; urgency=low

  * Merge from Debian unstable:
    - fixes typo in /lib/init/vars.sh.  LP: #1146047.
  * Remaining changes:
    - Remove various initscripts (and an ifupdown hook) that have been
      replaced by upstart jobs shipped in other packages.
    - debian/sysvinit-utils.links: Compat symlink from /usr/bin/service to
      /usr/sbin/service
    - If /var/run/init.upgraded exists, call telinit u before unmounting
      the root filesystem.
    - Support Cell processor:
      + debian/initscripts.postinst: Create spu system group and /spu mount
        point if we are running on a Cell processor.
      + debian/control: Add initscripts dependency 'passwd' for groupadd.
    - debian/patches/91_sulogin_lockedpw.dpatch: Disable "root account is
      locked" warning, since this is the default in Ubuntu. Document this in
      sulogin.8.
    - debian/patches/92_sulogin_support_static_sh.patch: add support for
      /bin/static-sh as fallback if the regular shell fails to execute
    - debian/control: Drop Essential: yes from packages since we use Upstart.
    - debian/control: Do not build the sysvinit binary package any more. It
      conflicts with upstart, which is required, so it is uninstallable.
    - remove debian/postinst: this is supposed to go into the sysvinit
      package in Debian, but we don't ship that.
    - debian/control: sysvinit-utils recommends the upstart that provides
      the reload action
    - Mark all binary packages as Multi-Arch: foreign to allow for upstart
      to be installable with multi-arch (needed for armhf containers on x86)
    - Add a versioned depends to initscripts of mountall (>= 2.28), since
      everything else depends on initscripts for /run and the boot-time
      implementation is in mountall for us.
    - Drop /etc/default/tmpfs, and drop mention of it from
      debian/src/initscripts/man/rcS.5.
    - Added debian/src/initscripts/etc/init.d/ondemand: Sleep for 60 seconds,
      then set CPU Frequency Scaling governor to "ondemand" (or to
      "interactive" on systems that support it).
    - Remove mention of RAMLOCK, RAMSHM, and RAMTMP from the rcS(5) manual
      page.
    - When /dev/shm and /run/shm are both directories (not mounts), make
      /dev/shm a symlink to /run/shm.
    - d/service/service: Use 'stop/start' instead of passing restart
      directly through to upstart.
    - d/service/service.8: Document handling of upstart jobs.
    - Fix documentation for other things handled by mountall instead of
      initscripts: tmpfs, /sys (mountall lets you specify options in
      /etc/fstab), and ASYNCMOUNTNFS.
    - debian/src/initscripts/etc/init.d/sendsigs:
      + sendsigs: OMITPIDS needs to be reinitalized for every loop iteration
        before concatenating pids of upstart jobs to it.
      + only omit jobs that are in the 'start' goal or that are in state
        'stop/killed'. Those that are destined for 'stop' are waited on and
        killed like all other processes.
      + make report_unkillable use apport instead of echoing to console; but
        disable this reporting by default.
      + wait up to 300 extra seconds for upstart jobs that have been killed.
    - debian/src/sysv-rc/sbin/invoke-rc.d: replace RUNLEVEL with
      RUNLEVELHELPER.
  * Changes included in Debian:
    - debian/initscripts/etc/init.d/umountnfs.sh: emit upstart event
      unmounted-remote-filesystems
    - debian/src/initscripts/etc/init.d/sendsigs: handle the possibility of
      upstart jobs being started after the script starts running.
  * Dropped changes:
    - /lib/init/rw symlink to /run no longer needed, everything should now
      be using /run directly.
    - debian/src/initscripts/etc/init.d/umountroot: /run migration was
      completed before 12.04 LTS, this delta can now be dropped.
      LP: #1097321.
    - debian/initscripts.postinst: drop bypassing of motd.tail handling,
      which is no longer used in Debian.
    - Disable bootlogd by default: this is now a separate package not
      installed by default, no delta needed.
    - clean up /run/motd on upgrades: pre-LTS cleanup that is no longer
      needed.
    - Removing RAM* settings from /etc/default/rcS: these are no longer
      present in the Debian version of the file either.
    - Skip /var/run, /var/lock when unmounting filesystems: no longer needed,
      these will always be mounted under /run now which is already handled.
    - Upgrade handling for insserv-broken shutdown sequences: this was
      pre-LTS cleanup.
  * Fix initial generation of /run/motd.dynamic to conform to update-motd
    usage in pam_motd.
  * Drop new /etc/init.d/motd script, which is redundant with update-motd.
  * Relax Breaks: on old upstart to not trigger on the precise version, which
    doesn't have the incompatibility.
  * Adjust Breaks from initscripts on ifupdown; Ubuntu has had ifquery for a
    long time.
  * Revert migration of UTC setting from /etc/default/rcS to /etc/adjtime,
    dropping the corresponding Breaks: on util-linux.
  * Drop Breaks on console-setup, not needed because Ubuntu never had
    console-setup 1.73.
  * Drop Breaks on live-build, which *supports* /lib/init/rw as a mountpoint
    but does not use it.
  * Ignore change to make /etc/mtab a symlink (mostly happens automatically
    because we aren't using the initscripts rcS scripts).  This should be
    done only once /run/mount/utab works correctly (bug #702935).
  * Drop debian/initscripts.NEWS, which documents only Debian-specific
    changes that don't apply in Ubuntu.
  * Drop bind-mount handling on upgrade of initscripts.  The upstream
    refactoring means these functions have moved to a shell library that we
    don't otherwise care about shipping, and this is only relevant for
    pre-12.04 upgrades but the postinst doesn't include a version guard; so
    just delete this redundant code.
  * Fix wrong auto-upgrading of /etc/default/rcS to a conffile.  We should
    not store a copy of the old one if we know it's not user-modified, and
    we should *not* generate this in the preinst, but instead trust dpkg to
    install it.
  * Revert forced migration to dependency-based booting; this can only be
    done once all upstart-job-using packages in Ubuntu have been rebuilt
    with a newer debhelper that retains init scripts, otherwise insserv
    has insufficient information and will mangle the shutdown order.
  * Don't duplicate the /etc/default/rcS conffile with a template in the
    preinst; unmodified files should just be removed, and created
    automatically by dpkg.
  * Properly clean up bootlogd conffiles on upgrade using dpkg-maintscript,
    instead of leaving them orphaned on the filesystem when the bootlogd
    package is not installed.
  * On upgrade, recognize Ubuntu-specific md5sums of unmodified
    /etc/default/rcS files.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 17 May 2013 17:27:13 -0500

sysvinit (2.88dsf-41) unstable; urgency=low

  [ Roger Leigh ]:
  * sysvinit postinst always creates /etc/inittab if absent during
    configuration (Closes: #700051).

 -- Roger Leigh <rleigh@debian.org>  Thu, 07 Feb 2013 23:32:12 +0000

sysvinit (2.88dsf-40) unstable; urgency=low

  [ Roger Leigh ]:
  * Don't restart init on GNU/Hurd (Closes: #663009).
  * Handle PID detection more robustly, to work better with containers
    (Closes: #699523).  Always use PID1, which avoids the need for
    fragile pidof usage.
  * Handle ischroot more gracefully on failure (Closes: #699566).

 -- Roger Leigh <rleigh@debian.org>  Sun, 03 Feb 2013 14:52:05 +0000

sysvinit (2.88dsf-39) unstable; urgency=low

  [ Roger Leigh ]:
  * initscripts postinst calls urandom, not urandom.sh (Closes: #698966).
  * sysvinit postinst unconditionally creates a compatibility initctl
    link to ensure the migration to /run won't fail (Closes: #663009).

 -- Roger Leigh <rleigh@debian.org>  Sat, 26 Jan 2013 12:09:29 +0000

sysvinit (2.88dsf-38) unstable; urgency=low

  [ Roger Leigh ]:
  * If pidof fails in the sysvinit postinst or initscripts, default
    to PID 1 (for /sbin/init) (Closes: #663009).
  * Make fstab globbing in initscripts completely robust.

 -- Roger Leigh <rleigh@debian.org>  Wed, 23 Jan 2013 22:43:55 +0000

sysvinit (2.88dsf-37) unstable; urgency=low

  [ Roger Leigh ]
  * initscripts: Remove all use of shell heredocs in shell libraries;
    these require a writable /tmp which will not be guaranteed to be
    present in early boot (Closes: #697994).

 -- Roger Leigh <rleigh@debian.org>  Mon, 14 Jan 2013 21:53:59 +0000

sysvinit (2.88dsf-36) unstable; urgency=low

  [ Roger Leigh ]
  * initscripts:
    - Handle globbing of /etc/fstab.d/* safely.
    - Correct erroneous error that an entry for /dev/shm existed in
      /etc/fstab when no entry was present (Closes: #697537).

 -- Roger Leigh <rleigh@debian.org>  Fri, 11 Jan 2013 23:36:28 +0000

sysvinit (2.88dsf-35) unstable; urgency=low

  [ David Prévot ]
  * Fix German translation charset.

  [ Roger Leigh ]
  * initscripts:
    - To permit enabling of dependency-based boot, add Breaks on older
      versions of bootchart.  Thanks to Andreas Beckmann.
      Closes: #694252.
    - To work around a bug in the Oracle database, which has a faulty
      check for /dev/shm, continue to mount a tmpfs on /dev/shm rather
      than /run/shm if one is defined in /etc/fstab.  Closes: #694379.
  * sysvinit-utils:
    - Add Breaks: upstart (<< 1.5-1) to avoid breaking the boot with
      older versions of upstart.  Closes: #694961.

 -- Roger Leigh <rleigh@debian.org>  Mon, 17 Dec 2012 22:50:49 +0000

sysvinit (2.88dsf-34) unstable; urgency=low

  [ Roger Leigh ]
  * initscripts: Don't run mountall until checkroot-bootclean is finished.

  [ Steve Langasek ]
  * initscripts.postinst: hide from lintian the fact that we're removing
    /dev/shm, since otherwise a buggy lintian check prevents us from
    uploading legitimate code to the archive.

 -- Steve Langasek <vorlon@debian.org>  Fri, 16 Nov 2012 14:51:06 -0600

sysvinit (2.88dsf-33) unstable; urgency=low

  [ David Prévot ]
  * Updated debconf translations:
    - es.  Thanks to Javier Fernández-Sanguino.  Closes: #686774, #682560.
    - pt_BR.  Thanks to Adriano Rafael Gomes.  Closes: #686906.

  [ Roger Leigh ]
  * All bootclean scripts run before bootmisc.  Closes: #677097.

  [ Steve Langasek ]
  * when running under upstart, emit an 'unmounted-remote-filesystems' event
    when we're done unmounting in umountnfs.sh so that upstart can finish
    shutting down.
  * make the startpar bridge track stopped jobs, not just started ones;
    required for us to have a smooth event-based shutdown with upstart.

 -- Steve Langasek <vorlon@debian.org>  Fri, 16 Nov 2012 04:30:29 -0800

sysvinit (2.88dsf-32) unstable; urgency=low

  [ Roger Leigh ]
  * Apply patch to startpar to prevent the use of mlockall on
    kFreeBSD, which was causing a kernel panic at boot.  Thanks to
    Petr Salinger for this patch.  Closes: #672959.
  * Correctly detect service availability with service(8).  Thanks
    to Alexander Golov for this patch.  Closes: #685212.

 -- Roger Leigh <rleigh@debian.org>  Fri, 31 Aug 2012 23:03:14 +0100

sysvinit (2.88dsf-31) unstable; urgency=low

  [ Roger Leigh ]
  * initscripts:
    - Remove debugging echo statement from postinst.

 -- Roger Leigh <rleigh@debian.org>  Sat, 11 Aug 2012 18:27:50 +0100

sysvinit (2.88dsf-30) unstable; urgency=low

  [ Roger Leigh ]
  * initscripts:
    - Fix /dev/shm to /run/shm migration bug which occurred in chroots
      when /dev/shm was a mountpoint but /dev was not.  Check
      specifially for /dev, /dev/shm, run or /run/shm being a mountpoint
      before attempting to migrate.  This copes with all combinations of
      mountpoints, directories and symlinks.  Closes: #683103.

 -- Roger Leigh <rleigh@debian.org>  Sat, 11 Aug 2012 16:44:22 +0100

sysvinit (2.88dsf-29) unstable; urgency=low

  [ Steve Langasek ]
  * initscripts:
    - Improve /dev/shm to /run/shm upgrade handling in the postinst
      (improvement for #674178).

  [ Roger Leigh ]
  * initscripts:
    - Remove /lib/init/rw if possible.  Closes: #679612.
    - If /run is a symlink to /var/run, correct this on both upgrade
      and on boot.  On upgrade, the proper /run migration will occur
      on reboot.  On boot, the system will require rebooting to fully
      migrate /run to a working configuration (but this will only
      occur on systems which are already broken, it's not an upgrade
      path).  This correct problems with udev breakage due to /run
      being mounted twice when /run is a symlink.
      Closes: #677097, #679523.
    - Start urandom on initial install, so that a random seed exists on
      first boot.  Closes: #679972.
    - Restore creation of /var/log/dmesg (Closes: #681639).
  * sysv-rc:
    Remove unused debconf logic in postinst.

 -- Roger Leigh <rleigh@debian.org>  Sat, 30 Jun 2012 23:21:06 +0100

sysvinit (2.88dsf-28) unstable; urgency=low

  [ Steve Langasek ]
  * debian/patches/upstart_support.patch: add missing
    startpar-upstart-inject manpage.

  [ Roger Leigh ]
  * Updated debconf translations:
    - ca.  Thanks to Innocent De Marchi.  Closes: #677904.
    - cs.  Thanks to Miroslav Kure.  Closes: #678680.
    - da.  Thanks to Joe Hansen.  Closes: #676893.
    - de.  Thanks to Chris Leick.  Closes: #677753.
    - fr.  Thanks to Steve Petruzzello.  Closes: #677590.
    - gl.  Thanks to Jorge Barreiro.  Closes: #678627.
    - nl.  Thanks to Jeroen Schot.  Closes: #677333.
    - pl.  Thanks to Michał Kułach.  Closes: #676773.
    - pt.  Thanks to Miguel Figueiredo.  Closes: #676814.
    - ru.  Thanks to Yuri Kozlov.  Closes: #677011.
    - sk.  Thanks to Slavko.  Closes: #676721.
    - sv.  Thanks to Martin Bagge.  Closes: #676791.
    - zh_CN.  Thanks to YunQiang Su.  Closes: #676725.
  * Add missing hardening CPPFLAGS.  Thanks to Simon Ruderich.
    Closes: #678878.
  * Update clean run to cope with nonexistent startpar.
  * initscripts:
    - Only run update-rc.d in maintainer scripts when the init
      script exists and is executable.  Closes: #671124.
    - Break initramfs-tools (<< 0.104), needed to prevent initrd
      generation failure since older initramfs-tools can't cope with
      /etc/mtab being a symlink.  Closes: #668650.
    - Don't mount with -o nodev on kFreeBSD.  Closes: #669162.
    - Set up /run correctly in a chroot when running debootstrap.
      Thanks to Serge Hallyn.  initscripts.postinst: if /dev is not a
      separate partition and we're in a chroot, then create /run/shm
      and make /dev/shm a symbolic link to it, as we would expect to
      find in a upgraded and rebooted running system. LP: #974584.
      Closes: #674178.
  * sysvinit:
    - rc and startpar distinguish between LSB not installed and
      not configured failure conditions.  Thanks to Nate Coraor.
      Closes: #625463.
  * sysv-rc:
    - Dependency-based booting is activated unconditionally.  Scripts
      without LSB headers will generally be ordered after all other
      scripts, but before scripts requiring $all to be started, such as
      rc.local, but this is not guaranteed.  Add an LSB header if you
      need to guarantee the ordering of scripts.
      Closes: #676463, #678231, #676473.
    - update-rc.d uses absolute path to insserv, to give better error
      messages to non-root users where /sbin is not in the PATH.
      Thanks to Regid Ichira.  Closes: #637390.

  [ Paul Menzel ]
  * Fix usage message in /etc/init.d/motd.  Closes: #676910.

 -- Roger Leigh <rleigh@debian.org>  Wed, 27 Jun 2012 23:00:45 +0100

sysvinit (2.88dsf-27) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Remove reference to /usr/share/initscripts/default.rcS.
    With commit d0388ba464e69b1b7915a3d9071cfcba21d0102c /etc/default/rcS
    was made a regular conffile. Remove reference to original location with
    default values.

  [ Roger Leigh ]
  * initscripts:
    - Don't fail in the absence of /proc/meminfo.  The ram_size and
      swap_size functions in /lib/init/tmpfs.sh always return true.
      Closes: #676669.

 -- Roger Leigh <rleigh@debian.org>  Fri, 08 Jun 2012 22:29:04 +0100

sysvinit (2.88dsf-26) unstable; urgency=low

  [ Roger Leigh ]
  * initscripts:
    - /run/shm is mounted noexec.  Closes: #386368.
    - The RAMSHM and RAMTMP settings in /etc/default/rcS are used if
      present, though the replacement settings in /etc/default/tmpfs
      will override these, if enabled.
    - Revert RAMTMP setting to be disabled by default.
      Closes: #630615, #665635, #666698, #674517.
    - Don't prompt the user on upgrade if rcS was not modified by
      the admin.  Closes: #674460.
  * sysvinit-utils:
    - Fix typo in fstab-decode(8).  Thanks to Bjarni Ingi Gislason.
      Closes: #674208.

 -- Roger Leigh <rleigh@debian.org>  Mon, 28 May 2012 17:58:38 +0100

sysvinit (2.88dsf-25) experimental; urgency=low

  [ Roger Leigh ]
  * Build with hardening flags enabled; CFLAGS and LDFLAGS are passed
    to all build commands.
  * initscripts:
    - /etc/default/rcS is no longer managed by ucf, and is a regular
      conffile.  Drop the UTC setting, which has been migrated to
      /etc/adjtime by util-linux.  Break util-linux << 2.20.1-5 in order
      to ensure correct migration of the UTC setting before the file is
      upgraded.
    - Use ifquery in /etc/network/if-up.d/mountnfs to replace complex
      parsing.  Also only run if inet or inet6 interfaces have been
      configured, to avoid freezing when the interface hasn't yet
      been configured (Closes: #674039).
    - %VM tmpfs size calculation works when swap is disabled.

 -- Roger Leigh <rleigh@debian.org>  Tue, 22 May 2012 23:46:14 +0100

sysvinit (2.88dsf-24) experimental; urgency=low

  [ Roger Leigh ]
  * initscripts:
    - Don't generate or touch /etc/motd.  Instead, the dynamic part of
      /etc/motd is created as /run/motd.dynamic, leaving /etc/motd
      entirely under the control of the system administrator.  If
      /etc/motd is a symlink to /run/motd, /etc/motd.tail is moved
      back to /etc/motd.  Closes: #353229, #624391, #668307.  /etc/motd
      is not removed if initscripts is purged, since it's not owned by
      initscripts.
    - By default, /run/motd is just the output of uname, preserving the
      existing behaviour.  However, should the administrator wish to
      include dynamic information in the motd, they may write scripts
      to update /run/motd.dynamic as they please.  Closes: #437176.
    - motd generation is split from bootlogs into a separate motd
      init script.
    - bootlogs init script has been removed; current logging daemons
      handle this themselves, making this script redundant.
    - tmpfs mounts are never cleaned by bootclean.sh.  Cleaning /run
      can lead to nonfunctional input when Xorg starts.  Closes: #669949.
  * sysvinit-utils:
    - Suggest rather than Recommend bootlogd.

  [ Kel Modderman ]
  * sysv-rc:
    - Run check_divert in postinst to make sure /usr/sbin/update-rc.d
      not symlinked to /usr/sbin/update-rc.d-insserv.  Closes: #670085.

  [ Steve Langasek ]
  * Install the startpar bridge now that dh_installinit in Debian handles
    this.  Closes: #660824.
  * Give startpar a listening backlog on its socket for upstart connections,
    since there's no protocol-level queuing for unix sockets and these
    connections tend to come in fast and furious at boot.
  * Add upstart support to invoke-rc.d, per the policy discussion in bug
    #591791.  Closes: #671284.

 -- Roger Leigh <rleigh@debian.org>  Sun, 29 Apr 2012 23:52:14 +0100

sysvinit (2.88dsf-23) experimental; urgency=low

  [ Roger Leigh ]
  * Acknowledge NMU for translation updates.  Thanks to Christian
    Perrier.
  * debian/control:
    - Upgrade to Standards-Version 3.9.3.
    - Build-Depend on debhelper v9.
    - Correct Vcs-Git URL.
  * debian/rules:
    - Use DEB_HOST_ARCH_OS = hurd rather than
      DEB_HOST_ARCH = hurd-i386.   Thanks to Pino Toscano.
  * debian/patches:
    - 11_lfs_cflags.patch: Add patch for enabling large file support,
      needed on GNU/Hurd, but useful for all platforms.  LP: #767244.
    - 73_lfs_cflags.patch: Add patch for enabling large file support
      in startpar.
  * initscripts:
    - Moved RAM* settings from /etc/default/rcS to /etc/default/tmpfs.
      This ensures that the settings are equivalent for upgrades and
      new installations, but will require manual configuration of the
      settings for upgrades (no migration from /etc/default/rcS to
      /etc/default/tmpfs will take place, due to tmpfs being a
      conffile).  tmpf(5) manual page added to document all aspects
      of tmpfs configuration, including the existing documentation in
      rcS(5).
    - Drop the use of .ramfs dotfiles in /run and /run/lock.  These
      were a legacy of /lib/init/rw and were not actually used by
      anything.  Closes: #403863.
    - Drop /etc/init.d/mountoverflowtmp.  This has been merged into
      the general tmpfs on /tmp handling functions.  This means the
      generic RAMTMP configuration is used for the overflowtmp.
      Closes: #567539.
    - It is now possible to configure a tmpfs mount size limit as a
      percentage of the total VM size (%VM) as well as a percentage
      of the RAM size (%).  This is computed by tmpfs.sh and the
      tmpfs mounts are remounted with the updated size limit after
      swap becomes available.
    - An fstab entry for /tmp overrides RAMTMP.  Document tmpfs
      override and tmpfs defaults in tmpfs(5), also undeprecating the
      tmpfs settings.  Closes: #585540, #665995.
    - An fstab entry for /run/lock or /run/shm overrides RAMLOCK and
      RAMSHM.
    - bootclean cleans /tmp, /run and /run/lock before any filesystems
      are mounted as well as after local and network mounts.  This
      permits cleaning of directories which would otherwise be hidden
      by mountpoints later in the boot process.
      Closes: #55707, #558000, #666871.  Additionally clean up
      /lib/init/rw in case any files were hidden by the (now removed)
      tmpfs mount at this location.  Closes: #652625.
    - Removed last trace of the long-removed EDITMOTD from the
      postinst.  Closes: #438895.
    - Removed documentation of #346342 in rcS(5).  This is no longer
      an issue now tzdata keeps a copy of the data on the rootfs.
      Closes: #385172.
    - Correct description of TMPTIME in rcS(5).  Thanks to Alan J.
      Greenberger.  Closes: #562500.
    - urandom: Applied a series of patches from John Denker to
      improve the integrity of random number generation.  Many thanks.
      Closes: #596479, #596480, #596481, #596482, #596483, LP: #947041.
  * sysv-rc:
    - Remove old upgrade logic from maintainer scripts not required
      for wheezy.
    - Migrate users of obsolete static boot ordering to dynamic boot
      ordering.
    - Remove use of /etc/init.d/.legacy-bootordering.  Closes: #668312.
    - Improve help text of debconf message when it is not possible to
      automatically enable dynamic boot ordering.  Provide explicit
      instructions for how to purge obsolete init scripts.
      Closes: #550425.
    - etc/init.d/rc: Ensure linprocfs is mounted on kFreeBSD.  Thanks
      to Robert Millan.  Closes: #659480.
    - Drop undocumented CONCURRENCY setting from /etc/init.d/rc.
      Closes: #518249, #540448, #539261.  Note that this still contains
      internal fallbacks to support non-insserv booting, which may be
      removed at a later date.
    - invoke-rc.d:
      + Minor manual page corrections.  Thanks to Anthony Fiumara.
        Closes: #664816.
      + Remove mention of the "dpkg Programmers' Manual" and replace
        with references to Debian Policy.  Closes: #543793.
    - update-rc.d:
      + Correctly warn about non-LSB standard runlevels.  Thanks to
        Chris Hiestand for this patch.  Closes: #614895.
      + Remove obsolete documentation of
        /var/lib/sysv-rc/legacy-bootsequence.  Thanks to Thomas Hood.
        Closes: #623051.
  * sysvinit:
    - Minor corrections for halt(8) manual page.  Thanks to
      Christoph Anton Mitterer.  Closes: #587923.
    - Installation with debootstrap --variant=fakechroot now works, due
      to only migrating the old control channel when it is still
      present.  Thanks to Michael Gilbert.  Closes: #596284.
  * sysvinit-utils:
    - Recommend bootlogd.  Closes: #659490.  This means that booklogd
      will be installed by default, but will be removable.
      Closes: #232569.
    - Correct documentation of the startpar -i option.  Closes: #545438.
    - Correct startpar(8) SEE ALSO section.  Closes: #634146.
    - Correct wording in service(8).  Thanks to Joey Hess and Regid
      Ichira.  Closes: #545401, #667745.

  [ Steve Langasek ]
  * debian/service/service: fix upstart compatibility to not try to use the
    upstart commands when init isn't upstart.  Closes: #636054.
  * debian/rules: pass CFLAGS when building startpar.
  * Fix startpar to not run init scripts that have matching upstart jobs,
    instead waiting for a signal from upstart.  Closes: #660824.
  * sysvinit:
    - Don't restart or perform initctl migration if systemd is
      running.

 -- Roger Leigh <rleigh@debian.org>  Sat, 21 Apr 2012 12:11:45 +0100

sysvinit (2.88dsf-22.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Dutch; (Jeroen Schot).  Closes: #626270
    - Polish (Michał Kułach).  Closes: #658156

 -- Christian Perrier <bubulle@debian.org>  Tue, 13 Mar 2012 07:03:06 +0100

sysvinit (2.88dsf-22) unstable; urgency=low

  [ Roger Leigh ]
  * mountall.sh uses mknod rather than mkfifo (Closes: #658045).

 -- Roger Leigh <rleigh@debian.org>  Mon, 30 Jan 2012 23:44:21 +0000

sysvinit (2.88dsf-21) unstable; urgency=low

  [ Roger Leigh ]
  * debian/patches/72_path_max.patch: New patch for startpar.  Don't
    use PATH_MAX, to fix compilation on GNU/Hurd.

 -- Roger Leigh <rleigh@debian.org>  Sat, 28 Jan 2012 11:14:53 +0000

sysvinit (2.88dsf-20) unstable; urgency=low

  [ Roger Leigh ]
  * debian/patches/71_signalfd.patch: New patch for startpar.  Don't
    include <sys/signalfd.h>, which is not used and breaks
    compilation on architectures not having this Linux-specific
    header.  (Closes: #657676)
  * sysvinit:
    - Don't restart init when a chroot is detected, to avoid lengthy
      timeouts.  Use ischroot from debianutils to determine whether
      the postinst is being run in a chroot environment, as already
      done by initscripts.

 -- Roger Leigh <rleigh@debian.org>  Sat, 28 Jan 2012 00:07:39 +0000

sysvinit (2.88dsf-19) unstable; urgency=low

  [ Roger Leigh ]
  * debian/control:
    - initscripts adds versioned Breaks on autofs (<< 5) since
      autofs 4.x does not cope with /etc/mtab symlinked to
      /proc/mounts.  Users should upgrade to autofs5, which works
      correctly.  (Closes: #653126)
    - initscripts Breaks aide << 0.15.1-5 and sysklogd << 1.5-6.2 now
      they support /run.
    - sysvinit Pre-Depends on initscripts >= 2.88dsf-13.3 in order
      to transition initctl to /run.
  * sysvinit:
    - /sbin/init control channel FIFO is /run/initctl rather than
      /dev/initctl (Linux) or /etc/.initctl (FreeBSD).  The postinst
      migrates the running init to use the new control channel by
      replacing the old channel with a symlink prior to issuing a
      SIGUSR1 to cause init to reopen its control channel and then
      exec of the new version of init using the new path.  Thanks
      to Robert Millan.  (Closes: #638019)
    - Add Catalan (ca) translation.  Thanks to Innocent De Marchi.
      (Closes: #622785)
  * sysvinit-utils:
    - Upgrade to startpar 0.58.  Thanks to Dr. Werner Fink at SuSE for
      this updated release.  This release incorporates all of the
      existing Debian patchset; debian/patches/7[1-9]* have now been
      dropped.
  * initscripts:
    - mountall.sh recreates /run/initctl and sends SIGUSR1 to init
      if needed.
    - /etc/init.d/rc.local uses only $all in Required-Start;
      $remote_fs and $syslog being redundant.  Thanks to Regid Ichira.
      (Closes: #635025)
    - rcS.5 documents that RAMTMP defaults to yes for new
      installations, and no for upgrades (since RAMTMP is not present
      in /etc/default/rcS).  (Closes: #652337)
    - /etc/default/rcS is updated using ucf.  (Closes: #648433)
    - umountfs uses more sophisticated sed expression to compute
      PROTECTED_MOUNTS, to support unionfs and more complex cases.
      Thanks to Michele Mazzucchi for this patch.  (Closes: #655582)

 -- Roger Leigh <rleigh@debian.org>  Sun, 22 Jan 2012 17:07:46 +0000

sysvinit (2.88dsf-18) unstable; urgency=low

  [ Roger Leigh ]
  debian/rules: Fix FTBFS on Hurd by moving file renaming to a later
  point in the build.

 -- Roger Leigh <rleigh@debian.org>  Thu, 22 Dec 2011 22:59:47 +0000

sysvinit (2.88dsf-17) unstable; urgency=low

  [ Roger Leigh ]
  * debian/control:
    - initscripts adds versioned Breaks on readahead-fedora
      (<< 2:1.5.6-3), which removed splash support.  Thanks to Sven
      Joachim.
    - Update initscripts Breaks for fixed version of libpam-mount.
  * initscripts:
    - Document /lib/init/rw removal and cleanup in NEWS.
      (Closes: #652512).
    - /etc/network/if-up.d/mountnfs handles whitespace correctly
      (Closes: #612378).  grep on /etc/network/run/ifstate is corrected
      (inverted the logic).  Thanks to Jamie Heilman and Corey Hickey.
  * sysvinit: Install reboot and halt commands with a -sysv suffix
    on GNU/Hurd.  (Closes: #652830)

  [ Josh Triplett ]
  * Split bootlogd into a separate package. (Closes: #545181)

 -- Roger Leigh <rleigh@debian.org>  Thu, 22 Dec 2011 20:58:36 +0000

sysvinit (2.88dsf-16) unstable; urgency=low

  [ Roger Leigh ]
  * debian/control:
    - initscripts versioned Breaks use correct epochs and binary
      package names.
    - initscripts Breaks libpam-mount <= 2.11-1, which does not
      support a read-only mtab.  This is supported in new upstream
      versions.

 -- Roger Leigh <rleigh@debian.org>  Sat, 17 Dec 2011 15:57:24 +0000

sysvinit (2.88dsf-15) experimental; urgency=low

  [ Roger Leigh ]
  * /etc/init.d/skeleton: Small whitespace cleanup.  Thanks to
    Peter Eisentraut. (Closes: #651862)
  * Move all patches in debian/startpar/patches to debian/patches
    and make debian/startpar/ content a separate patch applied to
    startpar/.  Build and install startpar in debian/rules.
    (Closes: #652097).

 -- Roger Leigh <rleigh@debian.org>  Thu, 15 Dec 2011 00:24:22 +0000

sysvinit (2.88dsf-14) experimental; urgency=low

  [ Kel Modderman ]
  * Add support for s390x, thanks to Aurelien Jarno <aurel32@debian.org>.
    (Closes: #641107)

  [ Roger Leigh ]
  * debian/rules:
    - Add build-arch and -indep rules. (Closes: #648472)
    - Remove dpatch usage.
    - Use dh and debhelper compat level 9.
  * debian/control:
    - Add git version control information.
    - Upgrade to Standards-Version 3.9.2.
    - Add myself to Uploaders.
  * Use dpkg 3.0 (quilt) source format.  Rediffed
    debian/patches/40_multiarch_libcrypt.patch which was not well
    formed and failed to apply.
  * initscripts:
    - Make /etc/mtab a symlink to /proc/mounts. (Closes: #494001)
      Note that this is only done when the root filesystem is writable
      and /proc/mount is readable.
    - Support the ceph network filesystem. (Closes: #580579).  Thanks
      to Sage Weil.
    - Restore boot-time cleaning of /var/run and /var/lock, used by
      systems which currently do not use a tmpfs for /run.
    - Remove /lib/init/rw: Add Breaks for all packages which used
      /lib/init/rw, and which now use /run.  Unmount and remove
      following upgrade.
    - Don't create /run/.run-transition on upgrade, only on actually
      setting up a transitional bind mount.
    - Add Breaks on all packages previously using /lib/init/rw, in
      order to permit removal of /lib/init/rw.  It is not possible to
      remove prior to rebooting due to initscripts being required to
      be configured by the packages transitioning to /run.  Remove in
      wheezy+1.
    - Remove trailing period from the initscripts init script log
      message.  (Closes: #648881, LP: #662875).  Thanks to Clint Byrum.
    - /etc/network/if-up.d/mountnfs: grep: character class syntax is
      [[:space:]], not [:space:]. (Closes: #631077, #645655).  Thanks to
      Milan Kocian and Jan-Benedict Glaw.  Also simplify function logic
      using a for loop rather than a while loop.  Thanks to Corey Hickey.
  * sysv-rc:
    - Remove splash support and use of removed /dev/.initramfs.
      (Closes: #643558).  Thanks to Michael Biebl.

 -- Roger Leigh <rleigh@debian.org>  Tue, 13 Dec 2011 20:11:48 +0000

sysvinit (2.88dsf-13.13) unstable; urgency=low

  * Non-maintainer upload.
  * Replace "cons25" with "xterm" on GNU/kFreeBSD.

 -- Robert Millan <rmh@debian.org>  Wed, 02 Nov 2011 23:42:14 +0000

sysvinit (2.88dsf-13.12) unstable; urgency=low

  * Non-maintainer upload.
  * 92_kfreebsd_ifdown.patch: Shut down network interfaces correctly on
    GNU/kFreeBSD.  Thanks Guillem.  (Closes: #606565)
  * Replace `ttyd' with `cuau' in inittab for GNU/kFreeBSD.  Thanks Tuco.
    (Closes: #587162)
  * Use linux-any in debian/control to avoid hardcoded lists of non-Linux
    arches.  (Closes: #634514)

 -- Robert Millan <rmh@debian.org>  Fri, 14 Oct 2011 23:27:34 +0200

sysvinit (2.88dsf-13.11) unstable; urgency=low

  * Non-maintainer upload.
  * initscripts provides /run/sendsigs.omit.d as soon as /run is
    available.
  * initscripts bootlogs: Remove support for /dev/.udev.log,
    which is no longer needed now udev uses /run.
  * initscripts umountroot: Remove ubuntu-specific patch which
    created directories on the root filesystem prior to umounting it.
    This was never applicable to Debian, and is now no longer required
    following the introduction of /run (Closes: #633541).

 -- Roger Leigh <rleigh@debian.org>  Wed, 13 Jul 2011 19:47:10 +0100

sysvinit (2.88dsf-13.10ubuntu15) raring; urgency=low

  * add some default settings for the interactive governor to the ondemand
    initscript.

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 30 Jan 2013 13:16:38 +0100

sysvinit (2.88dsf-13.10ubuntu14) raring; urgency=low

  * Twiddle /etc/init.d/ondemand to prefer the "interactive" governor
    over the ondemand one, which improves responsiveness on devices
    that have a kernel that support this feature (such as the nexus7).
  * Also, exit more gracefully if we have no governors available to us.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 07 Dec 2012 04:48:13 -0700

sysvinit (2.88dsf-13.10ubuntu13) quantal; urgency=low

  * Add version guard to previous postinst change.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 20 Jul 2012 22:26:51 -0400

sysvinit (2.88dsf-13.10ubuntu12) quantal; urgency=low

  * Cherry-pick fix from git to better handle chroot in postinst and change
    the check to allow for the case where /dev isn't a mountpoint but /dev/shm
    is one. (LP: #974584)
  * Add logic to detect broken environments (mostly LXC) where both /dev/shm
    and /run/shm exist as directories (and aren't bind-mounts).
    In such case, move the content of /dev/shm to /run/shm and make /dev/shm
    a symlink to /run/shm.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 20 Jul 2012 16:55:04 -0400

sysvinit (2.88dsf-13.10ubuntu11) precise; urgency=low

  * Only try to move links in /etc/rc{0,6}.d that match "S0*".  LP: #941867.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 13 Apr 2012 22:46:53 -0700

sysvinit (2.88dsf-13.10ubuntu10) precise; urgency=low

  * On upgrade, detect and correct broken shutdown sequence caused by
    3rd-party packages running insserv. (LP: #858122)

 -- Evan Broder <evan@ebroder.net>  Wed, 15 Feb 2012 18:38:19 -0800

sysvinit (2.88dsf-13.10ubuntu9) precise; urgency=low

  * Mark all binary packages as Multi-Arch: foreign to allow for upstart to
    be installable with multi-arch (needed for armhf containers on x86)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 02 Feb 2012 13:10:48 -0500

sysvinit (2.88dsf-13.10ubuntu8) precise; urgency=low

  * d/src/initscripts/etc/init.d/sendsigs: wait up to 300 extra
    seconds for upstart jobs that have been killed. They will be sent
    SIGKILL by upstart when their 'kill timeout' has been reached, so
    we should trust the job's author to give the service a reasonable
    amount of time to shut down. (LP: #688541)
  * also omit pids of stop/killed upstart jobs since we know they've
    been killed already.
  * d/src/initscripts/etc/init.d/umountroot: Check for init.upgraded
    file in /var/run before clearing out /var/run. (LP: #886439)

 -- Clint Byrum <clint@ubuntu.com>  Mon, 12 Dec 2011 16:16:37 -0800

sysvinit (2.88dsf-13.10ubuntu7) precise; urgency=low

  * Revert previous upload. /etc/bash_completion.d/service is already shipped
    in "bash-completion", causing a file conflict.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 12 Dec 2011 07:22:18 +0100

sysvinit (2.88dsf-13.10ubuntu6) precise; urgency=low

  * debian/bash_completion.d/service:
    - add a long overdue bash completion script for the service command

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 11 Dec 2011 21:18:46 -0600

sysvinit (2.88dsf-13.10ubuntu5) precise; urgency=low

  * d/service/service: Updated to use 'stop/start' instead of passing
    restart directly through to upstart. (LP: #440179)
  * d/service/service.8: Updated man page to reflect handling of upstart
    jobs.

 -- Clint Byrum <clint@ubuntu.com>  Tue, 15 Nov 2011 12:33:01 -0800

sysvinit (2.88dsf-13.10ubuntu4) oneiric; urgency=low

  * debian/src/initscripts/etc/init.d/umountroot: don't forget to migrate
    /dev/shm to /run/shm on shutdown also, without which ecryptfs fails to
    start up correctly.  Thanks to Martin Pitt for the report.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Jul 2011 22:02:25 -0700

sysvinit (2.88dsf-13.10ubuntu3) oneiric; urgency=low

  * remove debian/postinst: this is supposed to go into the sysvinit package
    in debian, but we don't ship that, meaning it lands in sysvinit-utils
    instead by mistake!

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Jul 2011 17:10:59 -0700

sysvinit (2.88dsf-13.10ubuntu2) oneiric; urgency=low

  * debian/src/initscripts/etc/init.d/umountroot: handle the migration of
    /var/run and /var/lock from directories to symlinks at shutdown, since
    we can't guarantee this gets done early enough at startup.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Jul 2011 16:26:00 -0700

sysvinit (2.88dsf-13.10ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable (LP: #807974), remaining changes:
    - Support Cell processor:
      + debian/initscripts.postinst: Create spu system group and /spu mount
        point if we are running on a Cell processor.
      + debian/control: Add initscripts dependency 'passwd' for groupadd.
      (Forwarded to Debian #483399)
    - Disable bootlogd by default.
    - debian/patches/91_sulogin_lockedpw.dpatch: Disable "root account is
      locked" warning, since this is the default in Ubuntu. Document this in
      sulogin.8.
    - debian/control: Drop Essential: yes from packages since we use Upstart.
    - debian/control: Do not build the sysvinit binary package any more. It
      conflicts with upstart, which is required, so it is uninstallable.
    - debian/src/initscripts/etc/init.d/ondemand: Sleep for 60 seconds, then
      set CPU Frequency Scaling governor to "ondemand".   LP: #341573.
    - debian/rules: Compat symlink from /usr/bin/service to
      /usr/sbin/service
    - debian/control: sysvinit-utils recommends the upstart that provides
      the reload action
    - Remove various initscripts (and an ifupdown hook) that have been
      replaced by upstart jobs shipped in other packages.
    - debian/sysv-rc.postinst: Don't use insserv by default
    - debian/src/initscripts/man/rcS.5: drop mention of /etc/default/tmpfs,
      which doesn't do anything on Ubuntu.
    - Remove RAMLOCK, RAMSHM, and RAMTMP settings from default rcS script to
      avoid confusion, remove from /etc/default/rcS on upgrade too; and remove
      mention of all of these plus RAMRUN from the manual pages.
    - Always skip these when unmounting filesystems.
    - Fix documentation for other things handled by mountall instead of
      initscripts: tmpfs, /sys (mountall lets you specify options in
      /etc/fstab), and ASYNCMOUNTNFS.
    - If /var/run/init.upgraded exists, call telinit u before unmounting
      the root filesystem.
    - Create /lib/init/rw as a symlink to /var/run on new installations,
      and fix it up in /etc/init.d/umountroot on upgrade, as it's difficult
      to do this at any other time
    - debian/initscripts.postinst:
      + do not create motd.tail from motd on systems using update-motd.
      + clean up incorrectly created motd.tail from upgrade to Maverick.
    - debian/src/initscripts/etc/init.d/sendsigs:
      + sendsigs: OMITPIDS needs to be reinitalized for every loop iteration
        before concatenating pids of upstart jobs to it.
      + handle the possibility of upstart jobs being started after the
        script starts running, to avoid unnecessary 10 second delays on
        shutdown.
      + only omit jobs that are in the 'start' goal. Those that are destined
        for 'stop' are waited on and killed like all other processes.
      + make report_unkillable use apport instead of echoing to console; but
        disable this reporting by default.
    - debian/patches/92_sulogin_support_static_sh.patch: add support for
      /bin/static-sh as fallback if the regular shell fails to execute
    - debian/initscripts/etc/init.d/umountnfs.sh: emit upstart event
      unmounted-remote-filesystems, to allow stopping portmap
    - debian/src/sysv-rc/sbin/invoke-rc.d: replace RUNLEVEL with
      RUNLEVELHELPER.
    - debian/src/initscripts/etc/init.d/umountroot: Improve handling of
      respawn of init: we now wait for inits map file to change. If this
      doesn't happen within 5 seconds, we unmount forcibly.
  * Changes included in Debian:
    - Conflict/Replace sysvconfig
    - Depend on lsb-base (>= 3.2-14) for status_of_proc() function.
    - debian/service/service: use upstart for service management, if an
      upstart configuration exists,
    - debian/src/initscripts/etc/init.d/umountfs: do not use the -f option
      when unmounting WEAK_MTPTS
    - debian/src/initscripts/etc/init.d/sendsigs: Omit any process being
      controlled by Upstart.
    - Fix FTBFS with changed libcrypt multiarch library location.
  * Changes included upstream:
    - debian/patches/100_fix_ftbfs_enoioctlcmd.patch: cherry pick upstream
      fix for missing ENOIOCTLCMD to fix a FTBFS
    - debian/patches/98_killall5_dynamic_omitpid.patch: Allocate
      pidof/killall5 omitpid buffers dynamically.
  * Dropped changes:
    - sysvutils transitional package: this transition is done pre-lucid, so
      drop the delta.
    - debian/src/initscripts/lib/init/usplash-fsck-functions.sh:  usplash is
      obsolete, code dropped in Debian and Ubuntu.
    - Handle /var/run/sendsigs.omit.d explicitly: this is replaced by
      /run/sendsigs.omit.d upstream.
    - waitnfs.sh -> mountnfs.sh renaming: transition finished pre-lucid.
    - bootlogs.sh -> bootlogs: transition finished pre-lucid.
  * Drop /etc/default/tmpfs; Ubuntu uses mountall instead, so this is
    confusing cruft.
  * Make /lib/init/rw a symlink to /run now.
  * Add a versioned depends to initscripts of mountall (>= 2.28), since
    everything else depends on initscripts for /run and the boot-time
    implementation is in mountall for us.
  * clean up /run/motd if we find this present in the chroot case; this was
    created by the premature base-files upload and should be overwritten.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Jul 2011 12:27:12 -0700

sysvinit (2.88dsf-13.10) unstable; urgency=low

  * Non-maintainer upload.
  * Correct selinux-policy-default Breaks versioning (use <= rather
    than <<).

 -- Roger Leigh <rleigh@debian.org>  Thu, 09 Jun 2011 20:31:00 +0100

sysvinit (2.88dsf-13.9) unstable; urgency=low

  * Non-maintainer upload.
  * Try both old and multiarch paths to cope with buildds which don't
    yet have a multiarch libc installed.

 -- Roger Leigh <rleigh@debian.org>  Thu, 09 Jun 2011 14:50:53 +0100

sysvinit (2.88dsf-13.8) unstable; urgency=low

  * Non-maintainer upload.
  * initscripts Breaks all selinux-policy-default versions up to and
    including 2:0.2.20100524-9, which do not support /run.
  * Add restorecon support for selinux to /run in mountkernfs.
    (Closes: #628107).  Thanks to Martin Orr for this patch.
  * Search for libcrypt using multiarch path (Closes: #629677).

 -- Roger Leigh <rleigh@debian.org>  Thu, 09 Jun 2011 13:35:56 +0100

sysvinit (2.88dsf-13.7) unstable; urgency=low

  [ Roger Leigh ]
  * Non-maintainer upload.
  * Correct version check used for reboot notification in initscripts
    postinst.
  * Don't use "rm -rf" when creating compatibility links in chroots;
    use plain rmdir and abort with an error if it fails.  This is in
    order to avoid removing host data if e.g. /run from the host is
    already bind mounted on the chroot /run, which would remove the
    contents of the host /run if upgrading initscripts in the chroot.
  * Restore rpcbind/portmap changes from 2.88dsf-13.5.
  * Add restorecon support for selinux using new paths. (Closes: #626725)
    Thanks to Martin Orr for this patch.
  * Use new debianutils "ischroot" program to detect if in a chroot in
    the initscripts postinst more reliably.  Depend on initscripts
    version 4 or greater to ensure ischroot is available.
    (Closes: #626846)

 -- Roger Leigh <rleigh@debian.org>  Wed, 18 May 2011 23:12:30 +0100

sysvinit (2.88dsf-13.6) unstable; urgency=low

  [ Roger Leigh ]
  * Non-maintainer upload.
  * Don't remount filesystems mounted in the initramfs until mtab
    exists.  Use the existing reload functionality of mountkernfs
    an mountdevsubfs to allow mtab.sh to trigger the remounts.
    (Closes: #623174)
  * Revert to using absolute paths in compatibility symlinks in order
    to comply with Policy §10.5 symlink rules. (Closes: #626263)
  * The permissions of /tmp are only set when root is writable.
    (Closes: #623934)

 -- Roger Leigh <rleigh@debian.org>  Sat, 14 May 2011 00:30:52 +0100

sysvinit (2.88dsf-13.5) experimental; urgency=low

  [ Roger Leigh ]
  * Non-maintainer upload.
  * Unify mount logic shared between mountkernfs.sh, mountdevsubfs.sh
    and mtab.sh
    - all functions use domount() from /lib/init/mount-functions.  This
      merges in the functionality of domtab() in mtab.sh, which was
      almost entirely identical.  domount is now capable of mounting and
      remounting (with and without mtab updates) as well as updating
      /etc/mtab.
    - mtab.sh calls mountkernfs.sh and mountdevsubfs with an "mtab"
      argument to do the mtab generation for early mounts.  This means
      that the mount logic is not needlessly duplicated, and does not
      require two copies to be kept exactly in sync.  This reduces the
      risk of problems as a consequence of subtle differences between
      the two scripts.
    - mount options may be specified in either /etc/default/tmpfs or
      in /etc/fstab, and will supersede hard coded defaults.  The
      the values in fstab (if any) will supersede those in
      /etc/default/tmpfs should an entry be present.  These values are
      also used for remounting, which means that filesystems mounted in
      an initramfs and moved onto the root filesystem prior to init
      starting will be remounted with the correct user-specified
      options.
    - Improve robustness of stat checks when comparing directories.
    - mountkernfs.sh and mountdevsubfs.sh are idempotent, so allow for
      repeated invocation.  This is needed to allow the same code to
      be used for mounting, remounting and mtab generation.
    - Enabling RAMLOCK, RAMSHM and RAMTMP in /etc/default/rcS is no longer
      required if the filesystems are present in /etc/fstab
  * /etc/default/tmpfs is deprecated
    - If changing the default size limits, adding an entry to /etc/fstab
      is preferred compared with editing /etc/default/tmpfs.  This also
      permits modifying the default mount options, and setting additional
      mount options.
    - If /etc/default/tmpfs has been modified from the defaults, any
      needed entries will be created in /etc/fstab on upgrade, to
      preserve the settings from /etc/default/tmpfs.  The entries in
      /etc/fstab will subsequently override the settings in
      /etc/default/tmpfs.
  * The mount options for /run are made stricter when possible.  For
    example, if /run/shm is a separate filesystem, it may be safely
    mounted with "noexec".
  * Compatibility symbolic links are relative, not absolute.  e.g.
    /var/lock is ../run/lock rather than /run/lock.  This means that if
    you're using a chroot from the host system, you'll always be using
    locations in the chroot, rather than the host, when following the
    links.
  * Updated documentation in initscripts README.Debian and rcS(5).

  [ Kel Modderman ]
  * Consider rpcbind as alternative to portmap in mountnfs ifupdown
    script. Thanks to Jamie Heilman and Arthur de Jong.
    (Closes: #620788)

 -- Roger Leigh <rleigh@debian.org>  Fri, 22 Apr 2011 15:25:25 +0100

sysvinit (2.88dsf-13.4) experimental; urgency=low

  [ Roger Leigh ]
  * Non-maintainer upload.

  [ Kel Modderman ]
  * Remove code from /etc/init.d/bootmisc.sh which is not needed with modern
    kernel which do not support BSD ptys. The udev check is not reliable
    anymore due to /run/. Thanks Marco d'Itri (Closes: #620784)
  * Handle user interupt of fsck in etc/init.d/checkfs.sh and
    init.d/checkroot.sh. Trap SIGINT and handle fsck exit status of 32.
    (Closes: #608534)

 -- Roger Leigh <rleigh@debian.org>  Sat, 16 Apr 2011 16:50:51 +0100

sysvinit (2.88dsf-13.3) experimental; urgency=low

  [ Roger Leigh ]
  * Non-maintainer upload.
  * Support for new top-level directory /run to replace /var/run,
    /var/lock, /dev/shm and /lib/init/rw as a place to store transient
    writable data which should not be preserved across a system
    reboot (Closes: #186892, #616571, #620191).  /run fixes existing
    issues with RAMRUN and RAMLOCK options using tmpfs on /var/run and
    /var/lock (Closes: #423405, #481546, #564635, #607136, #620735).
    Additionally, /run/shm replaces /dev/shm and may share the same
    tmpfs as /run if RAMSHM is set to "no" in /etc/default/rcS.  /tmp
    may also be configured to be a tmpfs if RAMTMP is set to "yes" in
    /etc/default/rcS.  /tmp may also be configured to use /run directly if
    it is symlinked to /run/tmp, for example.
    Summary:
      /var/run → /run
      /var/lock → /run/lock
      /dev/shm → /run/shm
      /lib/init/rw → /run (not transitioned automatically)
      /dev/.* → /run (not transitioned automatically)
    These changes do not take effect until the system is rebooted as
    is currently done for /lib/init/rw setup.  Prior to a reboot, the
    paths are made available via bind/nullfs/firmlink mounts, depending on
    the platform.  Following a reboot, the old paths will be converted to
    symlinks, or bind/nullfs/firmlink mounts where symlinking is not
    possible, to allow access via either the old or new paths, to permit
    programs using the old paths to transition to use the new paths for
    wheezy.
    - debian/initscripts.postinst:
      Take chroot detection logic from udev postinst (existing logic was
      broken).  Add detection logic for vserver environments and Hurd.
      Trigger reboot to complete transition.
      If the system has not yet transitioned to a tmpfs-based /run, set up
      bind mounts as follows:
        /var/run → /run
        /var/lock → /run/lock
        /dev/shm → /run/shm
      On reboot, the system will complete the migration to a tmpfs-based
      /run; this creates the directory heierachy from the old paths to
      enable the use of the new /run paths prior to a restart.  This means
      packages may transition to using /run with a versioned dependency
      upon initscripts.
      Remove special handling for RAMRUN and RAMLOCK, which is now taken
      care of by /run.
      If in a chroot environment, just create symlinks from the new names
      to the existing locations, since otherwise the changes would be
      lost, and since rcS scripts aren't run the transition won't
      complete.
    - debian/src/initscripts/Makefile:
      Provide top-level /run.
    - debian/src/initscripts/doc/README.Debian:
      Document new use of RUN_SIZE and LOCK_SIZE.
      Document use of /run rather than /lib/init/rw.
      Document use of SHM_SIZE and TMP_SIZE.
    - debian/src/initscripts/etc/init.d/checkroot.sh:
      Use /run in place of /lib/init/rw.
    - debian/src/initscripts/etc/default/tmpfs:
      Document TMPFS_SIZE, RUN_SIZE and LOCK_SIZE (Closes: #483643).
      Document TMP_SIZE and SHM_SIZE.
    - debian/src/initscripts/etc/init.d/mountkernfs.sh:
      Create /run, /run/sendsigs.omit.d and /run/lock.
      Mount /run/lock as a separate tmpfs if RAMLOCK=yes.
      /run/lock has 01777 permissions to match /var/lock.
      Mount /tmp as a separate tmpfs if RAMTMP=yes or / is being mounted
      read-only (Closes: #503805, #585543).
      Drop mounting of /var/run and /var/lock.
    - debian/src/initscripts/etc/init.d/mountdevsubfs.sh:
      Create /run/shm.  Mount /run/shm as a separate tmpfs if RAMSHM=yes.
    - debian/src/initscripts/etc/init.d/mtab.sh:
      domtab mirrors behaviour of domount in mount-functions exactly, to
      prevent duplicate mounts (required for bind mount support).
      Bind mount /run/init and drop mounting of /var/run.  Mount /run/lock
      in place of /var/lock.
      Mount /tmp if RAMTMP=yes.
      Mount /run/shm if RAMSHM=yes.
    - debian/src/initscripts/etc/init.d/sendsigs:
      Use new paths:
        files: /run/sendsigs.omit /lib/init/rw/sendsigs.omit
        dirs: /run/sendsigs.omit.d/ /lib/init/rw/sendsigs.omit.d/
    - debian/src/initscripts/etc/init.d/umountfs:
      Ignore /run.  Continue to ignore /lib/init/rw in order to handle
      clean shutdown.  No longer ignore /var/run and /var/lock.
    - debian/src/initscripts/etc/init.d/umountnfs.sh:
      Check for presence of .ramfs than configuration variable when
      skipping /var/run and /var/lock.
      Ignore /run.  Continue to ignore /lib/init/rw in order to handle
      clean shutdown.  No longer ignore /var/run and /var/lock.
    - debian/src/initscripts/lib/init/bootclean.sh
      Don't clean /var/run and /var/lock (Closes: #378776).  Because
      these directories are now a tmpfs, cleaning no longer makes sense.
    - debian/src/initscripts/lib/init/tmpfs.sh:
      Read /etc/default/tmpfs and provide defaults if unset.
    - debian/src/initscripts/lib/init/mount-functions.sh:
      Support bind mounts in domount() (Closes: #353943).
      Drop support for mounting /var/run and /var/lock as separate
      tmpfs filesystems.  Symlink /var/run to /run and /var/lock to
      /run/lock if possible.  If /var/run and /var/lock are directories,
      attempt to remove and symlink if successful, or else bind mount.
    - debian/src/initscripts/lib/init/vars.sh:
      Read /etc/default/rcS and provide defaults if unset.
    - debian/src/initscripts/man/rcS.5:
      Drop documentation of RAMRUN.
      Update documentation for RAMLOCK (Closes: #406685).
      Document RAMTMP and RAMSHM.
    - debian/src/initscripts/share/default.rcS:
      Remove RAMRUN.
      Add RAMSHM and RAMTMP.
      RAMLOCK, RAMSHM and RAMTMP default to enabled for new installs.

  [ Michael Biebl ]
  * Remove dead usplash support code (Closes: #599241, #599734, #612594).

  [ Martin F. Krafft ]
  * Add comments to /etc/default/rcS (Closes: #530582).

  [ Samuel Thibault ]
  * Hurd portability for initscripts postinst and init scripts.
    Hurd does not currently support tmpfs mounts, but will do in the
    future.  Use firmlinks in place of bind mounts.

 -- Roger Leigh <rleigh@debian.org>  Sat, 16 Apr 2011 01:17:29 +0100

sysvinit (2.88dsf-13.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #599430
    - Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #605851
    - Slovak (Slavko).  Closes: #614193

 -- Christian Perrier <bubulle@debian.org>  Tue, 05 Apr 2011 07:24:09 +0200

sysvinit (2.88dsf-13.1) unstable; urgency=low

  * Non-maintainer upload.
  * Disable SIGINT for non-interactive init scripts (Closes: #582442)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 01 Jan 2011 03:45:28 +0000

sysvinit (2.88dsf-13) unstable; urgency=low

  [ Kel Modderman ]
  * Remove runlevel duration printing code from init.d/rc script
    as it was scheduled for removal before squeeze and imperfect.
    (Closes: #584862)
  * Prevent init.d/rc script from executing stop scripts twice
    in runlevels 0 and 6 when conccurrent boot is enabled.
    (Closes: #594253)
  * Modify debian/startpar/patches/06_stdin_notty.patch so it applies
    without fuzziness.
  * Add debian/startpar/patches/08_kfreebsd_proc_error_debug.patch to
    prevent frequent messages on Debian GNU/kFreeBSD from littering boot
    messages. Thanks Petr Salinger for the patch. (Closes: #590560)
  * Avoid umounting virtual filesystems (eg, cgroup) mounted under
    /sys/* as there is no good reason to do so. Thanks Michael Biebl
    for the patch. (Closes: #597338)

  [ Petter Reinholdtsen ]
  * Update Standards-Version from 3.8.4 to 3.9.1.  No changes needed.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 14 Nov 2010 23:08:45 +0100

sysvinit (2.88dsf-12) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Fix typo introduced when fixing #526398 and make sure the root
    file system is only checked if it is specified in /etc/fstab that
    it should be checked, to avoid breaking boot when root is on NFS
    (Closes: #592427).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 15 Aug 2010 20:05:30 +0200

sysvinit (2.88dsf-11) unstable; urgency=low

  * Avoid /usr/bin/find in init.d/urandom to be able to run it before
    /usr/ is mounted (Closes: #587665).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 03 Jul 2010 09:54:01 +0200

sysvinit (2.88dsf-10) unstable; urgency=low

  * Change init.d/urandom depend from $remote_fs to $local_fs.  As far
    as I can see, it do not use anything in /usr/.
  * Change warning message from invoke-rc.d when called during shutdown
    to also include the requested action name.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 30 Jun 2010 14:06:17 +0200

sysvinit (2.88dsf-9) unstable; urgency=low

  * Drop soft dependency from init.d/bootlogs to gdm3 until gdm3 stop
    depending on bootlogs, to avoid init.d script loop (Closes: #577146).
  * Rewrite rm command in initscripts.postrm to avoid bogus lintian
    error.
  * Extend startpar patch 05_pri_kdm_gdm.patch to also give priority
    to gdm3.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 11 Jun 2010 08:47:28 +0200

sysvinit (2.88dsf-8) unstable; urgency=low

  * New startpar patch 06_stdin_notty.patch to make sure startpar run
    programs also when stdin is a pipe, to get it working on OpenVZ
    (Closes: #584102)
  * New startpar patch 07_nocrash_missing_arg.patch to make sure
    missing argument (-a) do not cause startpar to segfault.
  * Change startpar patch 05_pri_kdm_gdm.patch to also give priority
    to udev to get kernel module loading started as early as possible 
    during boot.  Based on idea from live-net-startpar.
  * Make init.d/bootlogs soft depend on gdm3 while we wait for gdm3 to
    provide $x-display-manager.
  * Make sure to create /dev/pts/ and /dev/shm/ in mountdevsub.sh
    before mounting them to allow udev to stop creating them at boot
    (Closes: #584742).  Thanks to Marco d'Itri for the patch.
  * Drop support for the now obsolete devfs file system in the init.d
    scripts bootmisc.sh, checkroot.sh, mountdevsubfs.sh, umountfs and
    umountnfs.sh.
  * Loosen up the migration check to dependency based boot sequencing,
    to only report removed but not purged packages if insserv detected
    problems with the init.d script dependencies.
  * Add Norwegian Bokmål (nb) debconf translation.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 10 Jun 2010 15:41:18 +0200

sysvinit (2.88dsf-7) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Protect new code calling initctl in sendsigs to only run when
    /sbin/initctl is available.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 30 May 2010 14:57:17 +0200

sysvinit (2.88dsf-6) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Update comment in init.d/rc explaining the CONCURRENCY value to
    reflect that 'startpar' is no longer a useful value and that
    dependency based boot sequencing with parallel boot is the
    default.
  * Additional upstart jobs may be /started/ on shutdown after
    init.d/sendsigs has first been invoked; so don't assume the list
    of known jobs is constant, instead requery initctl before each
    killall5 -CONT to properly exclude any new jobs upstart knows
    about so that we aren't waiting an extra 10 seconds for no reason.
    Patch from Steve Langasek and Ubuntu.
  * Print to the console how many seconds were spent running boot
    scripts, to get more focus on boot speed while we prepare Squeeze.
  * Add workaround in sysv-rc.postinst for systems migrating from
    file-rc to make sure their use of legacy boot ordering is detected
    and handled (Closes: #575080).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 29 May 2010 21:08:23 +0200

sysvinit (2.88dsf-5) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Make sure now obsolete startpar and shell concurrency setting
    work as aliases for makefile style concurrency (Closes: #581704).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 15 May 2010 20:31:19 +0200

sysvinit (2.88dsf-4) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Fix typo in code detecting legacy boot ordering when concurrent
    startup is enabled.
  * Call splash_stop early during boot when using concurrent booting,
    to stop usplash from confusing X.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 14 May 2010 21:39:27 +0200

sysvinit (2.88dsf-3) experimental; urgency=low

  * New 30_killall5_hurd.patch to fix build problem on Hurd.  Patch
    from Werner Fink.
  * Fix typo in invoke-rc.d (Closes: #580298).
  * Switch to concurrent booting by default, when dependency based
    boot sqeuencing is enabled.  Make shell and startpar concurrency
    aliases for makefile style concurrency, as both are obsolete now.
  * Add 64_init_selinux_enabled.patch to try to fix the logic used to
    enable SELinux (Closes: #580272).
  * Mention the LSB style header now required for init.d scripts in
    /etc/init.d/README (Closes: #576788).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 12 May 2010 21:36:01 +0200

sysvinit (2.88dsf-2) experimental; urgency=low

  [ Petter Reinholdtsen ]
  * Change start dependencies for bootlogs to use new virtual facility
    $x-display-manager and also mention wdm and nodm.  The individual
    display managers should be dropped as stop dependencies when all
    of them provide the virtual facility.
  * Report script name requested if invoke-rc.d is used during
    shutdown.
  * Update 63_init_keep_utf8_ttyflag.patch to actually work on kfreebsd.
  * New 20_init_freebsd_vswtc.patch to add workaround for missing VSWTC
    on kfreebsd (Closes: 579293).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 27 Apr 2010 18:46:02 +0200

sysvinit (2.88dsf-1) experimental; urgency=low

  * Upload to experimental for build testing and wider review.

  * New upstream release.
    - Drop 11_doc_shutdown-c.dpatch, now included upstream.
    - Drop 14_doc_fsf_addr.dpatch, now included upstream.
    - Drop 15_doc_upstream_email.dpatch, now included upstream.
    - Drop 21_ifdown_kfreebsd.patch, now included upstream.
    - Drop 46_pidof_symlinkman.patch, now included upstream.
    - Drop 50_bootlogd_devsubdir.dpatch, now included upstream.
    - Drop 54_bootlogd_findptyfail.dpatch, now included upstream.
    - Drop 55_bootlogd_flush.patch, now included upstream.
    - Drop 60_init_selinux_ifdef.dpatch, now included upstream.
    - Drop 62_init_freebsdterm.dpatch, now included upstream.
    - Drop 70_compiler_warnings.dpatch, now included upstream.
    - Drop 94_fstab-decode.dpatch, now included upstream.
    - Drop 96_shutdown_acctoff.dpatch, now included upstream.
    - Drop 97_init_starttest.dpatch, now included upstream.
    - Drop 98_installtarget.dpatch, now included upstream.
    - Update 63_init_keep_utf8_ttyflag.patch.
    - New upstream do not strip binaries, allowing the nostrip
      build option to work (Closes: #438085).
  * Update Standards-Version from 3.8.3 to 3.8.4.  No change needed.
  * Update homepage in control file to the new home
    http://savannah.nongnu.org/projects/sysvinit .
  * Quiet down init.d/bootlogd when VERBOSE=no.
  * Document in init.d/skeleton that lsb-base (>= 3.2-14) is
    needed for status_of_proc().

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 25 Apr 2010 19:56:47 +0200

sysvinit (2.87dsf-10) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Avoid killing processes managed by upstart in init.d/sendsigs, and
    print list of misbehaving processes.  Partly based on patch from
    Martin Pitt, Scott James Remnant and Ubuntu.
  * Change service to use upstart for service management if an upstart
    configuration exist.  Patch from Dustin Kirkland and Ubuntu.
  * Always print message from invoke-rc.d when policy-rc.d denied
    execution (Closes: #566783).  Patch from Per Wawra.
  * Correct use of .IB and .IR macros in update-rc.d manual page
    (Closes: 556080).  Patch from Matt Kraai.
  * Only create /dev/initctl and send SIGUSR to init in
    init.d/mountall.sh when sysvinit is installed (Closes: #569032).
  * Change lsb-base depend for sysv-rc and initscripts from (>= 3.0-6) 
    to (>= 3.2-14) for the status_of_proc() function.  Patch from
    Dustin Kirkland and Ubuntu.
  * Adjust init.d/umountfs to avoid using -f when umounting devices
    mounted before /, and avoid umounting file systems listed before /
    in /proc/mounts to avoid hangs during shutdown.  Patch from Colin
    Watson and Ubuntu.
  * Implement status reporting in init.d/stop-bootlogd and
    init.d/stop-bootlogd-single.

  [ Kel Modderman ]
  * Exit with value rather than echo the value for the status action in
    rmnologin and hostname.sh initscripts. (Closes: #567074, #567069)

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 22 Mar 2010 20:21:01 +0100

sysvinit (2.87dsf-9) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Correct typo preventing sysv-rc error messages to be sent to stderr.
  * Only override VERBOSE in /lib/init/vars.sh based on kernel
    argument when called from /etc/init.d/rc (Closes: #505468).
  * Only use /proc/cmdline to override VERBOSE setting during boot if
    it is readable (Closes: #540008).
  * Only send SIGUSR to init from init.d/mountall.sh when /dev/initctl
    was created, to reduce the chance of confusing upstart (Related to
    #569032).
  * Make kernel argument parsing in /lib/init/vars.sh more robust to
    avoid incorrect matches (Closes: #557648).
  * Enable swap earlier in the boot, to avoid running out of memory
    during fsck (Closes: #552029).
  * Update upstream email address in the README to the current one.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 21 Mar 2010 08:19:38 +0100

sysvinit (2.87dsf-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Russian (Yuri Kozlov).  Closes: #552415
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #553185
    - Italian (Vincenzo Campanella).  Closes: #556075
    - German (Chris Leick).  Closes: #550829
    - Galician (Marce Villarino).  Closes: #554226

 -- Christian Perrier <bubulle@debian.org>  Fri, 12 Feb 2010 05:57:33 +0100

sysvinit (2.87dsf-8) unstable; urgency=low

  * Update patch 63_init_keep_utf8_ttyflag.patch to try to get it
    working on freebsd and hurd too.
  * Debconf templates and debian/control changed based on review
    by the debian-l10n- english team as part of the Smith review
    project (Closes: #549539).  Thanks to Christian Perrier for
    the patch.
  * Added section in README.Debian for sysv-rc, explaining the
    migration in more detail.  Thanks to Justin B Rye for the text.
  * Debconf translations:
    - Added Vietnamese from Clytie Siddall (Closes: #550220).
    - Added Swedish from Martin Ågren (Closes: #550495).
    - Added Czech from Miroslav Kure (Closes: #551325).
    - Added Spanish from Francisco Javier Cuadrado (Closes: #551594).
    - Added Portuguese from António Moreira (Closes: #551675).
    - Added French from Steve Petruzzello (Closes: #551722).
    - Added Finnish from Esko Arajärvi (Closes: #551916).
    - Added Italian from Luca Monducci (Closes: #551922).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 25 Oct 2009 21:49:44 +0100

sysvinit (2.87dsf-7) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Change if-up.d/mountnfs to not claim to wait for the last network
    interface when there are no network file systems listed in
    /etc/fstab (Closes: #512237, 481028).  Patch from Adrian Bridgett.
  * Add startpar patch 05_pri_kdm_gdm.patch to try to get gdm and kdm
    to start earlier when concurrent booting is enabled.
  * Quiet down sysv-rc postinst to not give error when no file exist
    in /var/lib/update-rc.d.  Discovered from piuparts.
  * Report error from update-rc.d when insserv reject a script, to
    make it more clear what program call failed in a postinst.
  * Drop optional dependency from checkfs to cryptdisks, the
    cryptdisks script have a reverse dependency on checkfs, and that
    is a better way to do it.
  * Rewrite init.d/mtab.sh and init.d/checkroot.sh to not use
    /usr/bin/which, as it is running before /usr/ is guaranteed to be
    available.
  * Rewrite /lib/init/usplash-fsck-functions.sh to use blkid instead of
    the now obsolete vol_id.  Patch from Martin Pitt and Ubuntu.
  * Update 91_sulogin_lockedpw.dpatch to include documentation,
    without the Ubuntu references.  Based on patch from Scott James
    Remnant and Ubuntu.
  * Add patch 55_bootlogd_flush.patch to make sure lines are flushed
    to the kernel even when not asking the kernel to flush to disk
    (Closes: 542515).  Patch from Scott Gifford.
  * Add patch 63_init_keep_utf8_ttyflag.patch to make sure the utf-8
    tty flag is not cleared (Closes: 547073).  Patch from Samuel
    Thibault.
  * Include url to wiki page with information on how to fix the
    problems when unable to migrate to dependency based boot
    sequencing.
  * Make mountnfs-bootclean.sh also depend on $local_fs, to avoid
    surprises on systems where the admin removed mountnfs.sh from
    rcS.d/.  It is not a good idea to remove it, but there is no need
    for the script to fail when someone is crazy enough to remove a
    essential init.d script

  [ Henrique de Moraes Holschuh ]
  * invoke-rc.d: return exit status 4 when action "status" is denied,
    to allow simpleminded policy-rc.d scripts to work well with the
    status action (closes: #381497)

  [ Kel Modderman ]
  * Fix bootlogs init.d script to output correct name and supported
    actions in usage statement. (Closes: #551263)

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 25 Oct 2009 11:07:22 +0100

sysvinit (2.87dsf-6) unstable; urgency=low

  * Correct code in sysv-rc postinst to avoid failing to install when no
    init.d scripts have been removed (Closes: #546405).
  * Start bootlogd before lvm2 too, to push it even further forward
    in the boot sequence.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 15 Sep 2009 01:28:19 +0200

sysvinit (2.87dsf-5) experimental; urgency=low

  * Uploading to experimental, to test the new build rules.

  * Make sysv-rc postinst report detected problems to stderr too when
    failing to migrate.
  * Fix typo in error message from postinst (Closes: #545409).
  * Make initscripts depend on sysvinit-utils (>= 2.86.ds1-64), to
    make sure the fstab-decode program is available (Closes: #545356).
  * Make sure the calls to 'update-rc.d X remove' in initscripts
    postinst do not ignore errors (Closes: #406361).
  * Make sysvinit depend on sysvinit-utils (>= 2.86.ds1-66) to avoid
    that bootlogd disappear during partial upgrades (Closes: #545368).
  * Restructure source package to make it possible to use debhelper in
    the common way to build the source, by moving debian/initscripts/
    and debian/sysv-rc/ into debian/src/.  Restructure build rules to
    use debhelper more, and migrate to debhelper 7.
  * New patch 98_installtarget.patch to improve the sysvinit install
    target.
  * Remove /etc/init.d/.depend.* in prerm, not postrm, to avoid
    surprises.
  * Remove /var/lib/update-rc.d/* when the package is purged.
  * Change cut-off point for the trimmed changelog entries in
    sysvinit-utils, initscripts and sysv-rc from version 2.84-3 to
    version 2.86.ds1-47, to reduce the package sizes.
  * Drop hurd specific dependency on libc0.3 (>= 2.3.2.ds1-12).  It is
    no longer needed according to Michael Bunk.  Patch from Michael
    Biebl.
  * Remove information about scripts in /var/lib/update-rc.d/ when
    their runlevel symlinks are removed (Closes: #545949).  Remove
    such files left behind earlier during upgrade.
  * Bootlogd now starts as late as possible (Closes: #265801)
  * Drop the binary /lib/init/readlink from initscripts and depend on
    coreutils (>= 5.93) instead.  Adjust scripts to use the program
    from coreutils from now on (Closes: #239342).
  * Make sure insserv exit values propagate through update-rc.d to make
    sure packages with errors fail to install.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 13 Sep 2009 00:13:49 +0200

sysvinit (2.87dsf-4ubuntu25) oneiric; urgency=low

  * debian/initscripts/etc/init.d/sendsigs: Only omit jobs that
    are in the 'start' goal. Those that are destined for 'stop' are
    waited on and killed like all other processes. (LP: #616287) Thanks
    to Launchpad user "codewarrior".

 -- Clint Byrum <clint@ubuntu.com>  Tue, 07 Jun 2011 14:06:07 -0700

sysvinit (2.87dsf-4ubuntu24) oneiric; urgency=low

  * debian/sysv-rc/sbin/invoke-rc.d: replace RUNLEVEL with RUNLEVELHELPER.
    Using RUNLEVEL causes spurious failures when invoke-rc.d is invoked
    with RUNLEVEL already defined in the environment (as it is e.g. during
    bootup) since invoke-rc.d's RUNLEVEL will become an exported variable
    at that point and cause /sbin/runlevel to return bad data. (LP: #619246)

 -- James Troup <james.troup@canonical.com>  Tue, 24 May 2011 11:41:45 +0000

sysvinit (2.87dsf-4ubuntu23) natty; urgency=low

  * Fix FTBFS with changed libcrypt multiarch library location.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Mar 2011 21:50:35 +0100

sysvinit (2.87dsf-4ubuntu22) natty; urgency=low

  [ Dan Muresan ]
  * sendsigs: OMITPIDS needs to be reinitalized for every loop iteration
    before concatanating pids of upstart jobs to it. Otherwise it overflows
    and throws an error. (LP: #665185)

 -- Surbhi Palande <surbhi.palande@canonical.com>  Mon, 28 Mar 2011 13:11:49 +0300

sysvinit (2.87dsf-4ubuntu21) natty; urgency=low

  * debian/initscripts/etc/init.d/umountnfs.sh: emit a new event,
    unmounted-remote-filesystems, to allow stopping portmap
    and others. (LP: #711425)

 -- Clint Byrum <clint@ubuntu.com>  Fri, 04 Mar 2011 12:18:15 +0000

sysvinit (2.87dsf-4ubuntu20) natty; urgency=low

  [ Michael Vogt ]
  * debian/patches/100_fix_ftbfs_enoioctlcmd.patch: 
    - cherry pick upstream fix for missing ENOIOCTLCMD, this 
      fixes a FTBFS

  [ James Hunt ]
  * debian/initscripts/etc/init.d/umountroot: Improve handling of
    respawn of init: we now wait for inits map file to change. If this
    doesn't happen within 5 seconds, we unmount forcibly.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 04 Mar 2011 10:38:34 +0100

sysvinit (2.87dsf-4ubuntu19) maverick-proposed; urgency=low

  * debian/initscripts.postinst (LP: #659738):
    - do not create motd.tail from motd on systems using update-motd.
    - clean up incorrectly created motd.tail from upgrade to Maverick.

 -- Kees Cook <kees@ubuntu.com>  Thu, 28 Oct 2010 20:30:54 -0700

sysvinit (2.87dsf-4ubuntu18) maverick; urgency=low

  * Allocate pidof/killall5 omitpid buffers dynamically.  16 is too small
    for killall5 now that all Upstart jobs are omitted.
  * Create /lib/init/rw as a symlink to /var/run on new installations, and
    fix it up in /etc/init.d/umountroot on upgrade, as it's difficult to do
    this at any other time; this saves us chasing around all the individual
    packages that use one or the other for sendsigs.omit.d (LP: #541512).
  * Handle /var/run/sendsigs.omit.d explicitly, just in case.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 24 Sep 2010 10:48:28 +0100

sysvinit (2.87dsf-4ubuntu17) lucid; urgency=low

  * debian/initscripts/etc/init.d/sendsigs: additional upstart jobs may be
    /started/ on shutdown after this script has first been invoked; so don't
    assume the list of known jobs is constant, instead requery initctl before
    each killall5 -CONT to properly exclude any new jobs upstart knows about
    so that we aren't waiting an extra 10 seconds for no reason.
    LP: #537262.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 30 Mar 2010 00:08:33 -0700

sysvinit (2.87dsf-4ubuntu16) lucid; urgency=low

  * debian/initscripts/etc/init.d/sendsigs: Comment out the
    report_unkillable() call. We collected enough data for now from beta-1
    installations.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 22 Mar 2010 11:39:24 +0100

sysvinit (2.87dsf-4ubuntu15) lucid; urgency=low

  * debian/initscripts/etc/init.d/sendsigs: If we detect processes which don't
    want to die on SIGTERM (and thus cause the 10 second timeout until they
    get killed), call /usr/share/apport/unkillable_shutdown (if existing), so
    that we get reports about those.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 10 Mar 2010 14:43:49 +0100

sysvinit (2.87dsf-4ubuntu14) lucid; urgency=low

  * debian/patches/92_sulogin_support_static_sh.patch:
    - add support for /bin/static-sh as fallback if the regular
      shell fails to execute (LP: #505887)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Jan 2010 09:40:46 +0100

sysvinit (2.87dsf-4ubuntu13) lucid; urgency=low

  * debian/initscripts/etc/init.d/sendsigs:
    - Omit any process being controlled by Upstart.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 30 Nov 2009 23:36:47 +0000

sysvinit (2.87dsf-4ubuntu12) karmic-proposed; urgency=low

  * debian/initscripts/etc/init.d/umountfs: do not use the -f option when 
    unmounting WEAK_MTPTS, in the case of bind mounts in particular, that 
    results in the underlying device being unmounted, LP: #468589  

 -- Agostino Russo <agostino.russo@gmail.com>  Tue, 03 Nov 2009 23:04:53 +0000

sysvinit (2.87dsf-4ubuntu11) karmic; urgency=low

  * debian/control:
    - Change the upstart dependency to a recommend in sysinit-utils
      because its not a hard dependency. This will fix a dependency
      cycle that causes kubuntu upgrades to fail (LP: ä452090)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 19 Oct 2009 15:12:44 +0200

sysvinit (2.87dsf-4ubuntu10) karmic; urgency=low

  * If /var/run/init.upgraded exists, call telinit u before unmounting
    the root filesystem.

  * Remove RAMRUN and RAMLOCK settings from default rcS script to avoid
    confusion, remove from /etc/default/rcS on upgrade too.
  * Always skip these when unmounting filesystems.
  * Remove from the manual pages.

  * Remove unsupported ASYNCMOUNTNFS documentation from the manual page.

  * Remove documentation about tmpfs, since mountall handles these.
  * Remove documentation about /sys in fstab, since mountall actually lets
    you specify options there.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 14 Oct 2009 05:20:19 +0100

sysvinit (2.87dsf-4ubuntu8) karmic; urgency=low

  * debian/control: Do not build the sysvinit binary package any more. It
    conflicts with upstart, which is required, so it is uninstallable.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 01 Oct 2009 16:32:06 +0200

sysvinit (2.87dsf-4ubuntu7) karmic; urgency=low

  * debian/rules: add a versioned dependency on the upstart that provides
    the reload action
  * debian/service/service: handle reload and force-reload actions as
    upstart commands, LP: #433544

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 22 Sep 2009 14:25:37 -0700

sysvinit (2.87dsf-4ubuntu6) karmic; urgency=low

  * Remove conffiles that are no longer included in this package.
    LP: #430355.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 21 Sep 2009 16:29:34 -0700

sysvinit (2.87dsf-4ubuntu5) karmic; urgency=low

  * Restore change made by Martin Pitt in intrepid, but lost recently (LP:
    #431789):
    - Let sysvinit-utils only replace the old sysvutils, do not conflict to
      it. This is a less clean way to do the transition than with a proper
      Conflicts/Replaces, but the latter induces a Pre-Depends/Conflicts
      loop which is unresolvable.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Sep 2009 21:33:08 +0100

sysvinit (2.87dsf-4ubuntu4) karmic; urgency=low

  * debian/service/service: use upstart for service management, if an
    upstart configuration exists, LP: #427277

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 17 Sep 2009 10:21:05 -0500

sysvinit (2.87dsf-4ubuntu3) karmic; urgency=low

  FFE LP: #427356.

  * Various initscripts have been replaced by Upstart jobs shipped in
    other packages, the following have been removed:
    - hostname.sh
    - mountkernfs.sh
    - mountdevsubfs.sh
    - checkroot.sh
    - mtab.sh
    - checkfs.sh
    - mountall.sh
    - mountall-bootclean.sh
    - mountoverflowtmp
    - mountnfs.sh
    - mountnfs-bootclean.sh
    - bootmisc.sh
    - bootlogs
    - rmnlogin

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 15 Sep 2009 02:45:59 +0100

sysvinit (2.87dsf-4ubuntu2) karmic; urgency=low

  * Use legacy boot ordering on fresh installs too.  Ooops.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 15 Sep 2009 02:44:35 +0100

sysvinit (2.87dsf-4ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - Support Cell processor:
      + debian/initscripts/postinst: Create spu system group and /spu mount
        point if we are running on a Cell processor.
      + debian/initscripts/etc/init.d/mountkernfs.sh: Mount spufs if Cell
        processor is detected.
      + debian/initscripts/lib/init/mount-functions.sh: Modprobe spufs
        if not available.
      + debian/control: Add initscripts dependency 'passwd' for groupadd.
      (Forwarded to Debian #483399)
    - Use tmpfs mounts for /var/lock and /var/run:
      + debian/initscripts/share/default.rcS: Enable RAMRUN and RAMLOCK by
        default.
      + debian/initscripts.postinst: Enable RAMRUN and RAMLOCK in
        /etc/default/rcS on upgrades. This needs to be kept until the next
        LTS.
      + debian/initscripts/etc/init.d/mountkernfs.sh: Propagate files from the
        initramfs to our new /var/run, so that we can populate
        /var/run/sendsigs.omit from initramfs.
    - Boot ordering differences:
      + mountkernfs.sh: 02 -> 01
      + mountdevsubfs.sh: 04 -> 11
      + bootlogd: disabled by default
      + checkroot.sh: 10 -> 20
      + mtab.sh: 12 -> 22
    - debian/patches/91_sulogin_lockedpw.dpatch: Disable "root account is
      locked" warning, since this is the default in Ubuntu. Document this in
      sulogin.8.
    - debian/control: Drop Essential: yes from packages since we use Upstart.
    - debian/control: Conflict/Replace sysvconfig which has also previously
      provided service(8).
    - debian/control, debian/rules: Previous name for sysvinit-utils was
      'sysvutils' in Ubuntu, so Conflict/Replace/Provide it. Also create a
      dummy sysvutils package, since Hardy has reverse versioned dependencies
      to it. This needs to be kept until after the next LTS.
    - debian/control: Depend on lsb-base (>= 3.2-14) for status_of_proc()
      function.
    - debian/initscripts/etc/init.d/checkfs.sh: Don't depend on hwclockfirst
      which Ubuntu does not have.
    - debian/initscripts/etc/init.d/mountkernfs.sh: Always mount devpts, and
      do not touch /dev/ptmx (which is already managed by udev).
    - debian/initscripts/etc/init.d/mountkernfs.sh: mount fusectl if it is
      available
    - debian/initscripts/etc/init.d/mountkernfs.sh: mount securityfs if it is
      available. This allows for easier AppArmor confinement of applications
      early in the boot process. LP: #399954
    - debian/initscripts/etc/init.d/mountkernfs.sh: mount debugfs if it is
      available.
    - debian/initscripts/etc/init.d/ondemand: Sleep for 60 seconds, then
      set CPU Frequency Scaling governor to "ondemand".   LP: #341573.
    - debian/initscripts/etc/init.d/umountfs: Don't unmount filesystems
      that precede root or use force for some mountpoints.
    - debian/initscripts/etc/network/if-up.d/mountnfs: Rename ifstate
      file to /var/run/network/ifstate
    - ./debian/initscripts/lib/init/usplash-fsck-functions.sh: Use blkid,
      vol_id is gone.
    - debian/initscripts.{pre,postinst}: waitnfs.sh -> mountnfs.sh renaming
      transition. This needs to be kept until after the next LTS.

  * debian/sysv-rc/sbin/update-rc.d: Dropped support for "multiuser"
    command-line option.
  * debian/rules: Compat symlink from /usr/bin/service to /usr/sbin/service
  * debian/initscripts.postinst: Transition from bootlogs.sh to bootlogs

  * debian/sysv-rc.postinst: Don't try and use insserv by default, though
    everything's in place for you to try if you like.  It can be activated
    with:
        USEINSSERV=yes dpkg-reconfigure sysv-rc

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 07 Sep 2009 19:56:53 +0100

sysvinit (2.87dsf-4) unstable; urgency=low

  * Send all output from the sysv-rc postinst to stderr, to make sure
    we do not confuse debconf.
  * Fix sysv-rc postinst to not fail when insserv report more than one
    error (Closes: #545205)

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 05 Sep 2009 22:23:38 +0200

sysvinit (2.87dsf-3) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Drop execution of files in /etc/rc.boot from sysv-rc.  This feature
    have been obsolete since before 1999.  Remove the rc.boot(5) manual
    page from the source as well.
  * Make init.d/rc.local depend on $all to get it to start later in
    the boot sequence (Closes: #539084).
  * Rewrite message from update-rc.d to make it more obvious that both
    start and stop symlinks are taken into account (Closes: #519553).
  * Rewrite /etc/rcS.d/README and /etc/rc[2-5].d/README to explain how
    to disable a service at a given runlevel with the dependency based
    boot sequencing.  Remove the list of well known sequence numbers
    in rcS.d/ that is no longer valid with dependency based boot
    sequencing.
  * Make sysv-rc Breaks: initscripts (<< 2.86.ds1-63) to make sure
    scripts working with makefile style concurrent booting is
    installed.  Not using dependency to avoid circular dependency
    between initscripts and sysv-rc.
  * Move the code to migrate to dependency based boot sequencing
    during upgrades from the insserv package to the sysv-rc package.
    Depend on insserv (>> 1.12.0-10) for this.  Let initscripts depend
    on sysv-rc | file-rc to make sure they are installed first.
    Migration is a one-way process, enabled after a critical debconf
    question during upgrades when it is safe to do so (Closes:
    #540546, #541041, 541604).  Checks previously done by
    update-bootsystem-insserv are now only done once in sysv-rc
    postinst (Closes: #538934).  Dependency based boot sequencing is
    now the default.  This change make it possible to remove both
    sysv-rc and insserv (Closes: #538959) if other packages want to
    take over the boot sequencing resposibility.
  * Rewrite initscripts postinst to always use the update-rc.d script
    instead of the legacy updatercd() function which was used as a
    speed optimization no longer relevant when dependency based boot
    sequencing is the default.

  [ Kel Modderman ]
  * Migrate from dpatch to quilt for patch management:
    - build-depend on quilt (>= 0.40)
    - provide patch and unpatch targets in debian/rules. use custom
      patch targets to allow for separate debian/patches and
      debian/startpar/patches patch series
    - keep .dpatch file extenstion to make checking changes easier
    - add debian/README.source to describe patch system we use
  * Purge debian/patches/12_doc_lastb.dpatch and
    debian/patches/68_init_quiet.dpatch, they were never applied and wrong.
  * Update patch header for all remaining patches.
  * Call dpkg-shlibdeps debian/startpar/startpar for sysvinit-utils package
    and not sysvinit, startpar moved in revision 2.86.ds1-62.
  * Remove checkdir, checkroot and buildfromsvn targets from
    debian/rules.  The latter is unused by current maintainers and the
    former can be replaced with dh_testdir and dh_testroot instead.
  * Fix reject hunk of debian/patches/70_compiler_warnings.dpatch to
    fix another compile warning.
  * Make sure update-rc.d compares command line parameters for start/stop
    runlevel configuration with the Default-Start and Default-Stop values in
    LSB info comment of script and warns if there are differences.
  * Update sysv-rc debconf templates with text which help explain
    dependency based boot to end users, and provide sound advice for
    people who encounter problems which prevent the migration.
  * Update inittab.kfreebsd-gnu: On GNU/kFreeBSD the serial devices have
    change from /dev/cuuaX to  /dev/ttydX in kernel 6.0 which is minumum
    kernel currently supported in Debian. (Closes: #544555)
  * Make sure sysv-rc/etc/init.d/rc checks insserv has reordered boot
    system by checking for /etc/init.d/.depend.* when CONCURRENCY=shell
    too. (Closes: #544565)

  [ Petter Reinholdtsen ]
  * Adjust init.d/bootlogd dependencies to start before hostname,
    procps, pcmcia, hwclock, hwclockfirst, hibernate-clean and hdparm,
    to get the bootlogger started earlier in the boot (Closes: #538936).
  * Extend the update-rc.d(8) manual page to document the new behaviour.
    Do not install translated update-rc.d manual pages until they
    are updated to reflect this.
  * Use versioned conflict on chkconfig (<< 11.0-79.1-2), now that it
    dropped the service command (Closes: #541727).
  * Drop unneeded dependency rmnologin from init.d/stop-bootlogd, and
    correct $remote_fs dependency to $local_fs, as /usr/ is not aused.
  * Drop unneeded dependency on udev for init.d/bootlogs, and add ldm
    and sdm to list of display managers to start after to get the
    complete list.
  * Extend boot order migration check to reject migration if init.d
    scripts from removed but not purged packages are present.
  * Add $syslog as a dependency for init.d/skeleton, as it should
    be used in the normal case.
  * Change init.d/urandom dependency from $local_fs to $remote_fs, as
    it uses /usr/bin/find to handle locally increased pool size
    (Closes: #543294).
  * Drop initscripts conflict on insserv (<< 1.09.0-12), now that
    sysv-rc depend on insserv (>> 1.12.0-10).
  * Drop initscripts conflict on udev (<< 0.080-1), which was
    before the current oldstable was released.
  * Drop initscripts conflict on usplash (<< 0.5.8-2), which was
    before the current stable was released.
  * Remove code in init.d/killprocs to restart /sbin/update, as it is
    only useful for kernels up to linux 2.2, which is no longer
    supported (Closes: #544249).  Thanks to Marco d'Itri for the tip.
  * Update Standards-Version from 3.8.2 to 3.8.3.  No changes needed.
  * Add code in initscripts.postrm to remove rc settings for init.d
    scripts on removal to follow policy and keep lintian happy, even
    though removing initscripts will leave the system unbootable.
    Update lintian overrides to reflect this.
  * Implement status argument to init.d/bootlogs, init.d/checkroot.sh,
    init.d/hostname.sh, init.d/rmnologin and init.d/urandom.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 05 Sep 2009 11:52:51 +0200

sysvinit (2.87dsf-2) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Start generating MD5 sum files using dh_md5sum, build-depend
    on debhelper for this.  Use compat level 1 to get it to process
    debian/tmp/.
  * Drop the stop calls for K11mountoverflowtmp in runlevels 0 and 6.
    The umountfs script will take care of that task (Closes: 526733).
  * Remove setting of unused makefile variable LIBC6 from rules.
  * Move copyright, preinst, postinst and postrm files for initscripts
    and sysv-rc to debian/ to make the build system closer to other
    source packages.
  * Add the sysv-rc saveconfig script to /usr/share/doc/sysv-rc/
    to provide an example.
  * Let sysv-rc depend on insserv (>= 1.12.0-10) to activate
    dependency based boot sequencing by default (Closes: #472587).

  [ Kel Modderman ]
  * Allow forcefsck on kernel cmdline to have same effect as touching
    /forcefsck in checkfs.sh and checkroot.sh. (Closes: #529498)
  * Also allow fastboot on kernel cmdline to have same effect as touching
    /fastboot in checkfs.sh and checkroot.sh.
  * Do not use brace expansion in debian/rules and remove need for
    setting SHELL to /bin/bash.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 27 Jul 2009 21:12:27 +0200

sysvinit (2.87dsf-1) unstable; urgency=low

  * New upstream release.
    - Update patch 10_doc_manuals to drop the parts now included upstream.
    - Drop patch 11_doc_mountpoint now included upstream.
    - Drop patch 13_doc_telinit now included upstream.
    - Update patch 14_doc_fsf_addr to drop the parts now included upstream.
    - Drop patch 15_doc_pidof now included upstream.
    - Drop patch 16_doc_runlevel now included upstream.
    - Drop patch 17_doc_halt now included upstream.
    - Drop patch 25_last_sanify now included upstream.
    - Drop patch 26_last_ipv6 now included upstream.
    - Drop patch 27_last_usageopts now included upstream.
    - Drop patch 28_last_full-time now included upstream.
    - Drop patch 30_strip now included upstream.
    - Drop patch 31_build_warnings now included upstream.
    - Drop patch 40_selinux now included upstream.
    - Drop patch 41_utmp_64bit now included upstream.
    - Drop patch 42_utmpdump_retval now included upstream.
    - Drop patch 45_pidof_symlink now included upstream.
    - Drop patch 47_pidof_chroot now included upstream.
    - Drop patch 50_bootlogd_exitcode now included upstream.
    - Drop patch 51_bootlogd_syncalot now included upstream.
    - Drop patch 52_bootlogd_createlogfile now included upstream.
    - Drop patch 53_bootlogd_ttyB now included upstream.
    - Drop patch 60_init_race now included upstream.
    - Drop patch 61_init_msg now included upstream.
    - Drop patch 63_init_longer_procname now included upstream.
    - Drop patch 64_init_reexec_env now included upstream.
    - Drop patch 64_init_set_PATH now included upstream.
    - Drop patch 65_init_u_in_06 now included upstream.
    - Drop patch 66_init_emerg_tty now included upstream.
    - Drop patch 67_init_hddown now included upstream.
    - Drop patch 69_init_waiting now included upstream.
    - Drop patch 70_init_consoleopen now included upstream.
    - Drop patch 70_wall_ttyname now included upstream.
    - Drop patch 71_wall_hostname now included upstream.
    - Drop patch 80_killall_pidof now included upstream.
    - Drop patch 80_killall_sched now included upstream.
    - Drop patch 81_killall_avoid_init now included upstream.
    - Drop patch 82_killall_exclude_pids now included upstream.
    - Drop patch 82_killall_retval now included upstream.
    - Drop patch 83_killall_manref now included upstream.
    - Drop patch 84_killall_fuse now included upstream.
    - Drop patch 85_killall_safecwd now included upstream.
    - Drop patch 90_shutdown_H now included upstream.
    - Drop patch 92_sata-hddown now included upstream.
    - Drop patch 93_sulogin_fallback now included upstream.
    - Drop patch 95_halt-name now included upstream.
  * Modify shutdown(8) manual page to make it more clear when -c
    work (Closes: #374038).  Based on text proposal from Dan Jacobson.
  * New patch 50_bootlogd_devsubdir to change bootlogd to recursively
    search /dev/ for the correct terminal device (Closes: #376406).
  * New patches 60_init_selinux_ifdef and 70_compiler_warnings to get
    rid of compiler warnings.
  * Rewrite rules to unpatch after the 'make clean' to get rid of binaries
    depending on debian patches.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 25 Jul 2009 16:44:55 +0200

sysvinit (2.86.ds1-66) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Replace Ó with \['O] and Á with \['A] in spanish
    update-rc.d(8) after looking up the correct string in
    groff_man(7), to avoid lintian warning.
  * Move bootlogd to the sysvinit-utils package, as it is useful also
    without the sysvinit init program.  Make sysvinit-utils replace
    sysvinit (<= 2.86.ds1-65) to handle this.
  * Clean up control file, dropping replaces and conflicts on sysvinit
    and file-rc packages before oldstable: sysvinit (<< 2.85-1),
    sysv-rc (<< 2.86.ds1-1.2), sysvinit (<< 2.86.ds1-12) and file-rc
    (>> 0.7.0) (Closes: #509449).
  * New patch 54_bootlogd_findptyfail making sure bootlogd findpty()
    returns an error value  when it fails to find a usable pty
    (Closes: #492796).  Patch from Rob Leslie.
  * New patch 96_shutdown_acctoff making sure to call accton with the
    argument off during shutdown to stop accounting (Closes: #536574).
  * Modify LSB header of init.d/bootlogd to depend on $all when
    starting, to get it to start later in the boot sequence
    (Closes: #531198.  Patch from Vincent Crevot.
  * Modify LSB header of init.d/bootlogd to start earlier when
    dependency based boot sequencing is enabled, by stating that
    it should start before keymap and keyboard-setup.
  * Make sure more verbose temp cleaning always calls log_end_msg
    after log_begin_msg (might solve #534713).
  * New patch 97_init_starttest solving problem reported to
    <URL:http://freshmeat.net/projects/sysvinit/> 2003-03-10.
  * Change init.d/bootmisc.sh to not set pseudo-terminal access
    permissions when udev is active.  Leave that to udev, the same way
    it is left to devfs.
  * Correct boot dependency, move hostname dependency from bootmisc.sh to
    bootlogs.

  [ Kel Modderman ]
  * Remove debian/startpar/README, it contains outdated information about
    the origin of startpar upstream.
  * Update startpar to version 0.53.1 upstream. Add Debian quilt patch series
    to ./debian/startpar/patches, while they wait for inclusion upstream.
  * Patch startpar makeboot.c to allow a much higher amount of loops when
    calculating dependecies from make files.
  * Modify all copyright blurbs which refer to the version-less symlink
    /usr/share/common-licenses/GPL to point to the versioned GPL-2 license.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 24 Jul 2009 10:51:50 +0200

sysvinit (2.86.ds1-65) unstable; urgency=low

  [ Kel Modderman ]
  * Patch debian/startpar/startpar.c to enable workaround for missing
    /dev/pts in early runlevel S when using CONCURRENCY=startpar.
  * Modify debian/patches/85_killall_safecwd.dpatch to make sure /proc
    is CWD when killall5 is called as pidof as well. (Closes: #536543)

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 11 Jul 2009 19:58:29 +0200

sysvinit (2.86.ds1-64) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Make sure only noswap kernel option disable swap (Closes: #523346).
    Patch from Michael Tokarev.
  * Do not rotate /var/log/dmesg if the file is not present (Closes:
    #533047).  Patch from Aaro Koskinen.
  * Split init.d/bootmisc.sh in two, one part that need to run very early,
    and another (bootlogs) which can be executed later, to make it possible
    to postpone some work until after gdm/kdm/xdm is started.  Based on
    patch from Scott James Remnant and Ubuntu.
  * Add improved progress bar during fsck when usplash is used, based
    on patch from Martin Pitt and Ubuntu.  Modified Ubuntu patch to
    keep the generic splash support when usplash is not used.
  * Avoid bashism in service(8) (Closes: #535883).
  * New patch 85_killall_safecwd to chdir to /proc before stopping and
    killing processes, to avoid deadlock if / is a fuse file system.
    Patch from Goswin von Brederlow, fixing part of 476698.  The rest
    of the issues reported in #476698 should be handled using omitpids
    (Closes: #476698).
  * New patch 42_utmpdump_retval fixing unchecked return value from
    malloc().  Patch from Christian 'Dr. Disk' Hechelmann and Fedora.
  * New patch 46_pidof_symlinkman to improve pidof manual page regarding
    its handling of symlinks.  Patch from Bill Nottingham and Fedora.
  * New patch 94_fstab-decode adding helper program fstab-decode to
    sysvinit-utils.  Source from the initscripts package in Fedora.
  * Rewrite umountfs and umountnfs.sh to use fstab-decode, to handle
    mount points with space in their names (Closes: #415482).
  * Reduce initscripts dependency on e2fsprogs to recomments and drop
    the versioned relation, as the version needed
    (1.32+1.33-WIP-2003.04.14-1) was included in a version before
    oldstable (Closes: #379340).
  * Document in rcS(5) how RAMRUN and RAMLOCK affect packages creating
    directories in /var/run and /var/lock (Closes: #422257).
  * Drop Miquel van Smoorenburg as uploader.  He have not been active
    since 2004.
  * New patch 17_doc_halt changing halt(8) to make it clear that sync
    might happen even when -n is used.  Patch from Bill Nottingham and
    Fedora.
  * New patch 47_pidof_chroot adding -c option to pidof, for only
    checking processes with the same file system root.  Patch by
    Thomas Woerner and Fedora.
  * New patch 70_init_consoleopen to give missing console some time to
    show up. Patch from Bill Nottingham and Fedora.
  * New patch 95_halt-name fixing halt/reboot to work properly when used
    as login shells.  Dale R. Worley and Fedora.
  * Modify 40_selinux patch to avoid aborting if a SE policy is already
    loaded in the initrd.  Patch from Bill Nottingham and Fedora.
  * Use set -e in initscripts.preinst to exit on errors and get rid
    of a lintian error.
  * Change symlink from /bin/pidof to /sbin/killall5 from relative to
    absolute, to get rid of lintian message.
  * New patch 28_last_full-time to add a new -F option to last.  Patch
    from Olaf Dabrunz and SuSe.
  * Fix typos in rcS(5) (Closes: #495925).  Patch from Michael Biebl.
  * Make sourcing of /etc/default/rcS conditional in init.d/rc, to
    get rid of lintian error.
  * Change LSB header of init.d/rc.local, to depend on $syslog too,
    to avoid starting local applications too early.
  * Impove initscripts package description (Closes: #535557).  Based
    on patch from Justin B Rye.
  * Add some lintian overrides to hide issues that are intentional.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 10 Jul 2009 09:16:04 +0200

sysvinit (2.86.ds1-63) unstable; urgency=low

  [ Kel Modderman ]
  * Patch startpar to add compat define for posix_fadvise() when on
    platform such as kfreebsd which does not support that. Thanks to
    Petr Salinger for the patch. (Closes: #534337)
  * Patch startpar to add compat define for O_DIRECT to fix ftbfs on
    hurd. Thanks Samuel Thibault for the patch. (Closes: #534471)

  [ Petter Reinholdtsen ]
  * Make temp cleaning more verbose (Closes: #534609).
  * Use X-Interactive flag in LSB headers of those scripts that should
    run on their own, based on the current content of insserv.conf.
    Dropped interactive flag from hostname.sh, mountkernfs.sh and
    mountdevsubfs.sh, based on testing confirming that the fix in
    #457896 made them obsolete.
  * Make sure kfreebsd also get /sys in the initscripts
    package (Closes: #525787).
  * Add new co-maintainer Kel Modderman as uploader.
  * Solve charset encoding issues with the french update-rc.d
    manual page (Closes: #499863).
  * Add 'status' argument to init.d/bootlogd based on patch from
    Scott James Remnant and Ubuntu.
  * Fix computing of runlevel in init.d/rc by allowing A-Z in init
    scripts names (like NetworkManager).  Patch from Loic Minier
    and Ubuntu.
  * Add status argument support to init.d/skeleton.
  * Update Standards-Version from 3.8.1 to 3.8.2.  No changes needed.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 29 Jun 2009 22:11:17 +0200

sysvinit (2.86.ds1-62) unstable; urgency=low

  [ Kel Modderman ]
  * Add missing semi-colon in LSB header of init.d/urandom (Closes:
    #501724).
  * Force C locale for df command used in init.d/mountoverflowtmp.
    (Closes: #510912)
  * Update startpar source to upstream 0.52 (from 0.50) and apply debian
    compatibility patch (sent upstream). Also workaround /dev/pts not
    being mounted early in runlevel S by having startpar use an own
    version of getpt(2) system call. (Closes: #457896, #484883)
  * Enable CONCURRENCY=makefile mode in debian/sysv-rc/etc/init.d/rc.
    This mode uses startpar and the /etc/init.d/.depend.* makefile-like
    information created by insserv to calculate boot script execution
    order. The splash API is not supported in this mode of boot. This
    mode of boot is considered very experimental at this time.
  * Allow startpar using concurrency modes to operate in runlevel S, now
    that startpar can manage to work properly in absence of /dev/pts.
  * Use uscan dversionmangle option to remove .ds\d+ string from modifed
    orig.tar.gz. This fixes the debian-watch-file-should-mangle-version
    lintian warning. Patch taken from diff on LP: #312764.
  * Add comment to debian/sysv-rc/etc/init.d/rc about debug=echo, it
    should never be left uncommented for a real boot process and should
    only be used for interactive debugging. (Closes: #510455)
  * Do not mount usbfs any more, it was deprecated long ago.
    Applications should all use /dev/bus/usb, which can be managed more
    flexibly (assign permissions with udev, and the like). Thanks Martin
    Pitt. (Closes: #483392, #422940, #360165, #471101)
  * Add Homepage field to debian/control.
  * Add interface for disabling system init script start links with
    update-rc.d, and enabling them again. (Closes: #67095)
  * When update-rc.d in "start|stop"-mode is invoked without the final
    dot, script warnings are displayed just before the "usage" message
    is shown. Check that last argument to start|stop command is a period
    earlier. Thanks to Patrick <pet@painfullscratch.nl>.  (Closes: #512003)
  * Use -delete option of find(1) instead of piping through xargs in
    debian/initscripts/lib/init/bootclean.sh. (Closes: #316468, #461103)
  * Make init.d/rc simpler by dropping support for sourcing .sh files
    after the policy finally changed in 3.8.1.  Update to Standards
    version 3.8.1. (Closes: #339955, #519520)
  * Allow initscripts postinst maintainer script to not fail when
    attempting to mkdir /dev/pts and /dev/shm when running in a
    fakechroot environment. This is done by checking for FAKECHROOT env
    variable before bailing out. Patch thanks to Daniel Kahn Gillmor.
    (Closes: #504877)
  * Update debian/NOTES to reflect current affairs.

  [ Petter Reinholdtsen ]
  * Move the startpar binary to a more proper location, from sysvinit
    to sysvinit-utils.
  * Comment out the code disabling fsck when running on battery.  It
    need changes in fsck to work properly (Closes: #526398).  This
    Reopens #326647.
  * Add a /usr/sbin/service command (Closes: #534300).  Modified the
    manual page based on ideas from the sysvconfig package.  Thanks to
    Steve Langasek and Ubuntu.  Add conflict with sysvconfig and
    chkconfig providing the same program.
  * Improve init.d/umountfs umount ordering code to avoid being
    confused while still solving #391673 (Closes: #529805).  Patch
    from Tim Phipps.
  * Make sysv-rc depend on a version of sysvinit-utils with a properly
    working startpar, in case concurrent booting is enabled.
  * Drop shell style concurrent booting, and make CONCURRENCY=shell
    behave like CONCURRENTY=startpar, as startpar concurrency now work
    properly.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 23 Jun 2009 18:18:53 +0200

sysvinit (2.86.ds1-61ubuntu16) karmic; urgency=low

  * ./debian/initscripts/lib/init/usplash-fsck-functions.sh: Use blkid, vol_id
    is gone.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 07 Aug 2009 11:22:21 +0100

sysvinit (2.86.ds1-61ubuntu15) karmic; urgency=low

  * debian/initscripts/etc/init.d/mountkernfs.sh: mount debugfs if it is
    available.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 20 Jul 2009 13:18:35 +0100

sysvinit (2.86.ds1-61ubuntu14) karmic; urgency=low

  * debian/initscripts/etc/init.d/mountkernfs.sh: mount securityfs if it is
    available. This allows for easier AppArmor confinement of applications
    started early in the boot process. LP: #399954

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 16 Jul 2009 12:52:49 -0500

sysvinit (2.86.ds1-61ubuntu13) karmic; urgency=low

  * debian/initscripts/lib/init/bootclean.sh: announce execution
    via log_begin_msg so time-consuming clean-ups have an obvious
    source, and so that VERBOSE=yes log_action_begin_msg calls have
    context (debian bug 534609).

 -- Kees Cook <kees@ubuntu.com>  Thu, 25 Jun 2009 11:08:20 -0700

sysvinit (2.86.ds1-61ubuntu12) karmic; urgency=low

  * debian/patches/94_service.dpatch: call the init script directly, without
    using invoke-rc.d, LP: #390706

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 22 Jun 2009 10:48:09 -0500

sysvinit (2.86.ds1-61ubuntu11) jaunty; urgency=low

  * debian/initscripts/lib/init/mount-functions.sh: Correct syntax of 
    modprobe quiet when the spufs module gets loaded. LP: #348717

 -- Arnaud Jeansen <arnaud.jeansen@gmail.com>  Wed, 25 Mar 2009 23:49:06 +0100

sysvinit (2.86.ds1-61ubuntu10) jaunty; urgency=low

  * debian/initscripts/etc/init.d/ondemand: Put it into the background
    harder so it doesn't get killed when the rest of the rc scripts go
    away.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 19 Mar 2009 15:31:37 +0000

sysvinit (2.86.ds1-61ubuntu9) jaunty; urgency=low

  * debian/initscripts/etc/init.d/ondemand: Sleep for 60 seconds, then
    set CPU Frequency Scaling governor to "ondemand".   LP: #341573.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 18 Mar 2009 11:27:23 +0000

sysvinit (2.86.ds1-61ubuntu8) jaunty; urgency=low

  * debian/initscripts/etc/init.d/mountkernfs.sh: Mount the fusectl
    filesystem on boot, now it's a built-in

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 05 Mar 2009 17:33:40 +0000

sysvinit (2.86.ds1-61ubuntu7) jaunty; urgency=low

  * Add versioned Conflicts/Replaces against chkconfig (LP: #336100)

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 03 Mar 2009 23:08:28 -0500

sysvinit (2.86.ds1-61ubuntu6) jaunty; urgency=low

  * debian/rules: install service.8 manpage to man8 rather than
    man1, LP: #275697
  * debian/patches/94_service.dpatch: make the --status-all command
    useful by filtering unimplemented 'status' actions to stderr, and
    standardize the output to something more readable, LP: #289671

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 28 Feb 2009 13:17:18 -0600

sysvinit (2.86.ds1-61ubuntu5) jaunty; urgency=low

  * debian/initscripts:
    - etc/init.d/bootlogs.sh: separate out things from bootmisc.sh that
      aren't urgent to do before gdm.
    - etc/init.d/bootmisc.sh: remove from here, also remove /dev/pts
      handling since we use udev.
    - conffiles: Add new script
    - postinst: install new init script

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 20 Feb 2009 14:38:17 +0000

sysvinit (2.86.ds1-61ubuntu4) jaunty; urgency=low

  * debian/initscripts/etc/init.d/checkroot.sh: Drop hwclockfirst.sh from
    LSB header, since that init script is gone.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 18 Feb 2009 16:50:25 +0000

sysvinit (2.86.ds1-61ubuntu3) jaunty; urgency=low

  * debian/initscripts/lib/init/usplash-fsck-functions.sh,
    debian/initscripts/etc/init.d/checkroot.sh: Support ext4, too.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 11 Feb 2009 14:11:25 +0100

sysvinit (2.86.ds1-61ubuntu2) jaunty; urgency=low

  * Avoid script warnings when update-rc.d invoked without final dot
    (LP: #312764)
  * Satisfy lintian debian-watch-file-should-mangle-version 

 -- Patrick Kuijvenhoven <pet@painfullscratch.nl>  Fri, 16 Jan 2009 17:02:21 +0100

sysvinit (2.86.ds1-61ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Support Cell processor:
      + debian/initscripts/postinst: Create spu system group and /spu mount
        point if we are running on a Cell processor.
      + debian/initscripts/etc/init.d/mountkernfs.sh: Mount spufs if Cell
        processor is detected.
      + debian/initscripts/lib/init/mount-functions.sh: Modprobe spufs
        if not available.
      + debian/control: Add initscripts dependency 'passwd' for groupadd.
      (Forwarded to Debian #483399)
    - Use tmpfs mounts for /var/lock and /var/run:
      + debian/initscripts/share/default.rcS: Enable RAMRUN and RAMLOCK by
        default.
      + debian/initscripts/postinst: Enable RAMRUN and RAMLOCK in
        /etc/default/rcS on upgrades. This needs to be kept until the next
        LTS.
      + debian/initscripts/etc/init.d/mountkernfs.sh: Propagate files from the
        initramfs to our new /var/run, so that we can populate
        /var/run/sendsigs.omit from initramfs.
    - Different boot order: (to be checked if still required):
      + debian/initscripts/postinst: Change the rcS priorities of a bunch of
        init scripts.
      + Disable bootlogd, since it is handled by upstart in Ubuntu.
      + But make it support the "status" action.
    - Usplash fsck integration:
      + debian/initscripts/lib/init/usplash-fsck-functions.sh: Functions for
        reporting fsck progress in usplash.
      + debian/initscripts/etc/init.d/check{root,fs}.sh: Include
        usplash-fsck-functions.sh and use it if usplash is running.
    - debian/initscripts/etc/init.d/sendsigs: Always mount devpts, and do not
      touch /dev/ptmx (which is already managed by udev).
    - debian/initscripts/etc/init.d/checkroot.sh: If ACPI is available, load
      the ac module before checking the root filesystem, so that fsck can
      skip the check when running on battery. (LP #89752, forwarded to 
      Debian #483394)
    - debian/initscripts/etc/init.d/mountkernfs.sh: Drop mounting of usbdevfs
      (/proc/bus/usb), it was deprecated long ago. (Forwarded to Debian #483392)
    - debian/patches/91_sulogin_lockedpw.dpatch: Disable "root account is
      locked" warning, since this is the default in Ubuntu. Document this in
      sulogin.8.
    - debian/patches/94_service.dpatch: add "service" shell script and manpage
    - debian/initscripts/etc/init.d/mountall.sh: Set $LANG from
      /etc/default/locale, so that ntfs-3g and friends can get correct file
      name encodings. (LP #132357, forwarded to Debian #483396)
    - debian/initscripts/etc/init.d/umountroot: mkdir a few essential
      directories (/proc, /sys, /var/{run,lock}), right before mounting root
      r/o. It is a convenient (and one of the very few possible) place to
      ensure that the next boot will succeed. (Forwarded to Debian #483393)
    - debian/initscripts/preinst: Fix typo in eliminate_conffile() which broke
      the entire function. (Forwarded to Debian #483391)
    - debian/control: Do not make sysvinit essential, so that we can replace
      it with upstart.
    - debian/sysv-rc/sbin/update-rc.d: Support 'multiuser' argument for
      backwards compatibility. This is deprecated now, since Debian adopted a
      different strategy, and for getting in sync with Debian the runlevels
      should be specified manually.
    - debian/control: Previous name for sysvinit-utils was 'sysvutils' in
      Ubuntu, so Conflict/Replace/Provide it. Also create a dummy sysvutils
      package, since Hardy has reverse versioned dependencies to it. This
      needs to be kept until after the next LTS.
    - debian/initscripts/{pre,postinst}: waitnfs.sh -> mountnfs.sh renaming
      transition. This needs to be kept until after the next LTS.
    - debian/initscripts/preinst: Install new version of /etc/init.d/rc.local
      if unmodified.
    - debian/initscripts/etc/init.d/umountfs: Don't unmount filesystems
      that precede root or use force for some mountpoints.
    - debian/sysv-rc/etc/init.d/rc: fix computing of runlevel by allowing
      A-Z in init script names.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 05 Nov 2008 07:29:32 +0000

sysvinit (2.86.ds1-61) unstable; urgency=low

  * Fix typo in rcS(5), proberly->properly (Closes: #484233).  Thanks to
    Julien Danjou for noticing.
  * Fix typo in rcS(5), maually->manually (Closes: #493680).  Thanks to
    Xr for noticing.
  * Modify runlevel detection code in invoke-rc.d to notice the
    difference between runlevels 0 and 6, and the boot runlevel, to
    make it possible to use invoke-rc.d during boot (Closes: 384509).
  * Make sure to call restorecon after mounting tmpfs file systems, to
    set SELinux permissions (Closes: #493679).  Patch from Russell
    Coker.
  * Move responsibility of stopping the splash screen process from
    individual init.d scripts to init.d/rc.  This make sure the
    progress calculation reflect reality, and that the splash screen
    is taken down in runlevel 1 (Closes: #431560) and that it stop
    before gdm and kdm (Closes: #422922, #489734).
  * Skip error message from checkfs.sh when / is read-only.  Patch
    from Mirek Slugen (Closes: #492214).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 12 Aug 2008 16:07:50 +0200

sysvinit (2.86.ds1-60) unstable; urgency=low

  * Make bootmisc.sh depend on $remote_fs instead of $local_fs, to
    make sure it is executed after mountnfs-bootclean.sh to avoid
    cleaning up /var/run/ twice (Closes: #491059).
  * Drop support for experimental flag file /etc/update-rc.d-lsbparse.
    People should use insserv if they want the boot system sequencing
    to use the LSB headers.  Patch from Kel Modderman.  This fixes
    typo in update-rc.d, making sure it ignore the LSB Default-Start
    header.
  * Updated Standards-Version from 3.7.3 to 3.8.0.  No changes needed.
  * Remove obsolete linda overrides.  Linda is removed from Debian.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 18 Jul 2008 20:57:59 +0200

sysvinit (2.86.ds1-59ubuntu13) intrepid; urgency=low

  * Fix computing of runlevel in debian/sysv-rc/etc/init.d/rc by allowing A-Z
    in init scripts names; the 30NetworkManager script was launched twice,
    once as level 30N and once as part of the globbing of runlevel 30;
    LP: #283200.

 -- Loic Minier <lool@dooz.org>  Tue, 14 Oct 2008 14:33:25 +0200

sysvinit (2.86.ds1-59ubuntu12) intrepid; urgency=low

  * debian/initscripts/etc/init.d/check{root,fs}.sh: Disable indeterminate
    progress bar pulsing. Usually it is fast enough, and if there is a real
    fsck going on, we already have textual feedback (which is less confusing
    than the progress bar jumping back and forth). Thanks to "Coucouf" for the
    patch. (LP: #264767)
  * debian/initscripts/lib/init/usplash-fsck-functions.sh: Do not allow
    cancelling fsck if state is "clean with errors".

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 13 Oct 2008 11:24:41 +0200

sysvinit (2.86.ds1-59ubuntu11) intrepid; urgency=low

  * sendsigs: Don't call usplash_down anymore.  This was a holdover from when
    usplash was being killed by this script.  Now, usplash_down should be
    already running by this point, and if it isn't, there's no point in
    starting it (LP: #277058)

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 02 Oct 2008 11:31:01 +0100

sysvinit (2.86.ds1-59ubuntu10) intrepid; urgency=low

  [ Dan Munckton ]
  * Try to modprobe spufs if it isn't already available (LP: #274854).
  * Update mountkernfs.sh to use five-parameter version of domount when
    mounting spufs (LP: #274858).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 07 Oct 2008 12:13:08 +0100

sysvinit (2.86.ds1-59ubuntu9) intrepid; urgency=low

  * Restore lost changes from hardy, needed by Wubi (thanks, Agostino Russo
    and Evan Dandrea; LP: #151579):
    - Don't unmount filesystems that precede root.
    - Don't use force for some mountpoints in umountfs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 02 Oct 2008 11:25:20 +0100

sysvinit (2.86.ds1-59ubuntu8) intrepid; urgency=low

  * if-up.d/mountnfs: 
    Replace /etc/network/run with /var/run/network (mentioned in
    LP #223759).
  * Prepend 'XS-Debian-' to Vcs headers.

 -- Soren Hansen <soren@ubuntu.com>  Thu, 25 Sep 2008 14:24:33 +0200

sysvinit (2.86.ds1-59ubuntu7) intrepid; urgency=low

  * Restore mountkernfs.sh at S01, no migration code was included, so this
    is likely simply a typo or mis-merge.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 24 Sep 2008 12:02:28 -0700

sysvinit (2.86.ds1-59ubuntu6) intrepid; urgency=low

  [ Dan Munckton ]
  * debian/initscripts/postinst: Keep going if mounting /spu fails
    (LP: #251593, #261490).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 Sep 2008 14:50:04 +0100

sysvinit (2.86.ds1-59ubuntu5) intrepid; urgency=low

  * debian/initscripts/lib/init/usplash-fsck-functions.sh, get_fsck_status():
    fsck -C recently started to report a fourth parameter (current device)
    which was not expected by the read shell command, causing abortion of the
    script due to a division by zero error. Now use "read pass cur max tail"
    to allow for arbitrary extra info in the fsck progress lines. 
    (LP: #255563)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 03 Sep 2008 19:12:41 +0200

sysvinit (2.86.ds1-59ubuntu4) intrepid; urgency=low

  * debian/control: updated to mention that sysvinit-utils provides "service",
    added Conflicts/Replaces for other similar packages.
  * debian/control: update lsb-base to depend on 3.2-14 (LP: #259530).
  * debian/patches/00list: added 94_service.dpatch (LP: #259043).
  * debian/patches/94_service.dpatch: patch to add the service shell script to
    src/, and the manpage to man/.
  * src/service: imported and Debianized the Red Hat "service" shell script.
  * man/service.8: imported the Red Hat manpage for "service".

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 20 Aug 2008 00:12:47 +0100

sysvinit (2.86.ds1-59ubuntu3) intrepid; urgency=low

  * debian/control: updated to depend on lsb-base (>=3.2.14), which has the
    status_of_proc() function.
  * debian/initscripts/etc/init.d/bootlogd: add the "status" action (LP: #).

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 19 Aug 2008 15:28:26 +0100

sysvinit (2.86.ds1-59ubuntu2) intrepid; urgency=low

  * Since our last merge, /etc/init.d/rc.local was marked as a conffile.
    Detect if it's unmodified, and if so, install the new version without
    bothering the user with questions (LP: #246550)

 -- Soren Hansen <soren@ubuntu.com>  Tue, 22 Jul 2008 15:59:40 +0200

sysvinit (2.86.ds1-59ubuntu1) intrepid; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Support Cell processor:
      + debian/initscripts/postinst: Create spu system group and /spu mount
        point if we are running on a Cell processor.
      + debian/initscripts/etc/init.d/mountkernfs.sh: Mount spufs if Cell
        processor is detected.
      + debian/control: Add initscripts dependency 'passwd' for groupadd.
      (Debian #483399)
    - Use tmpfs mounts for /var/lock and /var/run:
      + debian/initscripts/share/default.rcS: Enable RAMRUN and RAMLOCK by
        default.
      + debian/initscripts/postinst: Enable RAMRUN and RAMLOCK in
        /etc/default/rcS on upgrades. This needs to be kept until the next
        LTS.
      + debian/initscripts/etc/init.d/mountkernfs.sh: Propagate files from the
        initramfs to our new /var/run, so that we can populate
        /var/run/sendsigs.omit from initramfs.
      (Ubuntu specific policy, Debian does not want to use tmpfs by default)
    - Different boot order:
      + debian/initscripts/postinst: Change the rcS priorities of a bunch of
        init scripts.
      + Disable bootlogd, since it is handled by upstart in Ubuntu.
    - Usplash support:
      + debian/initscripts/etc/init.d/sendsigs: Call usplash_down on stop.
    - Usplash fsck integration:
      + debian/initscripts/lib/init/usplash-fsck-functions.sh: Functions for
        reporting fsck progress in usplash.
      + debian/initscripts/etc/init.d/check{root,fs}.sh: Include
        usplash-fsck-functions.sh and use it if usplash is running.
    - debian/initscripts/etc/init.d/sendsigs: Always mount devpts, and do not
      touch /dev/ptmx (which is already managed by udev).
    - debian/initscripts/etc/init.d/checkroot.sh: If ACPI is available, load
      the ac module before checking the root filesystem, so that fsck can
      skip the check when running on battery. (LP #89752, Debian #483394)
    - debian/initscripts/etc/init.d/mountkernfs.sh: Drop mounting of usbdevfs
      (/proc/bus/usb), it was deprecated long ago. (Debian #483392)
    - debian/patches/91_sulogin_lockedpw.dpatch: Disable "root account is
      locked" warning, since this is the default in Ubuntu. Document this in
      sulogin.8.
    - debian/control: Do not make sysvinit essential, so that we can replace
      it with upstart.
    - debian/sysv-rc/sbin/update-rc.d: Support 'multiuser' argument for
      backwards compatibility. This is deprecated now, since Debian adopted a
      different strategy, and for getting in sync with Debian the runlevels
      should be specified manually.
    - debian/control: Previous name for sysvinit-utils was 'sysvutils' in
      Ubuntu, so Conflict/Replace/Provide it. Also create a dummy sysvutils
      package, since Hardy has reverse versioned dependencies to it. This
      needs to be kept until after the next LTS.
    - debian/initscripts/{pre,postinst}: waitnfs.sh -> mountnfs.sh renaming
      transition. This needs to be kept until after the next LTS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 18 Jun 2008 11:57:12 +0200

sysvinit (2.86.ds1-59) unstable; urgency=low

  * Fix uninitialised previous_stop caused by typo in fix for
    bug #483172 (Closes: #484607).
  * Set $LANG from /etc/default/locale in mountall.sh, so that ntfs-3g and
    friends can get correct file name encodings. (Closes: #483396)

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  6 Jun 2008 10:02:32 +0200

sysvinit (2.86.ds1-58) unstable; urgency=low

  * Optimize start symlinks as if they are stop symlinks for runlevels 0 and
    6, to avoid problems with portmap during shutdown (Closes: #483172).
  * Repair eliminate_conffile() in initscripts preinst, making sure
    unchanged conffiles are properly handled (Closes: #483391).
    Patch from Martin Pitt and Ubuntu.
  * Make sure a few essential directories (/proc, /sys, /var/{run,lock}) is
    created in init.d/umountroot if missing, right before mounting root r/o.
    It is a convenient (and one of the very few possible) place to ensure that
    the next boot will succeed (Closes: #483393).  Patch from Martin Pitt
    and Ubuntu.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 29 May 2008 20:10:17 +0200

sysvinit (2.86.ds1-57) unstable; urgency=low

  * Remove another bashism in init.d/rc blocking startpar concurrency
    (Closes: #481770).
  * Fix wake on lan issue introduced with freebsd patch in version
    2.86.ds1-4 (Closes: #405870).  Patch from Lucas Nussbaum.
  * Convert files debian/patches/12_doc_lastb.dpatch,
    debian/sysv-rc/man8/es/update-rc.d.8,
    debian/sysv-rc/man8/fr/update-rc.d.8,
    debian/sysv-rc/man8/ja/update-rc.d.8 and
    debian/sysv-rc/etc/init.d/rc to UTF-8 (Closes: #478657).
    Patch from Ben Finney.
  * New patch 84_killall_fuse.dpatch to avoid shutdown problems with
    user space file systems, by not stat()-ing files when killing
    processes during shutdown (Closes: #476695).  Patch from Goswin
    von Brederlow.
  * Remove special case handling of splash screens in sendsigs.
    The usplash and splashy packages are expected to use the
    omitpid feature from now on.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 20 May 2008 09:23:13 +0200

sysvinit (2.86.ds1-56ubuntu3) intrepid; urgency=low

  * Let sysvinit-utils only replace the old sysvutils, do not conflict to it.
    This is a less clean way to do the transition than with a proper
    Conflicts/Replaces, but the latter induces a Pre-Depends/Conflicts loop
    which is unresolvable. (LP: #237276)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 05 Jun 2008 08:44:44 +0200

sysvinit (2.86.ds1-56ubuntu2) intrepid; urgency=low

  * debian/control: Use versioned Conflicts: of sysvinit-utils not unconfuse
    apt during upgrades.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Jun 2008 22:10:02 +0200

sysvinit (2.86.ds1-56ubuntu1) intrepid; urgency=low

  * Merge with Debian unstable (first time since Dapper!). Debian adopted most
    of our changes, sometimes with slight modifications. Adopt to the Debian
    structure as far as possible to minimize the delta. Remaining changes:
    - Support Cell processor:
      + debian/initscripts/postinst: Create spu system group and /spu mount
        point if we are running on a Cell processor.
      + debian/initscripts/etc/init.d/mountkernfs.sh: Mount spufs if Cell
        processor is detected.
      + debian/control: Add initscripts dependency 'passwd' for groupadd.
      (Forwarded to Debian #483399)
    - Use tmpfs mounts for /var/lock and /var/run:
      + debian/initscripts/share/default.rcS: Enable RAMRUN and RAMLOCK by
        default.
      + debian/initscripts/postinst: Enable RAMRUN and RAMLOCK in
        /etc/default/rcS on upgrades. This needs to be kept until the next
        LTS.
      + debian/initscripts/etc/init.d/mountkernfs.sh: Propagate files from the
        initramfs to our new /var/run, so that we can populate
        /var/run/sendsigs.omit from initramfs.
    - Different boot order: (to be checked if still required):
      + debian/initscripts/postinst: Change the rcS priorities of a bunch of
        init scripts.
      + Disable bootlogd, since it is handled by upstart in Ubuntu.
    - Usplash support:
      + debian/initscripts/etc/init.d/sendsigs: Call usplash_down on stop.
        (This should go away and get integrated into the existing splash API.)
    - Usplash fsck integration:
      + debian/initscripts/lib/init/usplash-fsck-functions.sh: Functions for
        reporting fsck progress in usplash.
      + debian/initscripts/etc/init.d/check{root,fs}.sh: Include
        usplash-fsck-functions.sh and use it if usplash is running.
    - debian/initscripts/etc/init.d/sendsigs: Always mount devpts, and do not
      touch /dev/ptmx (which is already managed by udev).
    - debian/initscripts/etc/init.d/checkroot.sh: If ACPI is available, load
      the ac module before checking the root filesystem, so that fsck can
      skip the check when running on battery. (LP #89752, forwarded to 
      Debian #483394)
    - debian/initscripts/etc/init.d/mountkernfs.sh: Drop mounting of usbdevfs
      (/proc/bus/usb), it was deprecated long ago. (Forwarded to Debian #483392)
    - debian/patches/91_sulogin_lockedpw.dpatch: Disable "root account is
      locked" warning, since this is the default in Ubuntu. Document this in
      sulogin.8.
    - debian/initscripts/etc/init.d/mountall.sh: Set $LANG from
      /etc/default/locale, so that ntfs-3g and friends can get correct file
      name encodings. (LP #132357, forwarded to Debian #483396)
    - debian/initscripts/etc/init.d/umountroot: mkdir a few essential
      directories (/proc, /sys, /var/{run,lock}), right before mounting root
      r/o. It is a convenient (and one of the very few possible) place to
      ensure that the next boot will succeed. (Forwarded to Debian #483393)
    - debian/initscripts/preinst: Fix typo in eliminate_conffile() which broke
      the entire function. (Forwarded to Debian #483391)
    - debian/control: Do not make sysvinit essential, so that we can replace
      it with upstart.
    - debian/sysv-rc/sbin/update-rc.d: Support 'multiuser' argument for
      backwards compatibility. This is deprecated now, since Debian adopted a
      different strategy, and for getting in sync with Debian the runlevels
      should be specified manually.
    - debian/control: Previous name for sysvinit-utils was 'sysvutils' in
      Ubuntu, so Conflict/Replace/Provide it. Also create a dummy sysvutils
      package, since Hardy has reverse versioned dependencies to it. This
      needs to be kept until after the next LTS.
    - debian/initscripts/{pre,postinst}: waitnfs.sh -> mountnfs.sh renaming
      transition. This needs to be kept until after the next LTS.
  * This version from Debian now kills processes using remote file systems in
    a proper way. (LP: #42121)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 28 May 2008 17:58:44 +0200

sysvinit (2.86.ds1-56) unstable; urgency=low

  * Avoid bashism in init.d/rc (Closes: #473694).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 12 Apr 2008 09:32:18 +0200

sysvinit (2.86.ds1-55) unstable; urgency=low

  * Use $(MAKE) instead of make in debian/rules, to make it easier to
    use make -j.
  * Adjust debian/rules to support cross building (Closes: #466148).
  * Change init.d/rc to disable startpar concurrency if insserv isn't
    enabled and if startpar fail to run.
  * Adjust init.d script dependencies for bootmisc.sh, as it can run
    before $remote_fs and need to run after both udev and hostname.
  * Change update-rc.d to warn about scripts missing LSB style
    dependency information.
  * Updated all patches to make sure they apply without offset and
    fuzzying to the current source.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 26 Mar 2008 10:03:05 +0100

sysvinit (2.86.ds1-54) unstable; urgency=low

  * Fix shell quoting typo in conffile removal code (Closes: #464869).
  * Make sure to only check for conffile removal on upgrades.
  * Improve displayed text when removing unused obsolete conffiles.
  * Update version trigger for the /etc/init.d/bootclean to this
    version, to make sure those left with the file because of bug
    #464869 get it removed on this upgrade.
  * Patch startpar to use the correct path to the rcX.d/ directories
    in "make mode".
  * Update LSB dependency for mountnfs.sh to make sure it is started
    after portmap.
  * Make sure init.d/sendsigs work even when /proc/cmdline is missing
    as it is on vserver clients (Closes: #468473).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 02 Mar 2008 00:32:55 +0100

sysvinit (2.86.ds1-53) unstable; urgency=low

  * Correct file name in output when removing conffiles, to
    use the correct file ending .dpkg-old, not .dpkg-bak.
  * Fix typo in omitpid handling in init.d/sendsigs (Closes: #462354)
  * Change progress bar calculations to not divide by zero when there
    are no progress steps to be taken (Closes: #463504).
  * Fix quoting typo in initscripts.preinst (Closes: #463551)

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 01 Feb 2008 19:37:42 +0100

sysvinit (2.86.ds1-52) unstable; urgency=low

  * Rewrite conffile removal code in initscripts.preinst to use the
    original *.dpkg-old and not the *.dpkg-bak introduced by mistake
    when changing to use dpkg-query.
  * New patch 83_killall_manref to add references between killall5 and
    pidof, and mention pidof in killall5(8) (Closes: #461160).
  * Improve documentation for the CONCURRENCY option in /etc/init.d/rc
    (Closes: #408491).
  * New patch 93_sulogin_fallback to let sulogin fall back to the
    staticly linked /bin/sash if both roots shell and /bin/sh fail to
    execute.  Add suggests for sysvinit-utils to sah, for those that
    want this extra level of redundancy (Closes: #43317).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 20 Jan 2008 15:27:16 +0100

sysvinit (2.86.ds1-51) unstable; urgency=low

  * Remove debug code left by mistake in if-up.d/mountnfs when fixing
    bugs #460463 and 461011 (Closes: #461406).

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 18 Jan 2008 12:10:56 +0100

sysvinit (2.86.ds1-50) unstable; urgency=low

  * Rewrite conffile removal code in initscripts.preinst to use dpkg-
    query instead of reading /var/lib/dpkg/status directly.
  * Do not allow "make -C debian/startpar clean" to fail, it should
    work every time.
  * Handle both trailing space after interface names and multiple
    interfaces on one auto line in /etc/network/interfaces when
    checking if the last interface has been enabled for NFS mounting
    (Closes: #460463, 461011).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 17 Jan 2008 22:36:41 +0100

sysvinit (2.86.ds1-49) unstable; urgency=low

  * Handle trailing space after interface names in
    /etc/network/interfaces when checking if the last interface has
    been enabled for NFS mounting (Closes: #460463).
  * New patch 27_last_usageopts to document options -adi in last usage
    output (Closes: #415525).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 13 Jan 2008 10:19:22 +0100

sysvinit (2.86.ds1-48) unstable; urgency=low

  * Removed unused mountvirtfs as a dependecy provides for
    init.d/mountdevsubfs.sh, to avoid duplicate provides.
  * Removed hostname as a dependency for init.d/bootmisc.sh, as it is
    now a dependency of checkroot.sh and thus still will have a known
    order in the boot.
  * Removed stop dependencies in the LSB header of bootmisc.sh.  Its
    stop operation is a no-op, and it is not run in any level to stop.
  * Document in stop-bootlogd-single why bootlogd has to be stopped in
    rcS.d/ for single user boots.
  * Specify that one is to read the init.d/bootlogd script in the
    stop-bootlogd* scripts. (Closes: #372676)
  * Drop libdevmapper as a dependency for init.d/checkfs.sh, as the
    init.d script was removed in devmapper version 2:1.02.24-1.
    Conflict initscripts with libdevmapper1.02.1 versions before that.
  * Drop modutils as a dependency for init.d/checkfs.sh, as the
    modutils package was removed 2007-07-04.
  * Drop $syslog as a dependency for init.d/rmnologin, as it seem to
    be redundant.
  * Extend waiting time of init.d/sendsigs from 0-5 seconds to 0-10
    seconds, to give slow processes more time to shut down properly.
  * Extend init.d/sendsigs to sync before killing processes, and to
    detect and report as a failure if it had to use SIGKILL to
    terminate processes.  Based on ideas from Gabor Gombas.
  * Drop lvm as optional depend for checkfs, mountall and umountfs,
    and conflict with insserv versions before 1.09.0-12 to make sure a
    version with the override file providing the same dependencies as
    reverse dependencies is used.
  * Extend sendsigs code to omit some pids during shutdown to also
    load pids from /lib/init/rw/sendsigs.omit and
    /lib/init/rw/sendsigs.omit.d/packagename, to make it easier for
    systems starting very early in the boot, or systems that need to
    modify the pid list at run time, to update their pid list (Closes:
    #459146).  Based on patch from Kel Modderman.
  * Change init.d/bootlogd to not report failure when trying to stop
    an already stopped bootlogd.
  * Change init.d/killprocs to use the same optimization as sendsigs,
    to avoid having to wait 5 seconds if there is no more processes.
  * Document the way to list /sys/ in /etc/fstab in initscripts
    README.Debian (Closes: #401424).
  * Reduce stop dependency for mountoverflowtmp from $local_fs to
    umountfs, to allow it to stop later during shutdown, and to make
    it possible to make it part of the $local_fs dependencies.
  * Remove initscripts conflict on mdutils.  mdutils was removed in
    woody.
  * Move optional start dependency on udev-mtab from checkfs to
    mountnfs, to better reflect the current ordering of these scripts.
  * Improve content of initscripts README.Debian, and document the new
    sendsigs omitpid interface there (Closes: #459425).  Based on
    patch from Kel Modderman.
  * Updated the startpar source to version 0.50 from
    <URL:ftp://ftp.suse.com/pub/projects/init/>.
  * Optimized the startpar case of init.d/rc to only call the progress
    bar API once for each startpar invocation.
  * Drop redundant optional dependency on kdm, gdm and xdm for
    rmnologin, as it already depend on $all.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 12 Jan 2008 13:10:12 +0100

sysvinit (2.86.ds1-47) unstable; urgency=low

  * Added hostname as dependency and hdparm and bootlogd as optional
    dependencies for checkroot, to make sure the script are run before
    the root file system is checked when present.
  * Added libdevmapper, mtab and udev-mtab as optional dependencies
    for checkfs to make sure the script are run after the root is
    writable and before the other file system is checked.
  * Added lvm as optional stop dependency for umountfs, to make sure
    LVM is available when all non-root file systems are umounted.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 31 Dec 2007 12:18:42 +0100

sysvinit (2.86.ds1-46) unstable; urgency=low

  * Move from experimental to unstable.
  * Remove debug code from init.d/mountoverflowtmp that was included
    by mistake.
  * Reduce output from init.d/mountoverflowtmp when VERBOSE!=yes.
  * Add $all as a dependency for init.d/single, to make sure it is
    started last in runlevel 1.
  * Change runlevel setting in LSB header for init.d/rmnologin and
    init.d/stop-bootlogd to not start in runlevel 1 (single user).
    This reflect the current and correct setting specified in the
    postinst.
  * Remove redundant $local_fs dependency from init.d/bootmisc.sh,
    init.d/rc.local, init.d/rmnologin and init.d/skeleton
  * Move /lib/init/bootclean to /lib/init/bootclean.sh and source it
    instead of running it.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 30 Dec 2007 10:32:52 +0100

sysvinit (2.86.ds1-45) experimental; urgency=low

  * Replace log_daemon_msg() in init.d/rc with log_action_msg() to
    improve visual layout when parallel booting is enabled.
  * Avoid using startpar for rcS.d/.  It does not work properly before
    ptys are available.  Related to bug #457896.
  * Correct init.d/rc progress bar calculations for the startpar
    option, counting each script that is started in parallel too.
  * Patch startpar to not print exit codes for each subprocess, to
    reduce the noise during boot.
  * Remove usplash progress bar support from initscripts and use the
    API hook file provided by usplash version 0.5.8-2 instead.  Add
    conflict on earlier versions of usplash.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 28 Dec 2007 10:32:16 +0100

sysvinit (2.86.ds1-44) experimental; urgency=low

  * Add debian/watch file pointing to ftp.cistron.nl.
  * Change init.d/mountnfs.sh dependencies to list nfs-common in
    should-start (Closes: #433359).
  * Change init.d/umountnfs.sh dependencies to list nfs-common in
    should-start too.
  * Mount a 1 MiB tmpfs on /tmp if /tmp is otherwise less than
    1 MiB to make sure one can still log in when /tmp/ is too
    full (Closes: #430814).  Based on patch from Ian Jackson and Ubuntu.
  * Rewrote ifup.d/mountnfs to wait for all 'auto' interfaces to be
    initialized before trying to mount network file systems (Closes:
    #386959, #390404, #418596, #419195, #426071, #428823, #432511,
    #432511, #432750, #433119, #434177).  Based on patch from Phil
    Snowdon.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 27 Dec 2007 13:19:14 +0100

sysvinit (2.86.ds1-43) experimental; urgency=low

  * Fix typo in /etc/network/if-up.d/mountnfs fstab option parsing used to
    detect kerberos v5. (Closes: #416223)
  * Update sysv-rc documentation based on text and suggestions
    from Alessandro Vesely (Closes: #382410).
  * Modify rules to install /lib/init/bootclean with the execute flag
    set (Closes: 457847).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 26 Dec 2007 19:36:43 +0100

sysvinit (2.86.ds1-42) experimental; urgency=low

  * Change XS-Vcs-Svn to Vcs-Svn as the control flags are official now.
  * Add Vcs-Browser flag in debian/control, documenting the browsable source.
  * Change how init.d/rc call scripts, to make sure sourced scripts
    get the correct argument.
  * Reduce redundant code in init.d/rc, to make it easier to enable
    sourcing of *.sh scripts.  It is still not possible to source
    scripts, as some of them use exit and terminate the boot.  This is
    related to bug #339955.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 25 Dec 2007 20:56:44 +0100

sysvinit (2.86.ds1-41) experimental; urgency=low

  * Update standards-version from 3.7.2 to 3.7.3.  No change needed.
  * Remove empty /lib/ directory from the sysvinit and sysvinit-utils
    packages.
  * Remove the empty /usr/share/man/man5/ from the sysv-rc package.
  * Remove the registration of init.d/modutils from
    initscripts/postinst, as the package is removed from Debian.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 24 Dec 2007 13:49:17 +0100

sysvinit (2.86.ds1-40) experimental; urgency=low

  [ Petter Reinholdtsen ]
  * Rewrite libata shutdown handling to use patch from
    Werner Fink at SuSe to handle each disk individually and
    automatically instead of guessing in the init.d script how
    to handle them collectively (Closes: #426224).  This removes
    the HDDOWN variable from /etc/default/halt.
  * Improve usage information in update-rc.d by using the same
    notation as the one used in the manual page (Closes: #268713)
  * Implement noswap kernel boot option to stop automatic
    swap activation at boot time (Closes: #388525).  Based on patch
    from Michael Prokop.
  * Rewrite init.d/rc to use shell features instead of calling sed
    (Closes: #406393).  Patch from Ivan Baldo.
  * Fix typo in update-rc.d example code (Closes: #433378).
  * Fix minor typo in rc*.d/README files (Closes: #452384).
  * Make sure init.d/rc do not complain because the new progress bar
    API is unavailable (Closes: #457544).
  * New patch 26_last_ipv6 from Fedora to recognize more IPv6
    addresses.
  * Extend the 68_init_quiet patch based on patch from Fedora to also
    suppress the "Switching to runlevel" message.  This patch is
    currently disabled because the 'quiet' flag is removed by the
    kernel when init is called.
  * New patch 69_init_waiting from Fedora to make sure the init
    waiting status is preserved across re-exec.
  * New patch 41_utmp_64bit from Fedora to avoid writing past the
    utmp.ut_tv struct on 64 bit architectures. (Closes: #450543)
  * New patch 64_init_init_reexec_env from Fedora to fix typo.  Now
    passes environment on to the new process when re-exec is used.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 23 Dec 2007 19:44:13 +0100

sysvinit (2.86.ds1-39) experimental; urgency=low

  [ Petter Reinholdtsen ]
  * Upload to experimental to get more feedback from testers.
  * Change checkfs.sh dependency info, make modutils an optional
    dependency as it is no longer installed by default.
  * Move /etc/init.d/bootclean to /lib/init/bootclean, as it is not an
    init.d script but a library.
  * Acknowledge NMU. (Closes: #433386)
  * Make /lib/init/vars.sh usable when 'set -e' is in effect.  Patch
    from Ubuntu.
  * Rename 20_pidof.dpatch to 80_killall_pidof.dpatch, to group the
    killall5 patches together.
  * New patch 82_killall_exclude_pids.dpatch adding new option -o
    to killall5, to omit killing the pid given on the command line.
    Based on patch from Ubuntu. (Closes: #453042)
  * Use new killall5 -o option in init.d/sendsigs, reading pids to
    omit from /var/run/sendsigs.omit.  This make it possible to list
    pids there if the process is required to umount the file systems
    during shutdown.  Make initscripts depend on sysvinit-utils
    (>= 2.86.ds1-39) to make sure killall5 support the -o option.
    Based on patch from Ubuntu.
  * Stop progress bar on ltsp-client-core too.  The script was renamed
    in recent ltsp versions.  Based on patch from Ubuntu.
  * Add linux-gnulp to debian/deps-mount, to get the correct behaviour
    with regard to initscripts dependencies on lpia.  Patch from Adam
    Conrad in Ubuntu.
  * Add splash screen / progress bar API to initscripts in
    /lib/init/splash-functions-base, overridable by the splash
    implementations in /lib/init/splash-functions.  Based on patch
    from David Härdeman. (Closes: #423095)  Make initscripts conflict
    with usplash (<< 0.5) to make sure a version with PULSATE support
    is used.
  * Rewrite init.d/rc progress bar support to use new API.  Move
    usplash calls to separate file splash-functions-usplash.  This
    file should be moved to the usplash package. Based on patch from
    David Härdeman.
  * Do not mount gfs2 as a local file system.  It is a network file system.
    Patch from  Guido Guenther (Closes: #454468).
  * Modify update-rc.d to refuse to install init.d scripts with illegal
    characters in the names.  Only accept [a-zA-Z0-9+.-] to match the
    limits on package names.  Correct handling of init.d scripts with
    + in their name (Closes: #431224).

  [ Henrique de Moraes Holschuh ]
  * libata shutdown handling fixes:
    Check http://linux-ata.org/shutdown.html for information
    * init.d/halt: do not issue -h to halt(8) when the kernel supports
      auto-shutdown
    * init.d/halt, default/halt: add HDDOWN option to override initscript
      halt -h logic
  * Add halt(5) manpage, updated for HDDOWN. Thanks to Casper Gielen for
    the manpage. (Closes: #407211)

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 22 Dec 2007 17:49:42 +0100

sysvinit (2.86.ds1-38.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rework starting of portmap and nfs-common to better fit the new and
    stricter mount.nfs; in particular, statd must be started for almost all
    mounts, so start nfs-common even for non-NFSv4 and non-Kerberos mounts.
    (Closes: #433386)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 24 Jul 2007 19:31:27 +0200

sysvinit (2.86.ds1-38) unstable; urgency=medium

  * Medium urgency as it solve an RC bug in etch.
  * New upload, this time with only the files included in svn, and without
    the cruft included by mistake last time.  No idea why svn-buildpackage
    didn't behave as I expected it to.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 30 Jan 2007 23:14:04 +0100

sysvinit (2.86.ds1-37) unstable; urgency=medium

  * Medium urgency as it solve an RC bug in etch.
  * Replace 66_init_emerg_tty patch with one only creating a new
    session group when sulogin is called directly from init, and not
    as part of the runlevel start scripts, to avoid leaving the single
    user shell behind when switching runlevel.  Updated patch from Samuel
    Thibault. (Closes:406587)
  * Speed up shutdown 1 second by dropping sleep 1 in init.d/halt
    introduced 2.86.ds1-12.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 13 Jan 2007 20:04:35 +0100

sysvinit (2.86.ds1-36) unstable; urgency=medium

  * Medium urgency as it solve some RC bugs in etch.
  * Don't reset step to 0 between running Kill and Start scripts
    (this is why the progress bar jumps during splash down).  Patch from
    Scott James Remnant and Ubuntu.
  * Also consider ltsp-client as end-point for the usplash
    progress bar.  Patch from Scott James Remnant and Ubuntu.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 28 Nov 2006 19:56:20 +0100

sysvinit (2.86.ds1-35) unstable; urgency=medium

  * Medium urgency as it solve some RC bugs in etch.
  * Make sure init.d/umountfs umount tmpfs file systems in order of
    decreasing length, to avoid problems on systems with chroots.
    Patch from Peter Rabbitson.  (Closes: #391673)
  * Add boot option ASYNCMOUNTNFS=no to get the old init.d/mountnfs.sh
    behaviour until ifup work properly with / on NFS.  The default is
    'yes' as it has the highest chance of success for non-diskless machines.
    It is also useful for machines with multiple network cards.
    (Closes: #388761, #393532)
  * Fix syslogging code in if-up.d/mountnfs to find logger if it exist.
    Patch from John Morrissey.  (Closes: #398644)
  * Avoid file descriptor leak to mount in init.d/mtab.sh.  Based
    on patch from David Härdeman. (Closes: #397525).
  * Fix typo in message added in 91_sulogin_lockedpw.dpatch.
    Thanks to Robert Bihlmeyer.  (Closes: #399715)
  * Undo use of fuser to kill processes in umountnfs before unmounting
    partitions, as it will kill init and /etc/init.d/rc during
    shutdown if root is on NFS or tmpfs file systems are bind-mounted
    into chroots.  Use sendsigs and move it before umountnfs, and thus
    reopen bugs #258420, #367944.  (Closes: #392861, #391375)

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 26 Nov 2006 20:06:00 +0100

sysvinit (2.86.ds1-34) unstable; urgency=medium

  * Medium urgency as it solve some RC bugs.
  * Remove the postinst code in initscripts for mounting /lib/init/rw/.
    Just require a reboot for it to take effect, instead of trying to
    make sure it is mounted when the package is installed.  Flag this
    need using /usr/share/update-notifier/notify-reboot-required if it
    exist.  (Closes: #393465, #391605, #390126)
  * Remove debian/sysv-rc/postinst as well as it is unused now.
  * Replace SElinux patches 40_selinux and 41_selinux_console with updated
    40_selinux from Manoj Srivastava. (Closes: #394304)
  * Print message when refusing to mount nfs directories because the
    lockdir exist.
  * Add exit handler in if-up.d/mountnfs to make sure the lock directory
    is removed when the script is interrupted.
  * Remove NEWS entries explaining how to recover from the version of
    sysv-rc present 6th to 8th of September in unstable.  Remove
    update-rc.d-recover as it should no longer be needed. (Closes:
    #394332)
  * Add XS-Vcs-Svn entry in the control file, to make the subversion
    repository easier to find.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 29 Oct 2006 18:33:33 +0100

sysvinit (2.86.ds1-33) unstable; urgency=low

  * Do not insert /dev/.static/dev in /etc/mtab, and do not try to
    umount it either.  Avoids confusing users. (Closes: #391122)
  * Let initscripts conflict with udev << 0.080-1, and stop calling
    mountdevsub.sh from mtab.sh. (Closes: #391312)
  * Do not fail to install initscripts even if /lib/init/rw/ can
    not be mounted. (Closes: #391115)
  * Adjust how fuser is called by umountnfs, using the exit code from
    fuser instead of looking at its output. Based on patch from Markus
    Schoder. (Closes: 390936)

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  6 Oct 2006 19:51:05 +0200

sysvinit (2.86.ds1-32) unstable; urgency=low

  * Set SE context on /dev/pts and /dev/ptm if they are created by
    mountdevsubfs.sh to work better with SELinux.  Patch from Erich
    Schubert. (Closes: 390897)

 -- Petter Reinholdtsen <pere@debian.org>  Wed,  4 Oct 2006 20:39:56 +0200

sysvinit (2.86.ds1-31) unstable; urgency=low

  * Fix calls to fuser in umountnfs.sh.  Thanks to Frank Mehnert for the tip.
  * Correct code detecting single-user in stop-bootlog-single to only
    trigger on '1' as single word and not as option argument. (Closes:
    #390572, #387340)

 -- Petter Reinholdtsen <pere@debian.org>  Mon,  2 Oct 2006 19:55:11 +0200

sysvinit (2.86.ds1-30) unstable; urgency=low

  * Avoid mounting /lib/init/rw/ during installation and upgrades if
    the kernel do not support tmpfs. (Closes: #390339)

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  1 Oct 2006 20:03:33 +0200

sysvinit (2.86.ds1-29) unstable; urgency=low

  * Ignore problems with creating /var/run and /var/lock during
    installation and upgrades.  This should avoid installation problem
    in vserver environments.
  * Only try to create /var/run and /var/lock on the root file system
    in non-chroot environments?
  * Use 'mkdir -p' when creating /.root, to avoid failing if it
    already exist.  (Closes: #390327)
  * Do not try to create /var/run and /var/lock during installation or
    upgrades if /var is a relative symlink.  It is not going to
    work. (Closes: #390328)
  * List the options found in /etc/fstab after the default options
    used when mounting virtual file systems, to allow options in fstab
    to override the defaults. (Closes: #390181)

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 30 Sep 2006 18:42:44 +0200

sysvinit (2.86.ds1-28) unstable; urgency=low

  * Avoid mounting /lib/init/rw/ when being installed in a chroot
    environment. (Closes: #390126)
  * Update init.d/mtab.sh to make sure it store the correct options
    used to mount /dev/shm in /etc/mtab.
  * Drop the 'noexec' flag from the /dev/shm/ mount point until etch
    is released, to avoid breaking dosemu and user-mode-linux.  It will
    be reintroduced after etch is released.  This is related to
    bugs #386945 and #386368.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 29 Sep 2006 18:36:13 +0200

sysvinit (2.86.ds1-27) unstable; urgency=low

  * Make sure to mount /lib/init/rw/ during upgrades if it isn't mounted
    already, to make it sure available for its users when the new initscripts
    package is installed

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 28 Sep 2006 20:40:12 +0200

sysvinit (2.86.ds1-26) unstable; urgency=low

  * Change umountnfs to use /etc/mtab instead of /proc/mounts, to make
    sure it see the _netdev option.  umountfs still uses /proc/mounts
    to make every non-root file system is unmounted before halt or
    reboot. (Closes: #383124)
  * Correct exit code handling in init.d/rc.local. (Closes: #389435)

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 28 Sep 2006 19:26:54 +0200

sysvinit (2.86.ds1-25) experimental; urgency=low

  * Improve manual entry for RAMRUN and RAMLOCK run rcS(5).
  * Correct mtab.sh to make sure the mtab content matches the options used
    when mounting /var/run/.
  * New defaults/tmpfs options RUN_SIZE and LOCK_SIZE, controlling the
    tmpfs size.  Modified the mount code to also use TMPFS_SIZE if
    set as a fallback value.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 26 Sep 2006 15:09:30 +0200

sysvinit (2.86.ds1-24) experimental; urgency=low

  * Make sure we do not umount /lib/init/rw/ during shutdown.
  * Make it easier to debug the splash progress bar in init.d/rc.
  * Correct mtab entry for /sys, to make sure its 'device' is sysfs.
  * Include vars.sh in mtab.sh, to make sure the RAMRUN and RAMLOCK
    options are available when used.
  * Add defaults/tmpfs option RW_SIZE to control the size of
    /lib/init/rw/, and change mountkernfs.sh to use TMPFS_SIZE too if
    it is set.
  * Rewrite post_mountall() function to avoid mounting /var/run/ and
    /var/lock/ on top of themselves when RAMRUN or RAMLOCK is enabled.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 23 Sep 2006 19:01:38 +0200

sysvinit (2.86.ds1-23) experimental; urgency=low

  * Make the tmpfs on /var/run/ and /var/lock/ optional, and provide
    RAMRUN and RAMLOCK options in /etc/default/rcS to control this.
    Remove code to convert to this feature when the package is
    upgraded or installed.  It will take effect after a reboot if
    /etc/default/rcS is modified.  Keep them disabled for now.
    Create .ramfs files in the directories if tmpfs is used to make it
    easier for other scripts to know if they are safe to use early in
    the boot.
  * Create /lib/init/rw/, and mount a tmpfs there to garantee some
    writable area very early in the boot.  Use this in checkroot.sh if
    a device node need to be created.  Create .ramfs indicator when
    it is mounted.
  * Move sulogin to the sysvinit-utils package as well. (Closes: #388417)
  * Add new halt option NETDOWN to make it easier to enable
    wake-on-lan. (Closes: #388244)
  * Add a stop dependency for umountroot on kexec, to document the
    correct location for a kexec script.  Related to bug #387599.
  * Make sure update-rd.d-recover is not compressed to make it easier to run.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 22 Sep 2006 21:34:37 +0200

sysvinit (2.86.ds1-22) experimental; urgency=low

  * Let mountdevsubfs provide mountvirtfs to work with init.d scripts
    with obsolete dependency information.
  * Change mounting of virtual file systems to specify the device name
    explicitly, to make sure /proc/mounts and /etc/mtab end up with
    the same device name.
  * Split killall5, last, lastb, mesg and pidof out of the sysvinit
    package into a new sysvinit-utils package to make it easier to
    replace sysvinit. (Closes: #385722)
  * Mount /var/run/ as tmpfs in mountkernfs.sh, to have some place to
    write state information very early in the boot, and thus avoid a
    lot of cludges in scripts running before partitions are checked
    and mounted.  Mount /var/lock/ as tmpfs to avoid having to clean
    it during boot, and to have some place to store locks for the
    things running before partitions are checked and mounted.
    Packages need to create the directories they expect to find in
    these directories from now on.  Patch from Scott James Remnant and
    Ubuntu.
  * Adjust checkroot.sh to create the root device node in /var/run/
    when needed, instead of mounting its own tmpfs.  Modified
    /var/run/ to allow devices and executables.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 16 Sep 2006 12:14:36 +0200

sysvinit (2.86.ds1-21) experimental; urgency=low

  * Correct status report handling in umountnfs.sh.  Based on patch
    from Markus Schoder. (Closes: #386893)
  * Change mountnfs.sh, rc.local and skeleton to use /lib/init/vars.sh
    instead of sourcing /etc/default/rcS, to activate the INIT_VERBOSE
    variable for these scripts.
  * Add support in the init.d scripts for the 'quiet' kernel option.
    Keep support for the experiemental INIT_VERBOSE, to make it
    possible to override VERBOSE=no on the kernel command line.
  * New draft patch 68_init_quiet to make init less verbose when the
    'quiet' kernel option is used.  If it worked, it would solve bug
    #326677.
  * Add a few lintian overrides for things that are correct though strange.
  * Rewrite sendsigs to sleep up to 5 seconds (instead of always
    sleeping 5 seconds) during shutdown if there are no processes left
    to wait for.  Modify killall5 to make it report if it found any
    processes to kill to make this possible.
  * Modify mtab.sh to include /dev/.static/dev in /etc/mtab, to avoid
    message from umountfs during shutdown about it being missing in mtab.
  * Now that mtab is properly updated by mtab.sh before mountall.sh,
    there is no need to have special handling of proc file systems.
    Remove the code from mountall.sh. (Closes: #359651)
  * Only kill processes using remote file systems before trying to
    umount them, if fuser from the psmisc package is available, and
    move sendsigs to a point between where remote and local file systems
    are umounted.  Recommend psmisc for package initscripts.
    (Closes: #258420, #367944)
  * Add conditional dependency on glibc for hostname.sh and
    mountkernfs.sh, to allow the glibc warnings to show up without
    anything running in parallel.
  * Change default PATH in initscripts and init to prefer sbin/ over
    bin/, to avoid picking user visible replacement for system
    binaries.  This avoids shutdown problems on some
    machines. (Closes: #354163)
  * Fix typo in init.d/README. (Closes: #387236)
  * Add /usr/bin/ to the checkroot and checkfs PATH, to make sure
    on_ac_power is used if it is available. (Closes: #387308)
  * Modify mtab.sh to insert the device name used when mounting
    /dev/shm/ in /etc/mtab.  (Closes: #387216)

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 14 Sep 2006 15:09:33 +0200

sysvinit (2.86.ds1-20) unstable; urgency=low

  * Change initscripts postinst to use update-rc.d program instead of
    its shell script function when insserv is installed.
  * Change updatercd call order in initscripts postinst to make sure
    they are called in dependency order, to work better with insserv.
  * Improve update-rc.d-recover script to look in /var/log/dpkg.log
    for version 2.86.ds1-17 as well as 2.86.ds1-16.  Patch from Stefan
    Bellon.
  * LSB header updates:
    - sendsigs should stop before umountnfs, and umountnfs should stop
      before umountfs, until we have a solution for bug #258420 and
      #367944.
    - mountnfs.sh should list $network as an optional dependency like
      for umountnfs, to work on machines without network.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 10 Sep 2006 17:45:19 +0200

sysvinit (2.86.ds1-19) unstable; urgency=low

  * Add new NEWS entry with a better shell fragment for recovering
    from the update-rc.d problem.  Add script
    /usr/share/doc/sysv-rc/update-rc.d-recover to make it easier for
    people to recover from problems introduced in versions 2.86.ds1-16
    and 2.86.ds1-17.(Closes: #386649)
  * Rewrite checkroot.sh to not use lazy umount and a private tmpfs,
    and keep the tmpfs mounted on /tmp/ as long as checkroot.sh need
    it.  It seem that fsck did not like relative device paths.
    (Closes: #386347, #386699)
  * LSB header updates:
    - umountfs should execute before umountroot, not before halt or
      reboot.
    - umountroot should stop in runlevel 0 and 6, and execute before
      halt or reboot.

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  9 Sep 2006 20:12:47 +0200

sysvinit (2.86.ds1-18) unstable; urgency=low

  * Make sure running update-rc.d several times do not remove the
    rc*.d/ symlinks, fixing bug introduced in 2.86.ds1-16.  Patch from
    Arjan Oosting. (Closes: #386500) Added entry in NEWS file to give
    clues on how to fix the breakage in upgraded packages introduced
    by this.  Print a warning when upgrading from the broken versions.
  * Change checkroot.sh to use a private tmpfs file system for its
    device file if it is missing from /dev/. (Closes: #386347)
  * Also create possibly non-existant parent directory of lock directory
    /var/run/network/mountnfs in ifup script.  Patch from Arjan
    Oosting. (Closes: #386449).
  * Mark /etc/init.d/rc.local as a conffile, to make sure we do not
    replace an exisitng rc.local file without warning the system
    admin. (Closes: #386418)
  * Mount /dev/pts/ with noexec,nosuid, as it is only used for device files.
  * Change sysv-rc to print a message when enabling concurrent boot,
    specifying the concurrency style.  Recommend lsb-base and use it
    if available.
  * Teach init.d/stop-bootlogd-single to accept the kernel arguments
    'S' and '1' as well as 'single' as single-user mode triggers.
    (Closes: #367465, #372669)
  * Only report umounting of remote file systems when there are remote
    file systems to umount.
  * Remove 'S' from default-stop in skeleton.  It never make sense to add
    stop links in rcS.d/.
  * Remove execute bit from /etc/init.d/skeleton. (Closes: #372666)
  * LSB header updates:
    - stop-bootlogd should run after rmnologin.
    - mountdevsub.sh should start after udev, if it exist.
    - rc.local should not depend on $all to allow it to start earler
      in the boot.
    - stop-bootlogd-single should depend on $all, to get it last in
      the rcS.d/ sequence.
    - umountnfs.sh should stop in runlevel 0 and 6, and execute before
      umountnfs, sendsigs, portman and $network.
    - sendsigs should stop in runlevel 0 and 6, and execute before
      umountfs.
    - umountfs should stop in runlevel 0 and 6, and execute before halt
      or reboot, if it exist.
    - halt should stop in runlevel 0, and not run before any other script.
    - reboot should stop in runlevel 6, and not run before any other script.

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  8 Sep 2006 19:07:43 +0200

sysvinit (2.86.ds1-17) unstable; urgency=low

  * Make some log messages more usplash friendly in the VERBOSE=yes case.
  * Undo fix for #309813, it was correct before.

 -- Petter Reinholdtsen <pere@debian.org>  Wed,  6 Sep 2006 20:20:06 +0200

sysvinit (2.86.ds1-16) unstable; urgency=low

  * Fix emergency mode's tty, making sure ^C and ^Z work when booting
    with 'emergency' kernel option.  Patch from Samuel
    Thibault. (Closes: #374543)
  * Rewrite usplash reactivation code in init.d/sendsigs to match the
    code in Ubuntu.  It need to behave the same way as the usplash
    startup code, and should not match the code deciding if
    usplash_write should be used.
  * Change handling of CONCURRENCY in init.d/rc, to make sure an
    unrecognized value is treated as 'none'. (Closes: #380602)
  * Make sure SATA disks are powered down as well as IDE disks.  Patch
    from Sebastian Reichelt.  (Closes: #348172)
  * Mount /dev/shm, /sys, /proc and /proc/bus/usb using
    noexec,nodev,nosuid to make it harder to misuse.
    (Closes: #378182, #378280)
  * Move NFS mounting to an if-up.d script, to make sure we try to
    mount NFS file systems after the network is available.  Based on
    patch from Ubuntu.  Modified to rewrite mountnfs.sh instead of
    renaming it to waitnfs.sh.  (Closes: #360123)
  * Add rc.local support to be more compatible with non-Debian
    distributions.  Patch from Fabio M. Di Nitto via Ubuntu.  Modified to
    not print messages when VERBOSE=no.
  * Drop and remove /etc/init.d/mountvirtfs.  It is obsolete.
  * Do not try to mount netdev file systems in mountall.sh.
    (Closes: #383073, #386063)
  * Mount netdev file systems when the network is up. (Closes: #383123)
  * Umount netdev file systems in umountnfs.sh. (Closes: #383124)
  * Remove obsolete code in init.d/rc to execute /sbin/unconfigured.sh
    and /sbin/setup.sh.  It was only to be used during installation,
    and the installer no longer need it.  Add a init.d script if you
    need the functionallity.
  * Change LSB dependency info for mtab.sh.  It need a writable root
    file system to update /etc/mtab, and should thus depend on
    checkroot, not mountall.
  * Move mtab to rcS.d/S12mtab.sh, to make sure it is the first script
    to run after checkroot.sh.
  * Change init.d/mtab.sh to be more self-contained, and update
    /etc/mtab with info on all file systems mounted before /etc/mtab
    was writable by processing /proc/mounts.  Based on patch from
    Scott James Remnant and Ubuntu.
  * Add empty functions pre_mountall and post_mountall to reduce the
    difference between the Ubuntu version
  * Modify update-rc.d to run properly with perl error checking enabled.
  * Add support for parsing LSB headers in update-rc.d, and use the
    runlevel information in the default-start and default-stop headers
    if they are present.  Document this in update-rc.d(8).  This can
    be used instead of the 'multiuser' extention in Ubuntu, by setting
    the 'default-stop' value to '1' in the init.d script.
    Only enable this feature when /etc/update-rc.d-lsbparse exist
    while we verify that LSB headers are correct.
  * Change the default VERBOSE value from yes to no.
  * Move init.d/hostname.sh to the very top of the boot sequence,
    as it only require a readable /etc/hostname and a working kernel.
  * Use the stop scripts from the runlevel we are leaving, not the one
    we are entering, when switching between runlevels. (Closes: #309813)

 -- Petter Reinholdtsen <pere@debian.org>  Wed,  6 Sep 2006 15:29:01 +0200

sysvinit (2.86.ds1-15) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Modify LSB header for init.d/rmnologin, to make sure it is
    executed with the 'stop' argument for runlevel 0 and 6, and make
    it depend on '$all' to put it last in the startup sequence.
  * Update the LSB descripton header for init.d/hostname.sh.
  * Make sure hostname.sh return error code when it fail. (Closes: #365062)
  * Fix 'startpar' concurrency option to only run start and stop
    scripts only once.  Patch from Sören Köpping. (Closes: #378092)
  * Fix init.d/rc to make it possible to specify the CONCURRENCY
    setting in /etc/default/rcS.
  * Fix typo in update-rc.d.8 manual page.  Patch from Justin
    Pryzby. (Closes: #374476)
  * Improve text in init.d/README to make it more obvious that the .sh
    scripts should be working also when executed individually.  Patch
    from Bart Martens.  (Closes: #362888)
  * Modify the comment before the conditional calls to on_ac_power, to
    document that checkfs.sh and checkroot.sh are written to work just
    fine also when /usr/bin/on_ac_power is unavailable. (Closes: #367867)
  * Integrate the patches from Ubuntu where I understand why they are
    useful:
    - Change runlevel manpage to be less misleading.
    - Make messages in init.d/sendsigs less technical.  Based on patch
      from Ubuntu.
    - Update progress bar changes in init.d/sendsigs and init.d/rc.
      Based on patch from Ubuntu.  Changed patch to check only once in
      init.d/rc if the progress bar is enabled, and to use the same
      way in sendsigs and rc to decide if it is enabled or not.  It
      will be enabled if /sbin/usplash_write is executable.
    - If /dev/.udev.log exists, move it to /var/log/udev.log.  Patch
      from Scott James Remnant.
    - Do not umount /dev/shm in umountnfs.sh.  It is a tmpfs and can be
      safely left behind when shutting down the system.
  * Update standards version from 3.6.2.1 to 3.7.2.  No changes required.
  * Acknowledge NMU.  Thanks, Steinar H. Gunderson . (Closes: #359176)

  [ Thomas Hood ]
  * Remove myself from uploaders list.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 25 Jul 2006 19:42:27 +0200

sysvinit (2.86.ds1-14.1) unstable; urgency=low

  * Non-maintainer upload.
  * mountnfs.sh: If needed, call nfs-common's init.d script to start
    rpc.gssd or rpc.idmapd as needed. This is needed for Kerberized
    NFS mounts and NFSv4 mounts. (Closes: #359176)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat,  6 May 2006 21:12:39 +0200

sysvinit (2.86.ds1-14) unstable; urgency=low

  [ Thomas Hood ]
  * umountfs: Unmount in order of decreasing mount point length
    without making use of the sort program  (Closes: #356226)
    Thanks to Jiri Polach for assistance
  * Don't Build-Depend on selinux stuff on kfreebsd-amd64
    (Closes: #357245)
  * Make initscripts Conflict with sysvinit (<< 2.86.ds1-12) because
    bootlogd initscript uses an option that was introduced in
    2.86.ds1-12  (Closes: #357667)
  * bootlogd: Mention -p and -c options in usage message
    (Closes: #357667 too)

 -- Thomas Hood <jdthood@yahoo.co.uk>  Thu, 16 Mar 2006 19:45:04 +0100

sysvinit (2.86.ds1-13) unstable; urgency=low

  [ Thomas Hood ]
  * umountfs: Unmount even if sort not available (Addresses #356226)
  * last:  Fix strncmp bug  (Closes: #353585)
  * umountroot: Tweak handling of error messages from mount
    (Closes: #352398)
  * /etc/init.d/skeleton: Source init-functions  (Closes: #353212)
  * initscripts.postrm: Don't remove /etc/init.d/mountdevsubfs
  * mount{all,nfs}.sh: Don't set TMPTIME cuz it's not used here
  * pidof.8: Don't imply that pidof is in /sbin  (Closes: #352741)
  * sysv-rc: /etc/init.d/README: Refer user to /usr/share/doc/sysv-rc/
    (Closes: #353083)
  * Add NEWS.Debian with entry for 2.86.ds1-10 which reports the
    replacement of the bootclean.sh function library by the
    bootclean initscript.  (Closes: #355746)

  [ Petter Reinholdtsen ]
  * Silence init.d/hostname.sh when VERBOSE=no.
  * /etc/init.d/skeleton: Show how to use the VERBOSE variable.

 -- Thomas Hood <jdthood@yahoo.co.uk>  Mon, 13 Feb 2006 08:42:44 +0100

sysvinit (2.86.ds1-12) unstable; urgency=low

  [ Thomas Hood ]
  * Aim for testing:  Closes: #341075
  * Fix dependency on mount for GNU/kFreeBSD  (Closes: #349984)
    This involved updating deps-mount and deps-glibc (Closes: #335297)
  * bootlogd: 51_bootlogd_syncalot: Don't sync after each line unless
    the (new) -s option is given
    (Closes: #205724)
  * bootlogd: 52_bootlogd_createlogfile.dpatch: Don't write to logfile
    if it doesn't exist unless the (new) -c option is given
    (Closes: #341167)
  * bootlogd: 53_bootlogd_ttyB.dpatch: Also try ttyB0
    (Closes: #348506)
  * last: 25_last_sanify: In "last -x" output:
    + On "reboot" line print endpoint of uptime too
    + On "shutdown" line print downtime rather that time between downs
    (Closes: #58119)
  * init: 41_selinux_console.dpatch: print to same console as others do
    (Closes: #349149)
  * bootclean: Don't fail to clean all directories in /tmp
    (Closes: #350218)
  * mountall.sh: Suppress error message about /proc already being mounted
    (Closes: #349275)
  * checkroot.sh: Don't try to enable swap if a swap device is
    /dev/mapper/* or a swapfile  (Closes: #346329, #348534)
  * checkroot.sh: Remove some code specific to pre-2.4-Linux
  * umountfs
    - Don't try to unmount tmpfs on /dev  (Closes: #350998)
    - Improve comment explaining use of sort  (Closes: #351497)
  * several scripts: messages: Tweak; better condition them on $VERBOSE
  * initscripts postinst: Don't run mount{kern,devsub}fs.sh
  * initscripts postinst: Actually remove some things on purge
  * rcS(5): Improve; mention that if UTC=no then admin must ensure
    that zoneinfo is available
  * shutdown(8): Fix typo  (Closes: #350830)
  * Add README.Debian for sysv-rc
  * debian/rules:
    + Handle older dpkg-architecture
    + Tweak Build-Depends on libselinux1-dev (Closes: #340285, #351906)

  [ Robert Millan / TH ]
  * inittab on GNU/kFreeBSD:  (Closes: #351615)
    - Pass "cons25" as parameter to getty (leaving it unspecified
      required hacks in the getty side).
    - "translate" all device names into kfreebsd ones, including those
      in comments.

  [ A Costa / TH ]
  * man pages: 10_doc_manuals.dpatch: Fix a shipload o' typos
    (Closes: #349768, #349769, #349770, #349771, #349772, #349773)

  [ Ruben Porras / TH ]
  * Fix typos in Spanish update-rc.d(8)  (Closes: #349805)

  [ Henrique de Moraes Holschuh ]
  * [S390] inittab: rename inittab.s390-linux to inittab.s390-linux-gnu
    (Closes: #351871)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu,  9 Feb 2006 09:27:51 -0200

sysvinit (2.86.ds1-11) unstable; urgency=low

  [ Thomas Hood ]
  * rcS(5): Improve
  * sulogin(8): Improve; mention -t option  (Closes: #186880)
  * bootlogd(8): Improve; mention need for PTY support
  * initscripts postinst: Update to reflect script name changes
  * initscripts: Harmonize PATH settings
  * checkroot.sh: Don't check for need to start /sbin/update.
    We don't support pre-2.4 kernels any more.
  * checkroot.sh, mountall.sh: Run swapon with -v if VERBOSE!=no
  * Remove obsolete lintian overrides
  * Previous release also
    closes: #258290 "bootlogd: Bad file descriptor"
    closes: #327865 "bootlogd stopped working"
    closes: #328764 "bootlogd fails to start"

  [ Petter Reinholdtsen ]
  * Time to upload all these changes into unstable  (Closes: #341075)
  * Revert default VERBOSE value to "yes" to reduce the amount of
    user visible changes in this upload.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 22 Jan 2006 22:17:38 +0100

sysvinit (2.86.ds1-10) experimental; urgency=low

  [ Thomas Hood ]
  * bootclean: Adapt from old bootclean.sh; handle return status more
    carefully; print diagnostic messages on failures; eliminate use of
    subshells; add comments; improve deletion code
  * bootclean: Always rm /tmp/.X*-lock
  * mountall.sh: Eliminate unnecessary check for pre-2.4 Linux kernel
  * mountnfs.sh, mountall.sh: Choose different names for intnl. functions
  * mountnfs.sh: Only sleep 1 second after starting portmap; note that
    the code to start portmap will disappear someday
  * various scripts: Make more messages depend on VERBOSE being != "no"
  * various scripts: Handle return status more carefully
  * various scripts: Eliminate unnecessary uses of subshell
  * mountvirtfs -> mountkernfs.sh; mountdevsubfs -> mountdevsubfs.sh;
    mountvirtfs now calls the above two (for backward compatibility);
    mtab.sh now runs mountkernfs.sh and mountdevsubfs.sh to update
    the mtab file after mountall.sh.
  * /etc/init.d/rc: Restore PATH after sourcing an initscript
  * debian/rules:
    + Use ':', not the deprecated '.' between owner and group names
      in chown commands
    + Use '-o root' with install
  * /etc/init.d/README: Note that /etc/init.d/*.sh must have '#!/bin/sh'
    and must follow policy 10.4.
  * Override lintian and linda warnings

  [ Ubuntu backports by T.H. ]
  * During shutdown and reboot take the progress bar from 100 to 0
  * Reduce diff with 2.86.ds1-6ubuntu1

  Thanks to Mark Hatle and Marco d'Itri for help with this release.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 15 Jan 2006 13:38:42 +0100

sysvinit (2.86.ds1-9) experimental; urgency=low

  [ Thomas Hood ]
  * Split mountdevsubfs out of mountvirtfs and run it at S04 and S37.
    [Note added in 2.86.ds1-10: these scripts were renamed]
    This should not behave any differently, but the split will allow
    packages that futz with /dev to do this at S03.
  * umountfs: Only run umount if there is something to unmount
    (Closes: #345272)
  * urandom: Set PATH so that find can be found  (Closes: #345273)
  * init: 64_init_set_PATH.dpatch: Set PATH if it's unset on re-exec
    (Closes: #345370)
  * init: 65_init_u_in_06.dpatch: Allow 'telinit u' in runlevels 0, 6
    (Closes: #345719)  People running Debian from unusual media (such
    as filesystems embedded in NTFS files) are wanting to unmount
    /sbin at the last moment and need to re-exec init to do so.
  * umountroot: Remount ro with -f on GNU/kFreeBSD  (Closes: #344547)
  * checkroot.sh, checkfs.sh: Pause for five seconds if sulogin fails
    so that the user can see the error message  (Addresses #337444)
  * Include /var/log/fsck/ in initscripts package  (Closes: #346139)
  * Replace /lib/init/functions.sh with /lib/init/mount-functions.sh
    for use by mountvirtfs and mountdevsubfs
  * various initscripts: Clean up code that reads fstab
  * various scripts: Redirect which program's stderr to /dev/null
    since the GNU version prints an error message when the command is
    not found  (Closes: #345321)
  * /etc/default/rcS: Make VERBOSE and DELAYLOGIN default to "no"
  * /etc/default/rcS: Remove descriptions of variables; leave behind
    a reference to rcS(5).  This eliminates the problem of comments
    becoming outdated without our being able to update them.
  * Remove obsolete docs
  * Make initscripts Depend on mount >= 2.11x-1  (Closes: #345968)
  * Remove obsolete dependencies on bsdutils, coreutils, dpkg, kbd and
    util-linux: the versions in question are older than oldstable, so
    any newly installed system and any system that has upgraded to
    sarge (or even woody) satisfies the constraints.
  * Remove obsolete dependency on the last package: last was forced off
    systems when they upgraded to buzz
  * Add Replaces to Conflicts: mdutils which no longer exists even in
    oldstable
  * initscripts postinst: Remove obsolete GMT-to-UTC code: this
    conversion was performed when systems were upgraded to potato
  * sysvinit: Depend on libc6 rather than Pre-Depending on it; we don't
    do anything special in the preinsts any more
  * Correct documentation of init's -e and -t options
  * Tweak descriptions
  * Add READMEs for remaining runlevel dirs  (Closes: #242957)
  * Previous release also
    closes: #227540 "skeleton: Don't include /usr/local/* in PATH"
    closes: #346415 "mountnfs.sh doesn't work with the "bg" mount option"

  [ Petter Reinholdtsen ]
  * sysv-rc: Fix some typos in the startpar handling.  (Closes: #345269)
  * Add code to detect and report bad 'exit' calls in init.d scripts,
    if they kill /etc/init.d/rc.
  * Make sure sourcing work with dash /bin/sh, by using 'set $action'
    to pass arguments to the script. (Closes: #345267)

  Thanks to Mark Hatle for help with this release.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  8 Jan 2006 18:08:51 +0100

sysvinit (2.86.ds1-8) experimental; urgency=low

  [ Thomas Hood ]
  * Omit /run until we are sure it's needed  (Closes: #344001)
  * Previous release also
    closes: #338736 "mountvirtfs: Succeeds in various cases it should fail"
    closes: #342160 "checkroot.sh ignores fsck result"
    closes: #342744 "checkroot.sh sources mountvirtfs, yet supplies arguments"
  * Use /proc/mounts instead of /etc/mtab when unmounting  (Closes: #338801)
  * Check for files under mountpoints more thoroughly
  * initscripts.postinst:
    + Don't fail to install on file-rc systems  (Closes: #343993)
    + Don't fail to install in chroots  (Closes: #344089)
  * No longer keep the dynamic nologin flag file on the root filesystem;
    instead, keep it at /var/lib/initscripts/nologin.  Note to admins:
    initscripts's postinst symlinks /etc/nologin to the latter location.
    To switch login delaying on or off permanently, set DELAYLOGIN=no in
    /etc/default/rcS and either create or delete (respectively)
    /var/lib/initscripts/nologin.
  * mountvirtfs: Mount /dev/shm earlier; move long comment to README.Debian
  * Add 45_pidof_symlink.dpatch: Make pidof an absolute symlink
    (Closes: #343862)
  * debian/rules, 30_strip.dpatch: Strip .comment section from executables
    (Closes: #343863)
  * In umountfs, run umount with -f  (Closes: #344547)

  [ Petter Reinholdtsen ]
  * Enable the startpar option as it should work now that .sh scripts
    are serialized.  The clock should no longer jump while startpar
    is used.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 27 Dec 2005 14:18:19 +0100

sysvinit (2.86.ds1-7) experimental; urgency=low

  [ Petter Reinholdtsen ]
  * Add commented-out code to /etc/init.d/rc for sourcing
    *.sh scripts for runlevel 'S'.  This is preparation for fixing
    #339955.  Actually fixing it has to wait until other packages
    remove "exit" from their .sh scripts.
  * Implement progress bar support for splash screen.  Enabled when
    usplash_write is in PATH.  Patch from Scott James Remnant and Ubuntu.

  [ Thomas Hood ]
  * *.sh: Make sure that these do their thing when they aren't given any
    command line arguments (as is the case when they are sourced)
  * initscripts: Improve use of log_* functions
    (Closes: #55143, #116366, #323749)
  * bootclean.sh: Do not delete symlinks-to-directories from /var/run/
    (Closes: #272066)
  * checkroot.sh: Fix double printing of 'Done checking root file system';
    mountall.sh: Fix chopped-up printing of mount information
    (Closes: #339979, #331397, #341097 and presumably closes: #332309)
  * checkroot.sh, checkfs.sh: Save fsck logs  (Closes: #189356)
    Thanks to Theodore Y. Ts'o.
  * checkroot.sh, mountvirtfs: Eliminate use of dir_writable in order to
    try to please selinux  (Closes: #333836)
  * checkroot.sh: Only run findfs for mount on /  (Closes: #275680)
    Thanks to Cameron Hutchison for the patch.
  * mountall.sh, mountnfs.sh: Split call to bootclean out into separate
    script called at the next sequence number  (Closes: #286479)
  * bootmisc.sh: Shorten motd header  (Closes: #340017)
  * bootmisc.sh: Store dynamic motd in /var/run/ and make /etc/motd a
    symbolic link.  The EDITMOTD variable no longer has any effect; to
    disable updating of the motd just point the /etc/motd symlink to a
    static file such as /etc/motd.static.
  * bootmisc.sh: Rotate dmesg log with savelog (Closes: #237074)
    and chgrp adm.
  * umountroot: Change mount command in order to exclude bind mounts of
    the root directory  (Closes: #339023)
  * Replace /etc/rc1.d/20single by /etc/rc1.d/S30killprocs and
    /etc/rc1.d/S99single so that packages can insert scripts to do
    things between the "killall5" in the former and the "exec init -t1 S"
    in the latter.  This may help to address #145280.
  * umountfs: Unmount tmpfs before swapoff and other fs's afterwards
    (Closes: #328582, hopefully without reopening #84782)
  * Make stop-bootlogd a distinct script rather than a symlink to bootlogd.
    Give it its own LSB header.
  * Add stop-bootlogd-single initscript to stop bootlogd in "single" mode
    (Closes: #213028, #220025)
  * checkfs.sh: Implement FSCKTYPES  (Closes: #89481)  Set, e.g.,
    FSCKTYPES="ext2,msdos" to fsck only file system types ext2 and msdos
    See fsck(8) for syntax.  FSCKTYPES="none" disables fsck of file
    systems (other than the root filesystem) altogether.
  * all initscripts: Set variables using common script
  * all initscripts: Fix usage messages
  * all initscripts: Allow VERBOSE to be set via the INIT_VERBOSE=yes
    kernel argument (Closes: #286082)  Experimental.  The name of the
    kernel argument may change in the future if we decide to implement
    this more generally.
  * Improve skeleton initscript
  * all scripts: Clean up; standardize indentation
  * all scripts: Use the "which" program to test for executability
  * initscripts: Experimentally include /run; include /sys in Linux
    builds
  * mountvirtfs: Mount a tmpfs on /run
  * mountvirtfs: Warn if mount point has stuff under it (Closes: #95390)
  * initscripts postinst: Mount virtual filesystems
  * initscripts preinst: Remove ancient /etc/init.d/boot conversion code
    (Closes: #343596)
  * default config files: Clean up comments
  * Make initscripts Depend on debianutils >= 2.13.1 in order to prevent
    #295850.  Note that debianutils also has to be >= 2.12.0 so that the
    "which" program is available in /bin.
  * Remove currently unneeded sysvinit Dependency on coreutils
    (Closes: #316423)
  * pidof: If the program is specified with a path, don't match processes
    of programs run from different paths  (Closes: #160329)
  * init: 40_selinux.dpatch: Remove superfluous printf argument
  * init: Add 63_init_longer_procname.dpatch  (Closes: #336172)
  * init.8: Mention that entering runlevel 1 kills all processes
    (Closes: #238861)
  * update-rc.d.8: Mention that update-rc.d will not create multiple start
    or multiple stop symlinks for a service in a single runlevel directory.
    (Closes: #330155)
  * Update FSF address

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 17 Dec 2005 21:26:03 +0100

sysvinit (2.86.ds1-6) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Updated versioned dependency of sysvinit from sysv-rc version
    2.85-2 to version 2.86.ds1-1.2, to make sure init.d/rcS calls all
    init.d scripts with 'start' argument.  Let initscripts conflict
    with sysv-rc (<< 2.86.ds1-1.2) as well, to document that it need a
    newer sysv-rc to work properly. (Closes: #338966)
  * Added 91_sulogin_lockedpw.dpatch to make sure file systems can be
    fixed on machines with locked root accounts too, by presenting a
    shell in these cases. Patch from Ubuntu and Thom May.
    (Closes: #326678)
  * Make sure checkroot.sh calls mountvirtfs with argument 'start', to
    avoid usage message and making sure it is executed as it
    should. (Closes: #338966, #339351)
  * Print message when hostname is set.  Use default 'localhost' if no
    hostname is set in /etc/hostname, and no current hostname is set.
  * In mountall.sh, add '-e' to swapon call, to ignore missing devices
    when enabling swap.  Because of this, show error messages from
    swapon.
  * Add link to alioth project page in the Debian README.
  * Created new file /lib/init/functions.sh for functions common to
    scripts in initscripts.  Moved dir_writable() into it.
  * Add new function selinux_enabled().  Use it before running
    /sbin/restorecon.

  [ Thomas Hood ]
  * Improve update-rc.d man page text.
  * Use log_action_* functions from recent (>= 3.0-6) lsb-base, to
    improve output formatting.  (Closes: #338967)
  * Clean up initscript messages a bit, making them easier to
    understand for non-technical users.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 19 Nov 2005 15:07:33 +0100

sysvinit (2.86.ds1-5) unstable; urgency=low

  [Petter Reinholdtsen]
  * Make sure init.d/bootmisc.sh depend on hostname, as it uses the
    host name when generating motd.
  * Improve update-rc.d(8) manual page, documenting how to remove
    services and how to make sure services are not started.  Patch
    from Peter Valdemar Mørch.
  * Add sysv-rc-conf(8) to the SEE ALSO section of update-rc.d(8).
  * Add suggest to bum for sysv-rc.  Also added bum(8) to the SEE ALSO
    section of update-rc.d(8). (Closes: #332823)
  * Get update-rc.d to understand symlinks to /etc/init.d/ as well as
    symlinks to ../init.d/. (Closes: #338666)
  * Adjust and clean up init.d dependecy information.
  * Added 90_shutdown_H.dpatch to make sure shutdown flags -P and -H
    require the -h flag, and document this in the manual page.
    (Closes: #331041)
  * Added 71_wall_hostname.dpatch to include hostname in wall message
    from halt.  (Closes: #325772)
  * Add comment in freshly installed /etc/default/rcS mentioning its
    origin. (Closes: #336873)
  * Revert fix for bug #295335, as the manual page patch is reported
    to be incorrect.  Commented out 10_doc_lastb.dpatch from patches/00list.
  * Improve argument handling for init.d scripts.  Based on patch from
    Enrico Zini.
  * On FreeBSD, set TERM=cons25 in init as the kernel isn't setting
    TERM.  Patch from Robert Millan.  (Closes: #335023)

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 13 Nov 2005 12:55:47 +0100

sysvinit (2.86.ds1-4) unstable; urgency=low

  [Petter Reinholdtsen]
  * Add '#! /bin/sh' to the init.d scripts missing those.
  * Improve boot message for init.d/bootlogd.
  * Make sure init.d/checkroot.sh only print status of swap mounting
    when VERBOSE!=no.  Improve boot message for this case.
  * Improve usage message of update-rc.d.  Uncredited patch from Ubuntu.
  * Set pkg-sysvinit-devel@lists.alioth.debian.org as the package
    maintainer, and move Miquel van Smoorenburg into the uploaders list.
  * Get bootlogd working, by fixing the exit code patch.  (Closes: #327865)
  * Get ifdown working on kFreeBSD. (Closes: #327031)
  * Quiet down update-rc.d by removing unnecessary warning.  Patch
    by Thomas Hood. (Closes: #164471)
  * Improve update-rc.d(8) manual page. (Closes: #243154)
  * Fix typo in pidof(8) manual page.
  * Update FSF address in copyright files.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  2 Oct 2005 11:44:07 +0200

sysvinit (2.86.ds1-3) unstable; urgency=low

  * Fixed typo in last(1) manual page.  (Closes: #326408)
  * Documented -e and -t option in telinit.  (Closes: #272657)
  * Rewrote init.d/rc to avoid error from ls when no start or stop
    script is present in one rcX.d directory.
  * Updated the startpar source to version 0.49 from
    <URL:ftp://ftp.suse.com/pub/projects/init/>.  Still hanging the
    boot on my test machine, so it is not included in the binary
    package.  Added 01_enable_startpar.dpatch to document how to
    enable it.
  * Changed section of packages from base to admin, to match override
    file.
  * New lsb-base package avoid error during shutdown. (Closes: #327570)

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 25 Sep 2005 10:40:03 +0200

sysvinit (2.86.ds1-2) unstable; urgency=low

  * This package is now maintained on Alioth as the pkg-sysvinit project.
  * Add myself as uploader.
  * Add support for linprocfs on kFreeBSD. Patch from Robert
    Millan. (Closes: #300963)
  * Rewrote /etc/mtab handling in mountvirtfs to work with SELinux.
    Based on patch from Luke Kenneth Casson Leighton.
    (Closes: #270919)
  * Add SELinux support to sysvinit on linux.  Add build-depend on
    libselinux1-dev and libsepol1-dev for all linux archs.  Patch from
    Manoj Srivastava, based on patch from Fedora.  (Closes: #242900,
    #249515,#315611)
  * Drop redundant build-depend on essensial package bash.
  * Add version 0.47 of startpar(8) program from SuSe.  Part of
    experimental parallel booting system.  Not included by default
    yet, as it tend to hang during boot.
  * Add support for starting init.d scripts on the same level in
    parallel, to speed up the boot process a bit.  Currently, only a
    simple system is implemented (and enabled by adding
    CONCURRENCY=shell in /etc/default/rcS).  This simple system messes
    up the script output during boot.  Disabled by default.  (Closes:
    #316290)
  * Add 'kdm xdm gdm $syslog' as conditional dependencies of
    rmnologin, to move it further back in the boot process.
  * Make sure bootlogd return non-error exit code after forking off
    the child.  (Closes: #326640)
  * Add more warning flags to list of compiler flags, to get more
    info about problematic code.
  * Avoid race-condition while fork()ing.  Patch from SuSe.
    (Closes: #327612)  
  * Improve error message when fork() fail in init.  Patch from SuSe.
  * Avoid hardcoding tty name length in wall, use UT_LINESIZE instead.
    Patch from SuSe.
  * Force kernel to reschedule after killing processes.  Patch from SuSe.
  * Make sure killall never tries to kill init (pid 1).  Patch from SuSe.
  * Acknowledge NMUs.  (Closes: #30659, #85221, #204857, #225476,
    #247102, #248739 #252059, #267935, #269774, #269894, #272588,
    #272916, #273496, #277204, #281782, #284426, #286081, #287243,
    #288098, #289562, #295094, #295335, #296489, #300645, #311741,
    #314351, #316431, #317385, #317704, #318453, #318857, #323749,
    #325933, #326460, #326495, #326647)

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 11 Sep 2005 17:46:54 +0200

sysvinit (2.86.ds1-1.2) unstable; urgency=low

  * Non-maintainer upload to fix bugs.
  * Moved all changes to upstream source to debian/patches/, and use
    dpatch to apply them.
  * Modified pidof to not print empty line if no pid was found.
    (Closes: #225476)
  * Merged rcS into rc. (Closes: #326460)
  * Convert french version of update-rc.d(8) from UTF-8 to
    ISO-8859-1. (Closes: #273496)
  * Make sure binaries are stripped when installed, to avoid lintian
    warning.
  * Fix typo in debian/README (seperate->separate).
  * Modify debian/rules to install Debian changelog for sysv-rc and
    initscripts as changelog.Debian to keep lintian happy.
  * Corrected section of mountpoint(1) manual page.
  * Improve lastb(1) manual page. (Closes: #295335)
  * Changed init.d/rc to short-circit stop scripts when switching
    runlevels.  Based on patches from Lukas Eppler and Steven
    Barker. (Closes: #30659)
  * Optimize boot speed by enabling the short-circit of start-scripts
    when switcing from rcS.d to the real runlevel.
  * Splitted umountfs in umountfs and umountroot. (Closes: #252059)
  * Avoid umounting /dev/ in umountfs. (Closes: #287243)
  * Made sure all init.d scripts handle start or stop
    argument. (Closes: #326495)
  * Added GFS file system to list of networked file systems.
    (Closes: #295094)
  * Added ocfs2 file system in to list of networked file systems.  Patch
    from Fabio M. Di Nitto and Ubuntu.
  * Added trailing newline to the rebooting message, to make sure
    kernel messages end up on lines of their own during
    reboot. (Closes: #323749)
  * Added init.d script dependency info in LSB format. (Closes: #325933)
  * Do not fsck when running on battery.  Patch from Thom May and
    Ubuntu. (Closes: #326647)
  * Updated initscripts to depend on lsb-base, and use the LSB
    functions in all init.d scripts.  Patch from Ubuntu. (Closes: #269774)
  * Added some support for VERBOSE in checkfs.sh.
  * Make sure urandom pool size is restored on boot. (Closes: #267935)
  * Make it easier to override /etc/defaults/rcS parameters. (Closes: #286081)
  * Accept 96 (32/mount failure + 64/some mount succeeded) as a valid
    exit code from mount in mountall.sh.  It seem to be returned when
    some mount points already was mounted.
  * Updated Standards-Version to 3.6.2.1 (no changes needed).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 10 Sep 2005 12:50:10 +0200

sysvinit (2.86.ds1-1.1) unstable; urgency=low

  * Non-maintainer upload (bug cleanup)
  * Fix stupid find warning by ordering the arguments correctly in
    /etc/init.d/bootclean.sh (closes: #284426, #316431)
  * Have cleantmp() in bootclean set TMPTIME to 0 if undefined to prevent
    from breaking if the variable is not defined properly. (Closes: #314351)
  * Introduce a better warning message in checkroot.sh when it fails
    to fsck the root filesystem (Closes: #272916)
  * Added a comment in /etc/init.d/skeleton regarding the use of 'sleep 1'
    and describing possible changes maintainers might need to introduce
    (Closes: #277204)
  * Remove .clean files if not owned by root in bootclean.sh to prevent users
    from tricking us to _not_ clean up some directories (Closes: #289562)
  * Do not remove nologin twice (i.e. in checkroot.sh and in rmnologin)
    (Closes: #317704)
  * Check if there is a portmapper running before starting it up in 
    mountnfs.sh, also, use the portmap init.d script instead of running it
    through start-stop-daemon if it is available (Closes: #85221)
  * Do not install manpages with the execute permission bit (Closes: #281782)
  * Clarify semantics of TMPFS_SIZE in /etc/default/tmpfs (Closes: #317385)
  * Add feedback to user based on start-stop-daemon exit code
    in the skeleton init script (Closes: #296489)
  * Document the fact that shutdown touches /etc/nologin only 5 minutes
    before shutting down the system (Closes: #204857)
  * Add '-f' option to last manpage (Closes: #247102)
  * Fix man page and help screen of update-rc.d (Closes: #268713, #288098)
  * Changed 'editted' to 'regenerated' in /etc/default/rcS (Closes: #269894)
  * Fix formatting issue in mesg(1) (Closes: #272588)
  * Fix typo in bootlogd(8) manpage (Closes: #300645)
  * Document exit status of pidof(1) (Closes: #311741)
  * Point to proper chapter in init.d/README (Closes: #318453)
  * Describe the proper behaviour in rcS's README (Closes: #318857)
  * Added watch file provided by Stefano Fabri (Closes: #248739)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 10 Aug 2005 18:58:47 +0200

sysvinit (2.86.ds1-1) unstable; urgency=low

  * New upload with a clean .orig.tar.gz archive without the .o files.
    No other changes from 2.86-5.  Used the .ds naming convention
    that is suggested for packages which need to have their
    docs removed (thanks, Marc Haber)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 10 Dec 2004 00:04:18 +0100

sysvinit (2.86-5) unstable; urgency=high

  * Remove leftover debugging "echo" that prevented
    /etc/init.d/mountnfs.sh from actually doing anything (closes: #270894)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 10 Sep 2004 16:57:34 +0200

sysvinit (2.86-4) unstable; urgency=high

  * Same upload, this time built without -sa so that original source
    isn't included (archive rejects it).

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed,  8 Sep 2004 11:59:08 +0200

sysvinit (2.86-3) unstable; urgency=high

  * Upload of -3 to unstable so that -2 can go into testing-proposed-updates

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  6 Sep 2004 20:07:38 +0200

sysvinit (2.86-2) testing-proposed-updates; urgency=high

  * Remove .clean file before touching it; prevents symlink attack
    which in rare circumstances could result in random file creation
    (closes: #264234)
  * Do the above in a noclobber environment (Martin Pitt).
  * Don't mount network filesystems multiple times (closes: #264894)
  * Include .orig.tar.gz source in -2 again ("dpkg-buildpackage -sa") -
    the one that comes with -1 erronously includes .o files and
    binaries (oops!).

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  6 Sep 2004 19:02:19 +0200

sysvinit (2.86-1) unstable; urgency=medium

  * Better algorithm for pidof (closes: #248210)
  * Include fsck.nfs.8 (closes: #250089)
  * Include new skeleton script (closes: #244908)
  * Better error message on failure to find path to mtab (closes: #255820)
  * Add support for fstype ncp (alias for ncpfs) (closes: #259971)
  * Touch /tmp/.clean earlier (closes: #255303)
  * Don't include halt and reboot for hurd-i386 (closes: #255880)
  * Remove XSIisms in mountvirtfs and invoke-rc.d (closes: #256726)
  * Add "-t $roottype" to mount -f for / (closes: #255849)
  * Always initialize PATH (to /bin:/usr/bin:/sbin:/usr/sbin) (closes: #258065)
  * Try harder to remount ro and rw (closes: #259979)
  * Add support for LABEL=/UUID= in checkroot.sh (closes: #261342)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 30 Jul 2004 14:17:05 +0200

sysvinit (2.85-22) unstable; urgency=medium

  * Fix typo in /etc/init.d/halt (closes: #255133)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sat, 19 Jun 2004 12:40:12 +0200

sysvinit (2.85-21) unstable; urgency=medium

  * Create dependencies on glibc (>= 2.3.2.ds1-12) not through the
    shlibs.local hack anymore. That might clash with a future system
    shlibs file. Use the same method as we use to generate the
    mount dependency - with a script (closes: #253314).
  * In checkroot.sh always use the two-argument version of mount
    so that mount doesn't confuse device and directory (closes: #254724)
  * Change [ cond1 -a cond2 ] to [ cond1 ] && [ cond2 ] everywhere.
  * Fix mountvirtfs, it broke for virtual filesystems mentioned in
    fstab without any options (closes: #254271)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 18 Jun 2004 13:43:55 +0200

sysvinit (2.85-20) unstable; urgency=low

  * Create /dev/pts in mountvirtfs for Linux + devfs (closes: #252625)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  7 Jun 2004 13:45:12 +0200

sysvinit (2.85-19) unstable; urgency=low

  * Create /dev/{pts,shm} and /sys in postinst (closes: #252820, #252925)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  7 Jun 2004 13:30:31 +0200

sysvinit (2.85-18) unstable; urgency=medium

  * Fix typo in /etc/init.d/single (closes: #252611)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri,  4 Jun 2004 14:38:55 +0200

sysvinit (2.85-17) unstable; urgency=low

  * On Debian/k*BSD, dmesg is in /sbin (closes: #252518)
  * On Debian/k*BSD, RB_HALT_SYSTEM is called RB_HALT
  * RB_POWEROFF can be RB_POWER_OFF (closes: #252547, #252598)
  * Add /sys, /dev/pts and /dev/shm to sysvinit. Remove the
    mkdir's for those directories from mountvirtfs.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri,  4 Jun 2004 11:51:46 +0200

sysvinit (2.85-16) unstable; urgency=high

  * Remove /etc/init.d/{mountkernfs,devpts.sh) that glibc installed
    since mountvirtfs now provides these. (closes: #230857)
  * Remove -e from mountvirtfs (closes: #232122)
  * Add some more comments/documentation to mountvirtfs
  * Initscripts depends on libc6 anyway right now, so we let it
    depend on libc6 (>= 2.3.2.ds1-12) via shlibs.local
  * Suggest sysv-rc-conf (closes: #244643)
  * Updated french manpage for update-rc.d (closes: #245007)
  * Use larger dmesg buffer (-s option) (closes: #242923)
  * Fix up comments in /etc/default/tmpfs (closes: #245681)
  * Added GNU/Hurd and kFreeBSD fixes (closes: #246743)
  * Run mountvirtfs again at S36 so that it mounts /proc/bus/usb in
    case usb was loaded as a module (closes: #249031)
  * Don't mkdir /dev/pts if it's not there - and don't mount devpts
    filesystem on it either in that case. Should help udev.
  * mountvirtfs now uses the options from /etc/fstab (closes: #251016)
  * add filesystem type "cifs" as network fs (closes: #248919)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu,  3 Jun 2004 20:03:33 +0200

sysvinit (2.85-15) unstable; urgency=high

  * Drop bogus dependency on fileutils (closes: #241570)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  5 Apr 2004 17:07:24 +0200

sysvinit (2.85-14) unstable; urgency=high

  * When remounting "/", just use "mount -n -o remount,rw /" and don't
    bother with the device or other arguments - "mount" will look up the
    root device in /etc/fstab, but the device argument to the mount
    system call is ignored by the kernel for remount anyway. So this
    doesn't hurt even if the device is incorrect, and it fixes a
    platform dependant case where "mount -n -o remount,rw <whatever> /"
    fails with "mount: you must specify the filesystem type". That
    is a bug in mount(8): if you don't specify the type, it passes
    garbage to the kernel, and some archs choke on that.
    (closes: #239735)
  * change checkroot.sh so that it never checks the root filesystem
    if root is on NFS even if fs_passno is set (closes: #240470)
  * Reckognize type "nfs4" as network filesystem
  * Better check for file-rc in postinst of initscripts (closes: #240066)
  * Use /proc/sys/kernel/random/poolsize in urandom script (closes: #240057)
  * Applied Debian/KFreeBSD patches. Moved initctl to /etc/.initctl
    for the FreeBSD kernels. (closes: #226939)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 31 Mar 2004 13:10:48 +0200

sysvinit (2.85-13) unstable; urgency=low

  * Add /etc/default/halt (closes: #196983)
  * Set default variables used in every /etc/init.d script explicitly
    and only source /etc/default/rcS if it is present (closes: #239439)
  * Fix MOTD typo in bootmisc.sh (closes: #239279)
  * Include lastb (closes: #239586)
  * Remove /lib/init/realpath (closes: #239343)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 23 Mar 2004 16:55:38 +0100

sysvinit (2.85-12) unstable; urgency=low

  * Support for root on devices with a dynamic major, such as
    LVM and partitionable RAID. If the root device in /etc/fstab doesn't
    match up with the actual root device, we try to create a temporary
    device node in /dev/shm/root so fsck and remount rw can be done.
  * Use lstat() instead of stat() in the mountpoint(8) utility.
  * Fix checkroot devfs behaviour.
  * Hmm, /usr/bin/test -w works to check if a filesystem is readonly,
    but bash's built-in doesn't. Work-around with touch -a.
  * /lib/init/readlink was completely broken, argh. Fixed borkenness.
    Also changed behaviour so that readlink -ff is equivalent to realpath,
    and -f doesn't insist on the path being a symlink. (closes: #238611)
  * Removed one more init_setenv debug message from init.c
  * Move mountpoint and readlink to initscripts, so that initscripts
    doesn't have to depend on a specific version of sysvinit anymore
    (closes: #239059)
  * Make initscripts non-essential (needed for Hurd) (closes: #219969).
  * Remove period from short description (closes: #239098)
  * Improved handling of /etc/nologin symlink  (closes: #184402)
  * Make sure 'skeleton restart' restart the service even if it is not
    running in accordance to policy 3.5.9.0 (closes: #184342)
  * Change -name x into -path ./x in bootclean.sh (closes: #193627)
  * Remove /usr/local from bootlogd path, move /sbin:/bin to the
    front of the PATH. /usr/bin:/usr/sbin is kept around because the
    stop action needs it for savelog. (closes: #230763)
  * Remove x bit from bootclean.sh (closes: #230762)
  * Consolidate variables in skeleton (closes: #122486)
  * Move set -e up in skeleton (closes: #148847)
  * Include spanish manpage for update-rc.d (closes: #209199)
  * In /etc/init.d/README change http: URL to file: URL (closes: #151761)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sun, 21 Mar 2004 13:10:09 +0100

sysvinit (2.85-11) unstable; urgency=high

  * Move runlevel back to /sbin (closes: #238261)
  * Move killall5 back to /sbin (closes: #238416)
  * More finetuning of the included readlink program. It now has a much
    more correct version of realpath() than glibc (famous last words).

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 17 Mar 2004 00:29:53 +0100

sysvinit (2.85-10) unstable; urgency=low

  * Provide mountvirtfs. It mounts /proc,/sys, etc at early boot.
    Libc6 does this too with a script called mountkernfs which is called
    later, but that shouldn't matter. Libc6 must remove it later on.
    Perhaps we should remove the symlink - I'm not sure.
  * Add /etc/default/{devpts,tmpfs} to initscripts. Add Replaces: libc6,
    libc6.1 to control for initscripts.
  * Add /lib/init/readlink which we can use until the standard
    readlink has the features we need.
  * Fix maxproclen issue (closes: #236138)
  * Remove INIT_HALT debug message (closes: #230743)
  * When cleaning /tmp, don't look at directory atime for aging info
    (closes: #236709,#205486,#221622)
  * bootclean.sh: only run if find and xargs are available (closes: #232635)
  * Depend on mount (>= 2.11l-1) for the -l option (closes: #217702)
  * Mount non-/ proc filesystems in mountall.sh. This will not work
    if you want to mount /foo/bar/proc if /foo/bar is an NFS filesystem,
    but this will do for now (closes: #234152)
  * Add coda to list of networked filesystems in mountall.sh/mountnfs.sh

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 16 Mar 2004 01:04:06 +0100

sysvinit (2.85-9) unstable; urgency=low

  * Fix typo in /etc/init.d/halt (closes: #224626)
  * Fix /etc/mtab-is-a-symlink corner cases (closes: #204619)
  * Fix /etc/init.d/mountall.sh to only mount local fses (closes: #224720)
  * Replace reference to dpkg programmer's manual in update-rc.d.8
    with reference to Debian Policy (closes: #223658)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 23 Dec 2003 12:16:14 +0100

sysvinit (2.85-8) unstable; urgency=low

  * Clean /tmp, /var/run and /var/lock directly after mounting all
    local filesystems and once more after mounting network filesystems,
    but not more than once per directory (closes: #208226,#223495)
  * Do not run bootlogd by default - it's a bit to experimental for
    the "stable" release. Can be turned on manually (closes: #217582)
  * Fix /etc/init.d/bootlogd (closes: #208578)
  * Rework umountnfs.sh/umountfs (closes: #204425, #206111, #20863, #203050)
  * Depend on mount >= 2.11l (closes: #217702)
  * Don't use umount -l on 2.4 kernels < 2.4.11 (closes: #217701)
  * /var/log/boot mode 640, group adm (closes: #204400)
  * Deal correctly with /etc/mtab being a symlink (closes: #204619)
  * Set TMPTIME to "infinite" to not clean /tmp (closes: #205894)
  * Mount all proc filesystems (closes: #206979)
  * Fix typo in invoke-rc.d manpage (closes: #196135)
  * Set correct permissions on /etc/{rcS.d,init.d}/README (closes: #201467)
  * Update /etc/init.d/README (refer to correct paragraph) (closes: #206411)
  * bootlogd: handle comma's in console= (closes: #213749)
  * Remove trailing space from 'echo -n "something ... "' (closes: #219202)
  * Include documentation on invoke-rc.d and policy-rc.d (closes: #219245)
  * Remove empty /usr/include from sysv-rc (closes: #222538)
  * Let sysvinit Pre-Depend on file-rc | sysv-rc (closes: #221808)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 18 Dec 2003 23:11:20 +0100

sysvinit (2.85-7) unstable; urgency=low

  * Fix devfs mtab fixup in checkroot.sh (closes: #202421)
  * pidof symlink should be in /bin (closes: #202611)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 23 Jul 2003 19:11:59 +0200

sysvinit (2.85-6) unstable; urgency=high

  * When bootlogd gets an error writing to the real console, try
    to re-open. If that fails, roll over and die (closes: #202382)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 22 Jul 2003 12:43:07 +0200

sysvinit (2.85-5) unstable; urgency=low

  * Allow "init u" to fail in postinst without bailing out with an error
    (closes: #197991, #198216, #198309, #198937)
  * Revert changes to bootmisc wrt /etc/nologin, leave out the
    /etc/nologin.boot stuff (which never worked anyway), /etc/nologin
    is now always cleaned out on boot.
    (closes: #198444, #184402, #199943, #199401)
  * Block signals in syslog(), since syslog() is not re-entrant
    (James Olin Oden <joden@malachi.lee.k12.nc.us>, redhat bug #97534)
  * Remove rc.boot manpage completely instead of installing it first
    and then removing it in sysv-rc's postinst
  * When unmounting all filesystems, do not unmount /proc, /dev and /sys
    (closes: #198970, #184594, #173878, #200147, #198793)
  * Umount network filesystems lazily (-l) (closes: #164503)
  * Clarify initscript manpage (closes: #174058)
  * Use /proc as reference to see if files in /var/lock and /var/run
    are stale (closes: #198792). I should look at #120545 to
    actually fix this right, I guess.
  * Include bootlogd (closes: #151880, #15447, #132662)
  * Move update-rc.d for initscripts to the initscrips packages' postinst
    instead of doing it in the postinst of sysv-rc

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon, 21 Jul 2003 12:48:11 +0200

sysvinit (2.85-4) unstable; urgency=medium

  * Move default.rcS to /usr/share/initscripts, fix postinst (closes: #190921)
  * Only clean /tmp if it is mode 777 (really in -3) (closes: #139870)
  * Move initscripts and sysv-rc to binary-indep target (closes: #190801)
  * Save fsck exit code in variable (closes: #189917,#194827,#197483)
  * If /etc/motd is a symlink, follow it when
    editting /etc/motd (closes: #150355)
  * If /etc/nologin is a symlink, remove the destination file after
    bootup instead of the link itself (closes: 191041)
  * Don't remove /etc/mtab~ if /etc/mtab is a symbolic link
  * Only start 'update' when running kernels < 2.4
  * Mount /proc before mounting other filesystems, umount all proc
    filesystems at shutdown except /proc (closes: #140591,#197317)
  * Add 'set -e' to postinst (closes: #148465)
  * Don't umount devfs at shutdown time (closes: #156490)
  * When cleaning /tmp, first remove old files then remove old
    empty directories (closes: #193623)
  * Don't remove /tmp/...security* (closes: #195760)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 18 Jun 2003 16:08:09 +0200

sysvinit (2.85-3) unstable; urgency=high

  * Move sample inittab files to /usr/share/sysvinit (closes: #189761)
  * Make sysv-rc point update-rc.d and invoke-rc.d to the dummy
    /usr/share/sysvinit/update-rc.d script in the postrm script, so
    that dpkg remains happy when installing file-rc or another package
    to replace sysv-rc.
  * Minor adjustements so that sysvinit compiles on the Hurd (closes: #43575)
  * For now set Architecture: all on sysv-rc and initscripts
    (closes: #190179, #190182)
  * Add upstream source to copyright file (closes: #15183)
  * Remove /etc/rc.boot from sysv-rc (closes: #113821)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 23 Apr 2003 15:26:21 +0200

sysvinit (2.85-2) unstable; urgency=high

  * sysv-rc must not Depend: on sysvinit, otherwise sysvinit/sysv-rc
    is not installable.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 22 Apr 2003 12:40:54 +0200

sysvinit (2.85-1) unstable; urgency=low

  * Support for IPv6 in 'last'.
  * Fix -i/-d options in last (closes: #171134)
  * /dev/.devfsd: check only for existance, not for type (closes: #170852)
  * Don't remove pump.sock from /var/run/utmp (closes: 167572)
  * Get rid of /etc/ioctl.save, it's a legacy thing from Unices with
    a serial console and no way to set reset the linespeed at boot.
    With Linux we have console=tty0,speed as bootparameter anyway.
  * Remove support for file-based runlevel signalling. All systems
    use /dev/initctl by now (I hope, but we'll see).
  * When cleaning /tmp, check atime and mtime as well (closes: #179006)
    and do not remove aquota.user and aquota.group (closes: #175874)
  * Only clean up /tmp at boot if it is world-writable.
  * If fsck of the rootfs returns 2 or 3, reboot (closes: #170442,#167300)
  * Sulogin: even if the root password is empty, ask for a password-
    otherwise there is no way to set a timeout (closes: #180246)
  * Split up sysvinit into sysvinit, sysv-rc and initscripts.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 18 Apr 2003 21:26:53 +0200

sysvinit (2.84-3) unstable; urgency=low

  * Upload into unstable of 2.84-3 so 2.84-2woody1 can go into
    woody-proposed-updates tomorrow or so.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 28 May 2002 11:44:26 +0200

sysvinit (2.84-2woody1) woody-proposed-updates; urgency=high

  * On some systems, /proc didn't get mounted because there is junk
    under the /proc mountpoint, makeing the system unuseable. Fixed
    by an extra check. Also warns the user. (closes: #134316)
  * Fix typos in README.runlevels (closes: #94745)
  * Update /etc/init.d/skeleton to comply with policy (closes: #96711,#121947)
  * On some systems "init" might show up as "ini" in "ps" output
    due to a off-by-one error in maxproclen calculation (closes: #132870)
  * Fix typo (SBM - SMB) in /etc/init.d/mountnfs.sh (closes: #139251)
  * Fix typo in debian/rules that installed prerm as preinst, and
    preinst not at all (closes: #148174)
  * Up severity to "high" since any program with write access to
    /var/run/utmp (group utmp) could trick the "shutdown" command into
    corrupting random files (note that currently there are no known
    exploits for setgroup-id-utmp programs).

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon, 27 May 2002 22:37:23 +0200

sysvinit (2.84-2) unstable; urgency=low

  * modernized inittab manpage.
  * Don't shut down IDE drives on halt if RAID is active (closes: #127635)
  * Add /etc/init.d/umountnfs.sh to conffiles (closes: #122190)
  * Only mount /proc in checkroot.sh if it's not mounted yet. This
    gives earlier scripts the possibility to mount /proc and just
    leave it mounted.
  * Set maxproclen correctly on re-exec. Make sure setproctitle() leaves
    at least two zeroes at the end of the argv array.
  * Don't put IDE drives into standby mode at halt time if RAID is still
    active, since the RAID halt/reboot/poweroff codepath in the kernel
    still needs to flush the RAID metadata to disk. (closes: #127635)
  * Use 'dmesg -s 65536' when writing /var/log/dmesg (closes: #128568)
  * Mount /proc only if not mounted yet, don't unmount (closes: #118977)
  * Commented out kb line in sample inittab (closes: #130126)
  * Update /etc/rcS.d/README (closes: #130225)
  * Don't duplicate options when remounting rootfs (closes: #119381)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 25 Jan 2002 14:02:17 +0100

sysvinit (2.84-1) unstable; urgency=high

  * Don't use /etc/initlvl interface for telinit; only use /dev/initctl,
    and give a clear error when that fails (closes: #116829)
  * Add -i/--init command line flag to init - this tells init
    'behave as system init even if you're not PID#1'. Useful for
    testing in chroot/jail type environments.
  * Use --print-installation-architecture in postinst instead of
    --print-architecture.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 27 Nov 2001 13:08:45 +0100

sysvinit (2.83-3) unstable; urgency=low

  * Don't disable write caching on IDE disks before unmounting file
    systems, since that flag is kept over reboot. Instead the
    halt program now has an extra -h switch that makes it send all
    IDE drives a "standby" command that as a side effect flushes
    the write-cache. That flag is used in /etc/init.d/halt

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed,  7 Nov 2001 16:11:28 +0100

sysvinit (2.83-2) unstable; urgency=high

  * Only disable write caching on disks, not on all IDE devices
    such as CDROMs (closes: #115354,#115822,#117390)
  * Mount verbose, except for proc (closes: #115362,#111481)
  * Add comments about not using tty7 to default inittab (closes: #117618)
  * Install inittab.$(arch) as default inittab in the installation
    process, if it exists. Add inittab.s390 (closes: #113495)
  * Appears that the 'shutdown to fast' bug is closed by
    turning off the IDE write cache at shutdown (closes: #110804).
    Only thing is that this should probably get in the kernel
    somehow, as it's really a kernel bug.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu,  1 Nov 2001 13:21:58 +0100

sysvinit (2.83-1) unstable; urgency=high

  * Upstream fix: race condiction in wait() [Andrea Arcangeli]
  * shutdown.allow processing broke due to typo (closes: #111199)
  * Call closelog() after openlog()/syslog() since recent libc's
    keep the logging fd open and that is fd#0 aka stdin (closes: #111901)
  * Typo in shutdown manpage fixed (closes: #112815)
  * Don't remove .journal file during tmp cleanup (closes: #113564)
  * Don't use '-v' flag to mount in mountall.sh (closes: 111481)
  * Fix policy reference in README (closes: #97925)
  * Treat 'ncpfs' as remote filesystem (closes: #94510)
  * Don't do fsck -C if $TERM is unset or set to dumb|network|unknown.
    Also don't do fsck -C if `uname -m` = s390
  * Turn off write-caching on all IDE disks prior to unmounting
    filesystems. On some systems that poweroff on halt the system
    powers off before the IDE disk write cache is flushed. You do
    need to have hdparm installed to get this to work.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri,  5 Oct 2001 14:37:42 +0200

sysvinit (2.82-1) unstable; urgency=low

  * New upstream version.
  * Now prints out correct version at startup (closes: #109558,#108377)
  * Versioned replaces (dpkg << 1.9.17) (closes: #109557)
  * Mount all proc filesystems in fstab (closes: #108109)
  * Fix spelling of initttab in init(8) (closes: #100659)
  * Clarify "usage" message of update-rc.d (closes: #108391)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 23 Aug 2001 17:50:03 +0200

sysvinit (2.81-1) unstable; urgency=low

  * New upstream version.
  * 'pidof' now finds processes that do weird stuff with their
    name in 'ps' listings (i.e. use setproctitle()) (closes: #67021)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 31 Jul 2001 18:25:11 +0200

sysvinit (2.80-3) unstable; urgency=high

  * The diff that dpkg-source builds doesn't include empty directories
    so we now create them in the debian/rules file.
  * Make /etc/init.d/* executable (closes: #107018)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon, 30 Jul 2001 16:15:29 +0200

sysvinit (2.80-2) unstable; urgency=high

  * Use install -m 755 instead of copy for the pre/post install/remove
    scripts (closes: #106730)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 26 Jul 2001 22:46:52 +0200

sysvinit (2.80-1) unstable; urgency=medium

  * New upstream version
  * Don't prevent raid-rebuild from activating swap on 2.4 and up
    (closes: #80446, #83118).
  * Document IO redirection in wall manpage (closes: #79491)
  * Use -x in skeleton file (closes: #67143)
  * Update README (closes: #85650)
  * Unmount tmpfs before turining off swap (closes: #84782)
  * Fix check for passno in checkroot.sh (closes:  #84035)
  * Make sure scripts exit with code 0 if succesful (closes: #83410)
  * Don't try to set hostname if /etc/hostname is not present (closes: #81711)
  * Mount /proc early and keep it mounted (closes: #75936, #71433, #88352)
  * Fix init.8 manpage (closes:  #75268)
  * Small fix to rc script (closes: #72859)
  * Optimize /tmp cleaning (closes: #71176)
  * Check for update before executing it in "single" script
    (closes: #68983, #103144)
  * Build package with SHELL=/bin/bash (closes: #68623)
  * Fix typo in halt(8) manpage (closes:  #67875)
  * Check time argument of shutdown(8) for correctness (closes: #67825)
  * Don't chown ptys on devfs system (closes: #88300)
  * Check for stale sessions in last(1) (Chris Wolf <cwolf@starclass.com>)
  * Include invoke-rc.d (closes: #94140). Conflicts: file-rc (<= 0.5.7)
  * Move random-seed to /var/lib/urandom (closes: #102216)
  * Moved update-rc.d from dpkg to sysvinit
  * Didn't include the UPS changes yet, that will come in a later
    2.80-xyz version -- needed to get 2.80 out of the door first.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 26 Jul 2001 14:07:03 +0200

sysvinit (2.78-4) frozen unstable; urgency=high

  * In /etc/init.d/checkroot.sh, change 10>&0 into 9>&0, since
    ash doesn't handle file descriptors > 9

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sun, 25 Jun 2000 14:03:04 +0200

sysvinit (2.78-3) frozen unstable; urgency=medium

  * Fix critical bug #61227: Kernel panic/filesystem corruption if
    swapping started while software RAID resyncing. As this doesn't
    matter on 99% of the installs out there it's up to the release
    manager to decide whether to put this in potato or not (closes: #61227).
  * Fix up /etc/init.d/README paths (closes: #58935,#58595)
  * Don't check root filesystem if "pass" in /etc/fstab is 0 (closes: #65125)
  * Unmount remote filesystems before network is shut down
    (closes: #60898,#61907). This also was a release-critical bug.
  * Changed "file systems" to "filesystems".

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue,  6 Jun 2000 11:08:24 +0200

sysvinit (2.78-2) frozen unstable; urgency=high

  * Change "booting" to "reloading" message at reload
  * Don't create /etc/init.d/network if missing (closes: #56373)
  * Treat SMB filesystems like NFS ones in mountall.sh and
    mountnfs.sh (fixes: #55414)
  * bootmisc.sh: do not remove files in /var/run that are newer
    than /etc/mtab. This should preserve pid files created before
    this script ran (closes: #49816)
  * Add "-z xxx" dummy command line argument (closes: #54717)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 11 Feb 2000 12:17:54 +0100

sysvinit (2.78-1) unstable; urgency=low

  * 2.78 will be the new upstream version, I'm skipping 2.77
  * Update /etc/init.d/rc (closes: #48764)
  * Add -C argument to fck (closes: #47914, #53335)
  * don't remove files in /var/run and /var/lock that are newer
    than /etc/mtab (may fix the dhcpcd problems)
  * Save kernel messages in /var/log/dmesg like RedHat does (closes: #47574)
  * Shutdown now calls sync before switching the runlevel to 0 or 6,
    or before unmounting filesystems if -n was used (closes: #46461)
  * Call umount with -f option to force NFS umounts (closes: #45715)
  * Fix TMPTIME documentation in rcS(5) (closes: #42570, #53224)
  * Some cosmetic changes to init.c (closes: #32079)
  * Move to /usr/share to comply with latest policy

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 30 Dec 1999 20:40:23 +0100

sysvinit (2.77-3) unstable; urgency=low

  * Remove hwclock.sh initialization and script itself (closes: #45164)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue,  5 Oct 1999 21:52:02 +0200

sysvinit (2.77-2) unstable; urgency=low

  * Recompile against glibc 2.1 instead of 2.0
  * Fix compilation problems with glibc 2.1
  * Fix last -i option

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue,  5 Oct 1999 21:51:50 +0200

sysvinit (2.77-1) unstable; urgency=low

  * Write reboot record into utmp file as well to make rms happy
  * Change GMT to UTC in /etc/default/rcS
  * Change /var/run/utmp to mode 664 group utmp if utmp group exists
  * Fork and dump core in / if SIGSEGV is received for debugging purposes
  * Patch by Craig Sanders <cas@vicnet.net.au> for "last" -i option
  * Fixes:
    #35429: sysvinit: bad comments in /etc/defaults/rcS
    #37807: mountnfs.sh should start rpc.statd if available
    #38384: sysvinit: Slight gramitical error in /etc/init.d/README
    #41660: [Patch] bootmisc.sh: Change /var/run/utmp ownership to [...]
    #41458: mountnfs.sh: should ignore noauto
    #40923: sysvinit: /etc/ioctl.save a state file?
    #42183: util-linux: hwclock.sh depends on UTC which is not defined

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed,  4 Aug 1999 11:16:23 +0200

sysvinit (2.76-4) unstable; urgency=low

  * Change dowall.c to handle Unix98 ptys correctly
  * Add comment in rcS about usage of setup.sh and unconfigured.sh
  * Shutdown now removes nologin file just before calling telinit
  * SEGV handler now tries to continue after sleep of 30 seconds.
    On a 386-class processor it also prints out the value of EIP.
  * Fix for racecondition in check_init_fifo() by Richard Gooch
  * Fixes:
    #32698: sysvinit: checkroot.sh: should add devfs entry to mtab
    #35689: wall/shutdown cannot handle Unix98 PTYs
    #30392: sysvinit scripts are not executable
    #32699: bootmisc.sh: should check for existence of /dev/tty[p-za-e][0-9a-f]
    #34062: mountnfs.sh: ignore comments in fstab [patch]
    #34780: sysvinit: ignores most options for rootfs
    #35017: sysvinit: nologin after sungle user mode [sic]
    #36209: init: segmentation violation (possibly kernel)
    #36294: sysvinit: sulogin does not appear to recognize shadow passwords
    #36705: README in init.d has section number off by 0.1
    #36849: sysvinit: shutdown doesn't send shutdown message to unix98 ptys
    #36856: sysvinit: /etc/init.d/rc calls bash for no reason
    #37265: sysvinit: devpts incompatibility?
    #32698: sysvinit: checkroot.sh: should add devfs entry to mtab
    #33954: sysvinit: [wishlist] bootmisc.sh: touch /var/run/utmpx

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sat,  8 May 1999 17:22:57 +0200

sysvinit (2.76-3) frozen unstable; urgency=high

  * Small bugfix to last.c courtesy of Danek Duvall <duvall@emufarm.ml.org>
  * Recompile with latest libs, so dependency on libc6 (>= 2.0.7u) is gone.
  * Fixes bugs:
    #31601: sysvinit: Doesn't wipe new files from /tmp
    #28132: checkroot.sh parsing of /etc/fstab is incorrect.
    #29729: sysvinit: references wrong policy homepage
    #27949: last: should use down instead of crash

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 12 Jan 1999 12:12:44 +0100

sysvinit (2.76-2) frozen unstable; urgency=high

  * Minor fix in debian/rules for dependency problem on the Alpha.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu,  5 Nov 1998 10:54:28 +0100

sysvinit (2.76-1) frozen unstable; urgency=high

  * Fix bug in check_pipe() which crashes init on the Alpha.
  * Re-upload since this should go into frozen too, ofcourse.
  * Changed the version number to 2.76, even though it's a minor
    upgrade. I want to release this version outside Debian too.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue,  3 Nov 1998 11:09:13 +0100

sysvinit (2.75-4) unstable; urgency=low

  * Change sulogin password buffer to 128 characters.
  * Don't print control characters in dowall.c
  * Try to open getenv ("CONSOLE"), /dev/console and /dev/tty0 in order.
    For backwards compatibility when you try to boot a 2.0.x kernel
    with a linux > 2.1.70 /dev/console device.
  * Change src/Makefile for non-debian systems (mainly, RedHat)
  * Try to create /dev/initctl if not present; check every time to see
    if the dev/ino of /dev/initctl has changed and re-open it. This should
    help devfs a bit.
  * Send SIGUSR1 to init at bootup to let it re-open /dev/initctl;
    again in support of devfs.
  * Rewrite of mountnfs.sh by Chris Ulrich <cdulrich@ucdavis.edu>
  * Moved pidof to /bin (it's only a link to killall5 anyway)
  * Fixes bugs:
    #11895: pidof exists, is unreliable, and is not deprecated
    #23943: `"$FSCKFIX" = yes' needed in "checkroot.sh", too
    #24190: sysvinit: postinst and telinit u
    #25531: sysvinit: README refers to the fatman website
    #26115: sysvinit: There is no support for a read only root
    #26179: sysvinit: pidof in /sbin ? why ?
    #26281: sysvinit: Obsolete location for Policy Manual in /etc/init.d/README
    #15739: libc6: strange interferention between sleep() and fork()

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  5 Oct 1998 14:03:14 +0200

sysvinit (2.75-3) frozen unstable; urgency=high

  * Source /etc/default/rcS in all scripts, otherwise file-rc is broken.
  * Do not call update-rc.d for isapnp
  * Fixes:
    #23556: sysvinit tries to install isapnp
    #23270: sysvinit: /etc/default/rcS: comment should indicate time units
    #23191: /etc/default/rcS
    #23651: sysvinit: sysvinit fails to clean stale X locks in /tmp

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon, 22 Jun 1998 14:48:53 +0200

sysvinit (2.75-2) frozen unstable; urgency=medium

  * Fix last.c again.
  * Add check to see if /dev/initctl is really a FIFO
  * In ifdown.c first down all shaper devices then the real devices
  * Fixes bugs:
    #22840: sysvinit (2.75-1): patch request for sparc
    #22965: rcS is not sh independent
    #22945: Problems with last ( bug in sysvinit package)?
    #23005: sysvinit: [patch] install initreq.h for `genpowerd' patch.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue,  2 Jun 1998 22:43:01 +0200

sysvinit (2.75-1) frozen unstable; urgency=low

  * Rewrote last.c to be much more memory friendly and correct,
    thanks to Nick Andrew <nick@zeta.org.au> and
    David Parrish <dparrish@zeta.org.au>
  * Fixes bugs:
    #21616: sysvinit: sulogin thinks md5 root password is bad
    #21765: sysvinit: Typo in `killall5.c'
    #21775: sysvinit: sysvinit does not support MD5 hashed passwords
    #21990: /usr/bin/last: unnecessary memset and off-by-one bug
    #22023: sysvinit: nfs isn't mounted
    #22084: sysvinit 2.74-4: SIGPWR missing on sparc
    #21900: init, powerfail events, and shutdown.allow
    #21702: init 0 does not work as expected...
    #21728: sysvinit: Typo in `init.c'
    #22363: sysvinit: discrepance btw. manpage and /sbin/init
    #22579: power-off on halt

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 19 May 1998 11:02:29 +0200

sysvinit (2.74-4) frozen unstable; urgency=medium

  * Add -o option to last to process libc5 utmp files.
  * Buffer overflow fixed in init.c (not very serious; only exploitable
    by root). Thanks to Chris Evans <chris@ferret.lmh.ox.ac.uk>
  * Fixes:
    #20147: filesystems not unmounted on reboot
    #20702: sysvinit: example inittab is broken
    #20957: errors mounting remote filesystems
    #20063: fsck is _always_ called with -y option

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 15 Apr 1998 17:04:33 +0200

sysvinit (2.74-3) frozen unstable; urgency=high

  * Install hwclock.sh (was missing!)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 19 Mar 1998 20:15:06 +0100

sysvinit (2.74-2) frozen unstable; urgency=high

  * Fix problem with removing kbd startup file
  * Fixes bugs;
    #19711: sysvinit: postinst uses /tmp/*.$$
    #14785: sysvinit: non executable scripts from examples
    #17004: suggestion for raidtools

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon, 16 Mar 1998 12:56:10 +0100

sysvinit (2.74-1) unstable; urgency=low

  * Should compile with glibc 1.99 :)
  * Now confirms to policy manual 2.4.0.0
  * Change behaviour of reboot(1) and halt(1) so that the default when
    the runlevel can't be determined is to call shutdown.
  * Updated README and skeleton
  * Depends on new dpkg for the new update-rc.d
  * Added re-exec patch from Al Viro (21 Feb 1998):
        'U' flag added to telinit. It forces init to re-exec itself
        (passing its state through exec, certainly).
        May be useful for smoother (heh) upgrades.
        24 Feb 1998, AV:
        did_boot made global and added to state - thanks, Miquel.
        Yet another file descriptors leak - close state pipe if
        re_exec fails.
  * Now no longer contains mdutils.sh and conflicts with older mdutils
  * /etc/rc.S/*.sh scripts that use set -e or exit no longer stop
    the whole boot process.
  * Fixes:
    #16082: sysvinit: filesystems do not get unmounted properly on shutdown
    #16977: sysvinit: libc6 twice into Pre-Depends
    #17012: sysvinit: minor typo in install
    #17084: /etc/rcS does not use a start arg
    #17276: sysvinit: SIGUSR1 causes init to eat CPU
    #18541: sysvinit: ^C aborts entire rcS script

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 12 Mar 1998 17:42:46 +0100

sysvinit (2.73-2) unstable; urgency=low

  * Change _NSIG to NSIG for 2.1.x kernel includes.
  * Hopefully fixes bug 16082, but we'll see..
  * Fixes bugs:
     #16622 sysvinit: should not depend on kbd
     #16807: /etc/init.d/mdutils.sh is started at bootup _and_ halt/reboot.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu,  8 Jan 1998 16:01:02 +0100

sysvinit (2.73-1) unstable; urgency=low

  * Use siginterrupt, now that system calls are restarted by default.
    Main symptom was that the sulogin timeout didn't work but there
    might have been more hidden problems.
  * Kill process immidiately if turned off in inittab
  * Fixed sulogin check on tty arg.
  * Use strerror() instead of sys_errlist
  * Chop up the reboot and halt scripts into seperate scripts. I had to
    take some liberties so they are called with the argument "stop" even
    though the scripts are Sxx scripts .. (start scripts in runlevel 0&6
    seem non-intuitive anyway)
  * wall now supports a '-n' option to suppress [most of] the banner.
    Debian doesn't use sysvinit's wall, but apparently Redhat does.
  * Add '-F' (forcefsck) option to shutdown
  * Depends on kbd_0.95-2 (or higher) package for /etc/rcS.d stuff.
  * Close and reopen /dev/initctl on SIGUSR1 (mainly for a /dev in ram)
  * Add FSCKFIX option to /etc/default/rcS
  * Wrote rcS.5 manpage describing /etc/default/rcS
  * Fixes bugs:
    #13435: Could shutdown provide a way to force fsck?
    #14108: sysvinit: sulogin's timeout does not work anymore
    #14179: sysvinit: /etc/init.d/(halt|reboot) need to call mdstop
    #14357: sysvinit: typo errors into script shells
    #15010: shutdown is too fast
    #15405: sysvinit: changelog uncompressed
    #15751: "sulogin -t <timeout>" does not time out
    #15758: Outdated reference in README

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sat,  3 Jan 1998 16:32:39 +0100

sysvinit (2.72-3) unstable; urgency=low

  * Remove perl check from preinst
  * Add extra fork() in dowall.c to avoid hanging in rare cases
  * Conflict with file-rc (<= 0.4.1)
  * The 2.72 series fix the following bugs:
     #9819: sysvinit: Typo in `pidof` manual
     #9820: sysvinit: Incorrect filenames in `shutdown` manual
     #9821: sysvinit: `init` manual gives incorrect information
     #9822: sysvinit: `inittab` manual
     #10045: sysvinit: error message "no more processes..."
     #10276: sysvinit has uncompressed manpages.
     #11728: libc6
     #11879: sysvinit: file in /tmp security hole
     #12172: Sysvinit: Contains powerd manpage but not powerd
     #12465: Trivial typos in killall5 man page
     #12631: sysvinit: unchecked prompting in postinst
     #13290: clock is now hwclock
     #13300: patch to init.d/boot for compressed keymaps
     #13344: sysvinit: command 'clock' not found
     #13789: sysvinit: /etc/init.d/boot calls "clock", should call "hwclock"
     #13830: sysvinit: Upgrading to new sysvinit left system unusable
     #13838: sysvinit: gratuitous use of perl

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 22 Oct 1997 14:44:00 +0200

sysvinit (2.72-2) unstable; urgency=high

  * Don't use perl in postinst. Use more flexible regexp to match the
    sysinit line.
  * Remove /etc/default/boot from package
  * Fix settime.sh for hwclock

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 14 Oct 1997 12:40:23 +0200

sysvinit (2.72) unstable; urgency=low

  * Applied manual page patches by Bill Hawes <whawes@star.net>.  Thanks Bill!
  * Applied patches to the sample Slackware scripts by
    "Jonathan I. Kamens" <jik@kamens.brookline.ma.us>
  * Fix halt and reboot runlevels 0 & 6 check.
  * Only say "no more processes left in runlevel x" once
  * Fix race condition with SIGCHLD in spawn()
    (thanks to Alon Ziv <alonz@CS.Technion.AC.IL>)
  * Compress all manpages (missed 2)
  * Compiled for libc6
  * Split up /etc/init.d/boot into seperate files in /etc/rcS.d
  * Remove powerd.8 from debian package
  * Fix /etc/init.d/settime.sh to look for hwclock first
  * Added poweroff patch by Roderich Schupp <rsch@ExperTeam.de>

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sun, 12 Oct 1997 17:20:17 +0200

sysvinit (2.71-2) frozen unstable; urgency=low

  * Print 2.71 instead of 2.70 on startup :)
  * Fix /etc/init.d/skeleton for new console messages standard.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon, 5 May 1997 12:45:25 +0200

sysvinit (2.71-1) frozen unstable; urgency=high

  * Added code for updwtmp() in utmp.c for glibc (2.0.3)
  * Fixed all programs to use functions from utmp.c and getutent()
  * Do not try to clean up utmp in init itself (Bug#9022)
  * Removed sync() from main loop.
  * Fix bug #8739 (/fastboot)
  * Hopefully fixes bug #8657 (shutdown signal handling)
  * Mount /proc before modules are loaded
  * Check on both /etc/init.d/modules and modutils (Bug#9058, #8398)
  * Fix PATH order (Bug#8087)
  * Fix console messages (Bug#8899)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sat, 26 Apr 1997 19:57:27 +0200

sysvinit (2.70-1) unstable; urgency=low

  * small fix for postinst (Bug#5866)
  * Respawn fix
  * Removed StUdLy CaPs from source code
  * Moved files in source archive around
  * Moved mdadd in "boot" script to get called after module loading
  * Fixes for glibc (utmp handling, signal handling).
  * Fixed '-d' option to last (now also works without '-a').
  * Added extra checking in last.c to prevent showing dead entries

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 7 Feb 1997 15:31:30 +0100

sysvinit (2.69-1) frozen unstable; urgency=medium

  * Fixed bug that can throw X in a loop (or any other app that reads from
    /dev/tty0)
  * Moved inittab to /usr/doc/sysvinit/examples so that it is no longer
    a config file.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sun, 1 Dec 1996 15:32:24 +0100

sysvinit (2.68-1) frozen unstable; urgency=high

  * Added dummy fsck.nfs [temporary] (Bug#5492)
  * Changing /etc/motd optional (Bug#5493)
  * Typo in /etc/init.d/urandom fixed (Bug#5556)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 27 Nov 1996 17:30:36 +0100

sysvinit (2.67-1) frozen unstable; urgency=high

  * Fixes problem with /dev/console being controlling terminal of some
    daemons
  * Some fixes in debian bootup script "boot"
  * Puts copyright file in the right place
  * Move random-seed stuff to its own file
  * Fix skeleton file (add set -e)
  * Change preinst/postinst scripts to save all variables from "boot" file
  * moved /etc/init.d/network to /usr/doc/examples/sysvinit
  * Changed "rc" script slightly (potential recipy for disaster..)
  * Various other fixes to close all outstanding bug reports.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 15 Nov 1996 12:23:33 +0100

sysvinit (2.66-1) unstable; urgency=medium

  * Skipped 2.65. A development 2.65 got out by accident and is apparently
    being used..
  * New source format
  * Also compiles and runs with GNU libc (and on the Alpha)
  * Fixed dowall.c not to exit when getpwuid() fails and uid == 0.
  * Fixed init panic'ing on empty lines in /etc/inittab
  * Changed default PATH to include /usr/local/sbin
  * Set /dev/console as controlling terminal for sysinit,bootwait,wait,powerwait
    This allows using ^C to interrupt some parts of eg the boot process.
  * Remove old symlink in /var/log/initlvl; let init check both
    /var/log and /etc itself.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 29 Oct 1996 13:46:54 +0100
